{"index": {"('MODELS', 'text-generation', 'palm-v2')": {"filepath": "TEMPLATE_PATH/models/nlp/palm_v2/text_generation.py", "imports": ["numpy", "typing", "codecs", "math", "json", "dataclasses", "transformers", "os", "torch", "copy", "subprocess"], "module": "modelscope.models.nlp.palm_v2.text_generation"}, "('BACKBONES', 'backbone', 'gpt2')": {"filepath": "TEMPLATE_PATH/models/nlp/gpt2/backbone.py", "imports": ["transformers"], "module": "modelscope.models.nlp.gpt2.backbone"}, "('MODELS', 'text-error-correction', 'bart')": {"filepath": "TEMPLATE_PATH/models/nlp/bart/text_error_correction.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.nlp.bart.text_error_correction"}, "('MODELS', 'text-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.text_classification"}, "('MODELS', 'nli', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.text_classification"}, "('MODELS', 'sentiment-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.text_classification"}, "('MODELS', 'sentence-similarity', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.text_classification"}, "('MODELS', 'zero-shot-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.text_classification"}, "('MODELS', 'fill-mask', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/fill_mask.py", "imports": ["torch", "transformers"], "module": "modelscope.models.nlp.structbert.fill_mask"}, "('MODELS', 'faq-question-answering', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/faq_question_answering.py", "imports": ["math", "os", "torch", "collections", "typing"], "module": "modelscope.models.nlp.structbert.faq_question_answering"}, "('MODELS', 'backbone', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/backbone.py", "imports": ["packaging", "math", "dataclasses", "transformers", "torch", "typing"], "module": "modelscope.models.nlp.structbert.backbone"}, "('MODELS', 'token-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/token_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.token_classification"}, "('MODELS', 'word-segmentation', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/token_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.token_classification"}, "('MODELS', 'part-of-speech', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/token_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.token_classification"}, "('MODELS', 'fid-dialogue', 'fid-T5')": {"filepath": "TEMPLATE_PATH/models/nlp/fid_T5/text_generation.py", "imports": ["io", "torch", "transformers", "os"], "module": "modelscope.models.nlp.fid_T5.text_generation"}, "('MODELS', 'table-question-answering', 'space-T-cn')": {"filepath": "TEMPLATE_PATH/models/nlp/space_T_cn/table_question_answering.py", "imports": ["numpy", "transformers", "os", "torch", "typing"], "module": "modelscope.models.nlp.space_T_cn.table_question_answering"}, "('MODELS', 'nli', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/text_classification.py", "imports": ["transformers"], "module": "modelscope.models.nlp.veco.text_classification"}, "('MODELS', 'sentiment-classification', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/text_classification.py", "imports": ["transformers"], "module": "modelscope.models.nlp.veco.text_classification"}, "('MODELS', 'sentence-similarity', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/text_classification.py", "imports": ["transformers"], "module": "modelscope.models.nlp.veco.text_classification"}, "('MODELS', 'text-classification', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/text_classification.py", "imports": ["transformers"], "module": "modelscope.models.nlp.veco.text_classification"}, "('MODELS', 'fill-mask', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/fill_mask.py", "imports": ["transformers"], "module": "modelscope.models.nlp.veco.fill_mask"}, "('MODELS', 'backbone', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/backbone.py", "imports": ["transformers"], "module": "modelscope.models.nlp.veco.backbone"}, "('MODELS', 'token-classification', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/token_classification.py", "imports": ["torch", "transformers"], "module": "modelscope.models.nlp.veco.token_classification"}, "('MODELS', 'text-summarization', 'mglm')": {"filepath": "TEMPLATE_PATH/models/nlp/mglm/mglm_for_text_summarization.py", "imports": ["megatron_util", "numpy", "os", "torch", "random", "typing"], "module": "modelscope.models.nlp.mglm.mglm_for_text_summarization"}, "('MODELS', 'text-generation', 'glm130b')": {"filepath": "TEMPLATE_PATH/models/nlp/glm_130b/text_generation.py", "imports": ["stat", "re", "sys", "SwissArmyTransformer", "time", "os", "torch", "random", "copy", "functools", "typing"], "module": "modelscope.models.nlp.glm_130b.text_generation"}, "('MODELS', 'text-generation', 'gpt3')": {"filepath": "TEMPLATE_PATH/models/nlp/gpt3/text_generation.py", "imports": ["torch", "collections", "transformers", "typing"], "module": "modelscope.models.nlp.gpt3.text_generation"}, "('MODELS', 'fid-dialogue', 'fid-plug')": {"filepath": "TEMPLATE_PATH/models/nlp/fid_plug/text_generation.py", "imports": ["io", "torch", "transformers", "os"], "module": "modelscope.models.nlp.fid_plug.text_generation"}, "('MODELS', 'backbone', 'lstm')": {"filepath": "TEMPLATE_PATH/models/nlp/lstm/backbone.py", "imports": ["torch"], "module": "modelscope.models.nlp.lstm.backbone"}, "('MODELS', 'token-classification', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/lstm/token_classification.py", "imports": [], "module": "modelscope.models.nlp.lstm.token_classification"}, "('MODELS', 'named-entity-recognition', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/lstm/token_classification.py", "imports": [], "module": "modelscope.models.nlp.lstm.token_classification"}, "('MODELS', 'part-of-speech', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/lstm/token_classification.py", "imports": [], "module": "modelscope.models.nlp.lstm.token_classification"}, "('MODELS', 'word-segmentation', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/lstm/token_classification.py", "imports": [], "module": "modelscope.models.nlp.lstm.token_classification"}, "('MODELS', 'word-segmentation', 'lstm-crf-for-word-segmentation')": {"filepath": "TEMPLATE_PATH/models/nlp/lstm/token_classification.py", "imports": [], "module": "modelscope.models.nlp.lstm.token_classification"}, "('MODELS', 'fill-mask', 'ponet')": {"filepath": "TEMPLATE_PATH/models/nlp/ponet/fill_mask.py", "imports": ["torch", "transformers"], "module": "modelscope.models.nlp.ponet.fill_mask"}, "('MODELS', 'backbone', 'ponet')": {"filepath": "TEMPLATE_PATH/models/nlp/ponet/backbone.py", "imports": ["packaging", "distutils", "math", "transformers", "torch"], "module": "modelscope.models.nlp.ponet.backbone"}, "('MODELS', 'document-segmentation', 'ponet-for-document-segmentation')": {"filepath": "TEMPLATE_PATH/models/nlp/ponet/document_segmentation.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.ponet.document_segmentation"}, "('MODELS', 'extractive-summarization', 'ponet-for-document-segmentation')": {"filepath": "TEMPLATE_PATH/models/nlp/ponet/document_segmentation.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.ponet.document_segmentation"}, "('BACKBONES', 'backbone', 'gpt-neo')": {"filepath": "TEMPLATE_PATH/models/nlp/gpt_neo/backbone.py", "imports": ["transformers"], "module": "modelscope.models.nlp.gpt_neo.backbone"}, "('MODELS', 'text-classification', 'plug-mental')": {"filepath": "TEMPLATE_PATH/models/nlp/plug_mental/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.plug_mental.text_classification"}, "('MODELS', 'nli', 'plug-mental')": {"filepath": "TEMPLATE_PATH/models/nlp/plug_mental/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.plug_mental.text_classification"}, "('MODELS', 'sentiment-classification', 'plug-mental')": {"filepath": "TEMPLATE_PATH/models/nlp/plug_mental/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.plug_mental.text_classification"}, "('MODELS', 'sentence-similarity', 'plug-mental')": {"filepath": "TEMPLATE_PATH/models/nlp/plug_mental/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.plug_mental.text_classification"}, "('MODELS', 'zero-shot-classification', 'plug-mental')": {"filepath": "TEMPLATE_PATH/models/nlp/plug_mental/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.plug_mental.text_classification"}, "('MODELS', 'backbone', 'plug-mental')": {"filepath": "TEMPLATE_PATH/models/nlp/plug_mental/backbone.py", "imports": ["packaging", "math", "dataclasses", "transformers", "torch", "typing"], "module": "modelscope.models.nlp.plug_mental.backbone"}, "('MODELS', 'document-grounded-dialog-generate', 'doc2bot')": {"filepath": "TEMPLATE_PATH/models/nlp/dgds/document_grounded_dialog_generate.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.nlp.dgds.document_grounded_dialog_generate"}, "('MODELS', 'document-grounded-dialog-retrieval', 'doc2bot')": {"filepath": "TEMPLATE_PATH/models/nlp/dgds/document_grounded_dialog_retrieval.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.nlp.dgds.document_grounded_dialog_retrieval"}, "('MODELS', 'document-grounded-dialog-rerank', 'doc2bot')": {"filepath": "TEMPLATE_PATH/models/nlp/dgds/document_grounded_dialog_rerank.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.nlp.dgds.document_grounded_dialog_rerank"}, "('MODELS', 'text-generation', 'llama')": {"filepath": "TEMPLATE_PATH/models/nlp/llama/text_generation.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.llama.text_generation"}, "('MODELS', 'backbone', 'llama')": {"filepath": "TEMPLATE_PATH/models/nlp/llama/backbone.py", "imports": ["math", "torch", "transformers", "typing"], "module": "modelscope.models.nlp.llama.backbone"}, "('MODELS', 'fill-mask', 'deberta_v2')": {"filepath": "TEMPLATE_PATH/models/nlp/deberta_v2/fill_mask.py", "imports": ["torch", "transformers", "typing"], "module": "modelscope.models.nlp.deberta_v2.fill_mask"}, "('MODELS', 'backbone', 'deberta_v2')": {"filepath": "TEMPLATE_PATH/models/nlp/deberta_v2/backbone.py", "imports": ["torch", "collections", "transformers", "typing"], "module": "modelscope.models.nlp.deberta_v2.backbone"}, "('MODELS', 'backbone', 'xlm-roberta')": {"filepath": "TEMPLATE_PATH/models/nlp/xlm_roberta/backbone.py", "imports": ["packaging", "torch", "math", "transformers"], "module": "modelscope.models.nlp.xlm_roberta.backbone"}, "('MODELS', 'text-classification', 'peer')": {"filepath": "TEMPLATE_PATH/models/nlp/peer/text_classification.py", "imports": ["torch", "copy"], "module": "modelscope.models.nlp.peer.text_classification"}, "('MODELS', 'nli', 'peer')": {"filepath": "TEMPLATE_PATH/models/nlp/peer/text_classification.py", "imports": ["torch", "copy"], "module": "modelscope.models.nlp.peer.text_classification"}, "('MODELS', 'sentiment-classification', 'peer')": {"filepath": "TEMPLATE_PATH/models/nlp/peer/text_classification.py", "imports": ["torch", "copy"], "module": "modelscope.models.nlp.peer.text_classification"}, "('MODELS', 'sentence-similarity', 'peer')": {"filepath": "TEMPLATE_PATH/models/nlp/peer/text_classification.py", "imports": ["torch", "copy"], "module": "modelscope.models.nlp.peer.text_classification"}, "('MODELS', 'zero-shot-classification', 'peer')": {"filepath": "TEMPLATE_PATH/models/nlp/peer/text_classification.py", "imports": ["torch", "copy"], "module": "modelscope.models.nlp.peer.text_classification"}, "('MODELS', 'code-translation', 'codegeex')": {"filepath": "TEMPLATE_PATH/models/nlp/codegeex/codegeex_for_code_translation.py", "imports": ["torch", "copy", "typing"], "module": "modelscope.models.nlp.codegeex.codegeex_for_code_translation"}, "('MODELS', 'code-generation', 'codegeex')": {"filepath": "TEMPLATE_PATH/models/nlp/codegeex/codegeex_for_code_generation.py", "imports": ["torch", "copy", "typing"], "module": "modelscope.models.nlp.codegeex.codegeex_for_code_generation"}, "('MODELS', 'competency-aware-translation', 'canmt')": {"filepath": "TEMPLATE_PATH/models/nlp/canmt/canmt_translation.py", "imports": ["numpy", "math", "os", "torch", "typing"], "module": "modelscope.models.nlp.canmt.canmt_translation"}, "('MODELS', 'fill-mask', 'megatron-bert')": {"filepath": "TEMPLATE_PATH/models/nlp/megatron_bert/fill_mask.py", "imports": ["torch", "transformers"], "module": "modelscope.models.nlp.megatron_bert.fill_mask"}, "('MODELS', 'backbone', 'megatron-bert')": {"filepath": "TEMPLATE_PATH/models/nlp/megatron_bert/backbone.py", "imports": ["math", "torch", "transformers"], "module": "modelscope.models.nlp.megatron_bert.backbone"}, "('MODELS', 'table-question-answering', 'space-T-en')": {"filepath": "TEMPLATE_PATH/models/nlp/space_T_en/text_to_sql.py", "imports": ["text2sql_lgesql", "torch", "typing", "os"], "module": "modelscope.models.nlp.space_T_en.text_to_sql"}, "('HEADS', 'token-classification', 'token-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/token_classification_head.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.heads.token_classification_head"}, "('HEADS', 'named-entity-recognition', 'token-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/token_classification_head.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.heads.token_classification_head"}, "('HEADS', 'part-of-speech', 'token-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/token_classification_head.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.heads.token_classification_head"}, "('HEADS', 'information-extraction', 'information-extraction')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/infromation_extraction_head.py", "imports": ["torch"], "module": "modelscope.models.nlp.heads.infromation_extraction_head"}, "('HEADS', 'relation-extraction', 'information-extraction')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/infromation_extraction_head.py", "imports": ["torch"], "module": "modelscope.models.nlp.heads.infromation_extraction_head"}, "('HEADS', 'fill-mask', 'bert-mlm')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/fill_mask_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.fill_mask_head"}, "('HEADS', 'fill-mask', 'fill-mask')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/fill_mask_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.fill_mask_head"}, "('HEADS', 'fill-mask', 'xlm-roberta-mlm')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/fill_mask_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.fill_mask_head"}, "('HEADS', 'text-generation', 'text-generation')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/text_generation_head.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.heads.text_generation_head"}, "('HEADS', 'text-ranking', 'text-ranking')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/text_ranking_head.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.heads.text_ranking_head"}, "('HEADS', 'text-classification', 'text-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/text_classification_head.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.heads.text_classification_head"}, "('HEADS', 'sentence-similarity', 'text-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/text_classification_head.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.heads.text_classification_head"}, "('HEADS', 'nli', 'text-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/text_classification_head.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.heads.text_classification_head"}, "('HEADS', 'sentiment-classification', 'text-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/text_classification_head.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.heads.text_classification_head"}, "('HEADS', 'token-classification', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'named-entity-recognition', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'word-segmentation', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'part-of-speech', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'transformer-crf', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'token-classification', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'named-entity-recognition', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'word-segmentation', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'part-of-speech', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'fill-mask', 'roberta-mlm')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/torch_pretrain_head.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.models.nlp.heads.torch_pretrain_head"}, "('MODELS', 'text-classification', 'text-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/text_classification.py", "imports": ["numpy", "typing"], "module": "modelscope.models.nlp.task_models.text_classification"}, "('MODELS', 'fill-mask', 'fill-mask')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/fill_mask.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.models.nlp.task_models.fill_mask"}, "('MODELS', 'text-generation', 'text-generation')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/text_generation.py", "imports": ["torch", "numpy", "transformers", "typing"], "module": "modelscope.models.nlp.task_models.text_generation"}, "('MODELS', 'text-ranking', 'text-ranking')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/text_ranking.py", "imports": ["numpy", "typing"], "module": "modelscope.models.nlp.task_models.text_ranking"}, "('MODELS', 'token-classification', 'token-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'part-of-speech', 'token-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'named-entity-recognition', 'token-classification-for-ner')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'transformer-crf', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'token-classification', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'token-classification', 'transformer-crf-for-word-segmentation')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'named-entity-recognition', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'part-of-speech', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'word-segmentation', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'word-segmentation', 'transformer-crf-for-word-segmentation')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'information-extraction', 'information-extraction')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/information_extraction.py", "imports": ["numpy", "typing"], "module": "modelscope.models.nlp.task_models.information_extraction"}, "('MODELS', 'relation-extraction', 'information-extraction')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/information_extraction.py", "imports": ["numpy", "typing"], "module": "modelscope.models.nlp.task_models.information_extraction"}, "('MODELS', 'feature-extraction', 'feature-extraction')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/feature_extraction.py", "imports": ["numpy", "typing"], "module": "modelscope.models.nlp.task_models.feature_extraction"}, "('MODELS', 'text-classification', 'user-satisfaction-estimation')": {"filepath": "TEMPLATE_PATH/models/nlp/use/user_satisfaction_estimation.py", "imports": ["numpy", "transformers", "os", "torch", "typing"], "module": "modelscope.models.nlp.use.user_satisfaction_estimation"}, "('MODELS', 'translation', 'csanmt-translation')": {"filepath": "TEMPLATE_PATH/models/nlp/csanmt/translation.py", "imports": ["tensorflow", "math", "collections", "typing"], "module": "modelscope.models.nlp.csanmt.translation"}, "('MODELS', 'text-classification', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/text_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.text_classification"}, "('MODELS', 'nli', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/text_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.text_classification"}, "('MODELS', 'sentiment-classification', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/text_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.text_classification"}, "('MODELS', 'sentence-similarity', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/text_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.text_classification"}, "('MODELS', 'zero-shot-classification', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/text_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.text_classification"}, "('MODELS', 'fill-mask', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/fill_mask.py", "imports": [], "module": "modelscope.models.nlp.bert.fill_mask"}, "('MODELS', 'sentence-embedding', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/sentence_embedding.py", "imports": ["torch"], "module": "modelscope.models.nlp.bert.sentence_embedding"}, "('MODELS', 'word-alignment', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/word_alignment.py", "imports": ["torch"], "module": "modelscope.models.nlp.bert.word_alignment"}, "('MODELS', 'text-ranking', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/text_ranking.py", "imports": [], "module": "modelscope.models.nlp.bert.text_ranking"}, "('MODELS', 'backbone', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/backbone.py", "imports": ["packaging", "torch", "math", "transformers"], "module": "modelscope.models.nlp.bert.backbone"}, "('MODELS', 'token-classification', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/token_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.token_classification"}, "('MODELS', 'part-of-speech', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/token_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.token_classification"}, "('MODELS', 'word-segmentation', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/token_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.token_classification"}, "('MODELS', 'document-segmentation', 'bert-for-document-segmentation')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/document_segmentation.py", "imports": ["torch", "typing"], "module": "modelscope.models.nlp.bert.document_segmentation"}, "('MODELS', 'siamese-uie', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/siamese_uie.py", "imports": ["torch", "copy"], "module": "modelscope.models.nlp.bert.siamese_uie"}, "('MODELS', 'backbone', 'transformers')": {"filepath": "TEMPLATE_PATH/models/nlp/hf_transformers/backbone.py", "imports": ["transformers"], "module": "modelscope.models.nlp.hf_transformers.backbone"}, "('MODELS', 'task-oriented-conversation', 'space-modeling')": {"filepath": "TEMPLATE_PATH/models/nlp/space/dialog_modeling.py", "imports": ["typing", "os"], "module": "modelscope.models.nlp.space.dialog_modeling"}, "('MODELS', 'task-oriented-conversation', 'space-intent')": {"filepath": "TEMPLATE_PATH/models/nlp/space/dialog_intent_prediction.py", "imports": ["typing", "os"], "module": "modelscope.models.nlp.space.dialog_intent_prediction"}, "('MODELS', 'task-oriented-conversation', 'space-dst')": {"filepath": "TEMPLATE_PATH/models/nlp/space/dialog_state_tracking.py", "imports": ["torch", "transformers", "typing"], "module": "modelscope.models.nlp.space.dialog_state_tracking"}, "('MODELS', 'backbone', 'T5')": {"filepath": "TEMPLATE_PATH/models/nlp/T5/backbone.py", "imports": ["math", "transformers", "os", "torch", "warnings", "copy", "typing"], "module": "modelscope.models.nlp.T5.backbone"}, "('MODELS', 'text2text-generation', 'T5')": {"filepath": "TEMPLATE_PATH/models/nlp/T5/text2text_generation.py", "imports": ["transformers", "torch", "warnings", "copy", "typing"], "module": "modelscope.models.nlp.T5.text2text_generation"}, "('MODELS', 'text-generation', 'gpt-moe')": {"filepath": "TEMPLATE_PATH/models/nlp/gpt_moe/text_generation.py", "imports": ["typing", "transformers"], "module": "modelscope.models.nlp.gpt_moe.text_generation"}, "('MODELS', 'translation-evaluation', 'unite')": {"filepath": "TEMPLATE_PATH/models/nlp/unite/modeling_unite.py", "imports": ["packaging", "numpy", "math", "dataclasses", "transformers", "torch", "warnings", "typing"], "module": "modelscope.models.nlp.unite.modeling_unite"}, "('BACKBONES', 'backbone', 'bloom')": {"filepath": "TEMPLATE_PATH/models/nlp/bloom/backbone.py", "imports": ["transformers"], "module": "modelscope.models.nlp.bloom.backbone"}, "('MODELS', 'face-reconstruction', 'face_reconstruction')": {"filepath": "TEMPLATE_PATH/models/cv/face_reconstruction/models/facerecon_model.py", "imports": ["numpy", "os", "torch", "collections", "cv2"], "module": "modelscope.models.cv.face_reconstruction.models.facerecon_model"}, "('MODELS', 'facial-expression-recognition', 'fer')": {"filepath": "TEMPLATE_PATH/models/cv/facial_expression_recognition/fer/facial_expression_recognition.py", "imports": ["numpy", "PIL", "os", "torch", "cv2"], "module": "modelscope.models.cv.facial_expression_recognition.fer.facial_expression_recognition"}, "('MODELS', 'image-object-detection', 'tinynas-detection')": {"filepath": "TEMPLATE_PATH/models/cv/tinynas_detection/tinynas_detector.py", "imports": [], "module": "modelscope.models.cv.tinynas_detection.tinynas_detector"}, "('MODELS', 'domain-specific-object-detection', 'tinynas-damoyolo')": {"filepath": "TEMPLATE_PATH/models/cv/tinynas_detection/tinynas_damoyolo.py", "imports": [], "module": "modelscope.models.cv.tinynas_detection.tinynas_damoyolo"}, "('MODELS', 'image-object-detection', 'tinynas-damoyolo')": {"filepath": "TEMPLATE_PATH/models/cv/tinynas_detection/tinynas_damoyolo.py", "imports": [], "module": "modelscope.models.cv.tinynas_detection.tinynas_damoyolo"}, "('MODELS', 'image-depth-estimation', 'newcrfs-depth-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/image_depth_estimation/newcrfs_model.py", "imports": ["torch", "numpy", "os"], "module": "modelscope.models.cv.image_depth_estimation.newcrfs_model"}, "('MODELS', 'image-super-resolution', 'ecbsr')": {"filepath": "TEMPLATE_PATH/models/cv/super_resolution/ecbsr_model.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.super_resolution.ecbsr_model"}, "('MODELS', 'vision-efficient-tuning', 'vision-efficient-tuning')": {"filepath": "TEMPLATE_PATH/models/cv/vision_efficient_tuning/model.py", "imports": ["torch", "typing"], "module": "modelscope.models.cv.vision_efficient_tuning.model"}, "('MODELS', 'hand-static', 'hand-static')": {"filepath": "TEMPLATE_PATH/models/cv/hand_static/hand_model.py", "imports": ["numpy", "PIL", "os", "torch", "sys", "torchvision", "cv2"], "module": "modelscope.models.cv.hand_static.hand_model"}, "('MODELS', 'image-fewshot-detection', 'defrcn')": {"filepath": "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/defrcn_for_fewshot.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_defrcn_fewshot.defrcn_for_fewshot"}, "('MODELS', 'indoor-layout-estimation', 'panovit-layout-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/indoor_layout_estimation/panovit.py", "imports": ["torch", "numpy", "yacs", "os"], "module": "modelscope.models.cv.indoor_layout_estimation.panovit"}, "('MODELS', 'hand-2d-keypoints', 'HRNet-Hand2D-Keypoints')": {"filepath": "TEMPLATE_PATH/models/cv/hand_2d_keypoints/hand_2d_keypoints.py", "imports": ["easycv"], "module": "modelscope.models.cv.hand_2d_keypoints.hand_2d_keypoints"}, "('MODELS', 'video-summarization', 'pgl-video-summarization')": {"filepath": "TEMPLATE_PATH/models/cv/video_summarization/summarizer.py", "imports": ["torch", "numpy", "typing", "os"], "module": "modelscope.models.cv.video_summarization.summarizer"}, "('MODELS', 'body-2d-keypoints', 'body-2d-keypoints')": {"filepath": "TEMPLATE_PATH/models/cv/body_2d_keypoints/hrnet_v2.py", "imports": ["torch", "numpy", "os"], "module": "modelscope.models.cv.body_2d_keypoints.hrnet_v2"}, "('MODELS', 'image-paintbyexample', 'Stablediffusion-Paintbyexample')": {"filepath": "TEMPLATE_PATH/models/cv/image_paintbyexample/model.py", "imports": ["omegaconf", "paint_ldm", "os", "torch", "typing"], "module": "modelscope.models.cv.image_paintbyexample.model"}, "('MODELS', 'shop-segmentation', 'shop-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/shop_segmentation/shop_seg_model.py", "imports": ["numpy", "PIL", "json", "os", "torch", "typing"], "module": "modelscope.models.cv.shop_segmentation.shop_seg_model"}, "('MODELS', 'image-deblurring', 'nafnet')": {"filepath": "TEMPLATE_PATH/models/cv/image_deblur/nafnet_for_image_deblur.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_deblur.nafnet_for_image_deblur"}, "('MODELS', 'image-multi-view-depth-estimation', 'image-casmvs-depth-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/casmvs_model.py", "imports": ["numpy", "easydict", "os", "torch", "cv2"], "module": "modelscope.models.cv.image_mvs_depth_estimation.casmvs_model"}, "('MODELS', 'video-stabilization', 'video-stabilization')": {"filepath": "TEMPLATE_PATH/models/cv/video_stabilization/DUTRAFTStabilizer.py", "imports": ["numpy", "typing", "math", "tempfile", "os", "torch", "sys", "cv2"], "module": "modelscope.models.cv.video_stabilization.DUTRAFTStabilizer"}, "('ROI_EXTRACTORS', 'default', 'SingleRoINExtractor')": {"filepath": "TEMPLATE_PATH/models/cv/abnormal_object_detection/mmdet_ms/roi_head/roi_extractors/single_level_roi_extractor.py", "imports": ["mmdet", "torch", "mmcv"], "module": "modelscope.models.cv.abnormal_object_detection.mmdet_ms.roi_head.roi_extractors.single_level_roi_extractor"}, "('HEADS', 'default', 'MaskScoringNRoIHead')": {"filepath": "TEMPLATE_PATH/models/cv/abnormal_object_detection/mmdet_ms/roi_head/mask_scoring_roi_head.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.abnormal_object_detection.mmdet_ms.roi_head.mask_scoring_roi_head"}, "('MODELS', 'image-object-detection', 'MaskScoring')": {"filepath": "TEMPLATE_PATH/models/cv/abnormal_object_detection/mmdet_model.py", "imports": ["torch", "numpy", "os"], "module": "modelscope.models.cv.abnormal_object_detection.mmdet_model"}, "('MODELS', 'face-human-hand-detection', 'face-human-hand-detection')": {"filepath": "TEMPLATE_PATH/models/cv/face_human_hand_detection/det_infer.py", "imports": ["torch", "numpy", "cv2"], "module": "modelscope.models.cv.face_human_hand_detection.det_infer"}, "('MODELS', 'face-recognition', 'rts-backbone')": {"filepath": "TEMPLATE_PATH/models/cv/face_recognition/torchkit/rts_backbone.py", "imports": ["math", "torch", "collections", "os"], "module": "modelscope.models.cv.face_recognition.torchkit.rts_backbone"}, "('MODELS', 'image-color-enhancement', 'csrnet')": {"filepath": "TEMPLATE_PATH/models/cv/image_color_enhance/image_color_enhance.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_color_enhance.image_color_enhance"}, "('MODELS', 'image-color-enhancement', 'adaint')": {"filepath": "TEMPLATE_PATH/models/cv/image_color_enhance/adaint/adaint.py", "imports": ["numbers", "os", "torch", "typing", "torchvision"], "module": "modelscope.models.cv.image_color_enhance.adaint.adaint"}, "('MODELS', 'image-color-enhancement', 'deeplpfnet')": {"filepath": "TEMPLATE_PATH/models/cv/image_color_enhance/deeplpf/deeplpf_image_color_enhance.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_color_enhance.deeplpf.deeplpf_image_color_enhance"}, "('MODELS', 'image-segmentation', 'vision-middleware')": {"filepath": "TEMPLATE_PATH/models/cv/vision_middleware/model.py", "imports": ["torch", "json", "typing", "os"], "module": "modelscope.models.cv.vision_middleware.model"}, "('MODELS', 'bad-image-detecting', 'bad-image-detecting')": {"filepath": "TEMPLATE_PATH/models/cv/bad_image_detecting/bad_image_detecting.py", "imports": ["numpy", "os", "torch", "typing", "torchvision"], "module": "modelscope.models.cv.bad_image_detecting.bad_image_detecting"}, "('MODELS', 'semantic-segmentation', 'detection')": {"filepath": "TEMPLATE_PATH/models/cv/salient_detection/salient_model.py", "imports": ["PIL", "os", "torch", "torchvision", "cv2"], "module": "modelscope.models.cv.salient_detection.salient_model"}, "('MODELS', 'body-3d-keypoints', 'body-3d-keypoints')": {"filepath": "TEMPLATE_PATH/models/cv/body_3d_keypoints/cannonical_pose/body_3d_pose.py", "imports": ["numpy", "os", "logging", "torch", "typing"], "module": "modelscope.models.cv.body_3d_keypoints.cannonical_pose.body_3d_pose"}, "('MODELS', 'body-3d-keypoints', 'hdformer')": {"filepath": "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/hdformer_detector.py", "imports": ["torch", "numpy", "typing", "os"], "module": "modelscope.models.cv.body_3d_keypoints.hdformer.hdformer_detector"}, "('MODELS', 'video-text-retrieval', 'vop-retrieval-model-se')": {"filepath": "TEMPLATE_PATH/models/cv/vop_retrieval/model_se.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.vop_retrieval.model_se"}, "('MODELS', 'video-text-retrieval', 'vop-retrieval-model')": {"filepath": "TEMPLATE_PATH/models/cv/vop_retrieval/model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.vop_retrieval.model"}, "('MODELS', 'image-object-detection', 'vidt')": {"filepath": "TEMPLATE_PATH/models/cv/vidt/model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.vidt.model"}, "('MODELS', 'pedestrian-attribute-recognition', 'pedestrian-attribute-recognition')": {"filepath": "TEMPLATE_PATH/models/cv/pedestrian_attribute_recognition/model.py", "imports": ["torch", "numpy", "os", "torchvision"], "module": "modelscope.models.cv.pedestrian_attribute_recognition.model"}, "('MODELS', 'image-demoireing', 'image-restoration')": {"filepath": "TEMPLATE_PATH/models/cv/image_restoration/image_restoration_model.py", "imports": ["torch", "numpy", "os", "cv2"], "module": "modelscope.models.cv.image_restoration.image_restoration_model"}, "('NECKS', 'default', 'CPFPN')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/necks/cp_fpn.py", "imports": ["mmdet", "torch", "mmcv"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.necks.cp_fpn"}, "('BACKBONES', 'default', 'VoVNet')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/backbones/vovnet.py", "imports": ["mmdet", "torch", "collections", "mmcv"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.backbones.vovnet"}, "('HEADS', 'default', 'PETRv2DEDNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/dense_heads/petrv2_dednhead.py", "imports": ["mmdet", "numpy", "mmcv", "math", "mmdet3d", "torch", "copy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.dense_heads.petrv2_dednhead"}, "('DETECTORS', 'default', 'Petr3D')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/detectors/petr3d.py", "imports": ["mmdet", "numpy", "mmcv", "mmdet3d", "torch"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.detectors.petr3d"}, "('TRANSFORMER', 'default', 'PETRDNTransformer')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/petr_transformer.py", "imports": ["mmdet", "mmcv", "math", "torch", "warnings", "copy", "typing"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.petr_transformer"}, "('TRANSFORMER_LAYER', 'default', 'PETRTransformerDecoderLayer')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/petr_transformer.py", "imports": ["mmdet", "mmcv", "math", "torch", "warnings", "copy", "typing"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.petr_transformer"}, "('ATTENTION', 'default', 'PETRMultiheadAttention')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/petr_transformer.py", "imports": ["mmdet", "mmcv", "math", "torch", "warnings", "copy", "typing"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.petr_transformer"}, "('TRANSFORMER_LAYER_SEQUENCE', 'default', 'PETRTransformerEncoder')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/petr_transformer.py", "imports": ["mmdet", "mmcv", "math", "torch", "warnings", "copy", "typing"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.petr_transformer"}, "('TRANSFORMER_LAYER_SEQUENCE', 'default', 'PETRTransformerDecoder')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/petr_transformer.py", "imports": ["mmdet", "mmcv", "math", "torch", "warnings", "copy", "typing"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.petr_transformer"}, "('POSITIONAL_ENCODING', 'default', 'SinePositionalEncoding3D')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/positional_encoding.py", "imports": ["math", "torch", "mmcv"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.positional_encoding"}, "('PIPELINES', 'default', 'PadMultiViewImage')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/pipelines/transform_3d.py", "imports": ["mmdet", "mmdet3d", "numpy", "mmcv", "torch", "copy", "PIL"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.pipelines.transform_3d"}, "('PIPELINES', 'default', 'NormalizeMultiviewImage')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/pipelines/transform_3d.py", "imports": ["mmdet", "mmdet3d", "numpy", "mmcv", "torch", "copy", "PIL"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.pipelines.transform_3d"}, "('PIPELINES', 'default', 'ResizeCropFlipImage')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/pipelines/transform_3d.py", "imports": ["mmdet", "mmdet3d", "numpy", "mmcv", "torch", "copy", "PIL"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.pipelines.transform_3d"}, "('PIPELINES', 'default', 'LoadMultiViewImageFromMultiSweepsFiles')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/pipelines/loading.py", "imports": ["mmdet", "numpy", "mmcv"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.pipelines.loading"}, "('DATASETS', 'default', 'CustomNuScenesDataset')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/nuscenes_dataset.py", "imports": ["mmdet", "mmdet3d", "numpy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.nuscenes_dataset"}, "('BBOX_ASSIGNERS', 'default', 'HungarianAssigner3D')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/assigners/hungarian_assigner_3d.py", "imports": ["mmdet", "torch", "scipy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.assigners.hungarian_assigner_3d"}, "('MATCH_COST', 'default', 'BBox3DL1Cost')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/match_costs/match_cost.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.match_costs.match_cost"}, "('BBOX_CODERS', 'default', 'NMSFreeCoder')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/coders/nms_free_coder.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.coders.nms_free_coder"}, "('MODELS', 'object-detection-3d', 'depe')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/depe_detect.py", "imports": ["torch", "numpy", "typing", "os"], "module": "modelscope.models.cv.object_detection_3d.depe.depe_detect"}, "('MODELS', 'image-matching', 'quadtree-attention-image-matching')": {"filepath": "TEMPLATE_PATH/models/cv/image_matching/quadtree_attention_model.py", "imports": ["numpy", "pathlib", "os", "torch", "cv2"], "module": "modelscope.models.cv.image_matching.quadtree_attention_model"}, "('MODELS', 'face-2d-keypoints', 'face-2d-keypoints')": {"filepath": "TEMPLATE_PATH/models/cv/face_2d_keypoints/face_2d_keypoints_align.py", "imports": ["easycv"], "module": "modelscope.models.cv.face_2d_keypoints.face_2d_keypoints_align"}, "('MODELS', 'image-face-fusion', 'image-face-fusion')": {"filepath": "TEMPLATE_PATH/models/cv/image_face_fusion/image_face_fusion.py", "imports": ["numpy", "PIL", "os", "torch", "collections", "typing", "torchvision", "cv2"], "module": "modelscope.models.cv.image_face_fusion.image_face_fusion"}, "('MODELS', 'referring-video-object-segmentation', 'swinT-referring-video-object-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/model.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.referring_video_object_segmentation.model"}, "('MODELS', 'image-segmentation', 'maskdino_swin')": {"filepath": "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino_model.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_instance_segmentation.maskdino_model"}, "('MODELS', 'image-segmentation', 'cascade_mask_rcnn_swin')": {"filepath": "TEMPLATE_PATH/models/cv/image_instance_segmentation/model.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_instance_segmentation.model"}, "('MODELS', 'face-emotion', 'face-emotion')": {"filepath": "TEMPLATE_PATH/models/cv/face_emotion/emotion_model.py", "imports": ["torch", "sys", "os"], "module": "modelscope.models.cv.face_emotion.emotion_model"}, "('MODELS', 'movie-scene-segmentation', 'resnet50-bert')": {"filepath": "TEMPLATE_PATH/models/cv/movie_scene_segmentation/model.py", "imports": ["numpy", "math", "shotdetect_scenedetect_lgss", "einops", "PIL", "os", "torch", "tqdm", "typing", "torchvision"], "module": "modelscope.models.cv.movie_scene_segmentation.model"}, "('MODELS', 'image-body-reshaping', 'image-body-reshaping')": {"filepath": "TEMPLATE_PATH/models/cv/image_body_reshaping/image_body_reshaping.py", "imports": ["numpy", "os", "torch", "typing", "cv2"], "module": "modelscope.models.cv.image_body_reshaping.image_body_reshaping"}, "('MODELS', 'video-object-detection', 'realtime-video-object-detection')": {"filepath": "TEMPLATE_PATH/models/cv/stream_yolo/realtime_video_detector.py", "imports": ["numpy", "argparse", "json", "os", "logging", "torch", "tqdm", "time", "cv2"], "module": "modelscope.models.cv.stream_yolo.realtime_video_detector"}, "('MODELS', 'face-2d-keypoints', 'flc')": {"filepath": "TEMPLATE_PATH/models/cv/facial_landmark_confidence/flc/facial_landmark_confidence.py", "imports": ["numpy", "PIL", "os", "torch", "cv2"], "module": "modelscope.models.cv.facial_landmark_confidence.flc.facial_landmark_confidence"}, "('MODELS', 'image-classification', 'bnext')": {"filepath": "TEMPLATE_PATH/models/cv/image_binary_quant_classification/binary_quant_model.py", "imports": ["torch", "collections", "os"], "module": "modelscope.models.cv.image_binary_quant_classification.binary_quant_model"}, "('MODELS', 'face-detection', 'mtcnn')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/mtcnn/models/detector.py", "imports": ["torch", "numpy", "os", "PIL"], "module": "modelscope.models.cv.face_detection.mtcnn.models.detector"}, "('MODELS', 'face-detection', 'mogface')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/mogface/models/detectors.py", "imports": ["torch", "numpy", "os", "cv2"], "module": "modelscope.models.cv.face_detection.mogface.models.detectors"}, "('MODELS', 'face-detection', 'ulfd')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/detection.py", "imports": ["torch", "numpy", "os", "cv2"], "module": "modelscope.models.cv.face_detection.ulfd_slim.detection"}, "('MODELS', 'face-detection', 'retinaface')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/retinaface/detection.py", "imports": ["torch", "numpy", "cv2"], "module": "modelscope.models.cv.face_detection.retinaface.detection"}, "('MODELS', 'face-detection', 'scrfd')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/scrfd_detect.py", "imports": ["numpy", "os", "torch", "copy", "typing"], "module": "modelscope.models.cv.face_detection.scrfd.scrfd_detect"}, "('MODELS', 'card-detection', 'scrfd')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/scrfd_detect.py", "imports": ["numpy", "os", "torch", "copy", "typing"], "module": "modelscope.models.cv.face_detection.scrfd.scrfd_detect"}, "('MODELS', 'face-detection', 'tinymog')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/tinymog_detect.py", "imports": ["torch", "copy", "os", "typing"], "module": "modelscope.models.cv.face_detection.scrfd.tinymog_detect"}, "('MODELS', 'face-detection', 'damofd')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/damofd_detect.py", "imports": ["torch", "copy", "os", "typing"], "module": "modelscope.models.cv.face_detection.scrfd.damofd_detect"}, "('BACKBONES', 'default', 'MasterNet')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/backbones/master_net.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.backbones.master_net"}, "('BACKBONES', 'default', 'MobileNetV1')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/backbones/mobilenet.py", "imports": ["mmdet", "torch", "mmcv"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.backbones.mobilenet"}, "('BACKBONES', 'default', 'ResNetV1e')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/backbones/resnet.py", "imports": ["mmdet", "torch", "mmcv"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.backbones.resnet"}, "('HEADS', 'default', 'SCRFDHead')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/dense_heads/scrfd_head.py", "imports": ["mmdet", "torch", "numpy", "mmcv"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.dense_heads.scrfd_head"}, "('DETECTORS', 'default', 'CustomSingleStageDetector')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/single_stage.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.single_stage"}, "('DETECTORS', 'default', 'SCRFD')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/scrfd.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.scrfd"}, "('DETECTORS', 'default', 'TinyMog')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/tinymog.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.tinymog"}, "('PIPELINES', 'default', 'RotateV2')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/auto_augment.py", "imports": ["mmdet", "numpy", "mmcv", "copy", "cv2"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.auto_augment"}, "('PIPELINES', 'default', 'ResizeV2')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/transforms.py", "imports": ["mmdet", "numpy", "mmcv"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.transforms"}, "('PIPELINES', 'default', 'RandomFlipV2')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/transforms.py", "imports": ["mmdet", "numpy", "mmcv"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.transforms"}, "('PIPELINES', 'default', 'RandomSquareCrop')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/transforms.py", "imports": ["mmdet", "numpy", "mmcv"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.transforms"}, "('PIPELINES', 'default', 'DefaultFormatBundleV2')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/formating.py", "imports": ["mmdet", "torch", "numpy", "mmcv"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.formating"}, "('PIPELINES', 'default', 'LoadAnnotationsV2')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/loading.py", "imports": ["mmdet", "pycocotools", "numpy", "os"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.loading"}, "('DATASETS', 'default', 'RetinaFaceDataset')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/retinaface.py", "imports": ["mmdet", "numpy"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.retinaface"}, "('PREPROCESSORS', 'cv', 'object-detection-scrfd')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/preprocessor.py", "imports": ["numpy", "typing", "PIL"], "module": "modelscope.models.cv.face_detection.scrfd.preprocessor"}, "('MODELS', 'open-vocabulary-detection', 'open-vocabulary-detection-vild')": {"filepath": "TEMPLATE_PATH/models/cv/open_vocabulary_detection_vild/vild.py", "imports": ["numpy", "tensorflow", "scipy", "clip", "os", "torch", "typing"], "module": "modelscope.models.cv.open_vocabulary_detection_vild.vild"}, "('MODELS', 'panorama-depth-estimation', 'unifuse-depth-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/panorama_depth_estimation/unifuse_model.py", "imports": ["torch", "numpy", "os", "torchvision"], "module": "modelscope.models.cv.panorama_depth_estimation.unifuse_model"}, "('MODELS', 'image-object-detection', 'YOLOX')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/yolox_pai.py", "imports": ["easycv"], "module": "modelscope.models.cv.object_detection.yolox_pai"}, "('MODELS', 'image-object-detection', 'image-object-detection-auto')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/yolox_pai.py", "imports": ["easycv"], "module": "modelscope.models.cv.object_detection.yolox_pai"}, "('MODELS', 'domain-specific-object-detection', 'YOLOX')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/yolox_pai.py", "imports": ["easycv"], "module": "modelscope.models.cv.object_detection.yolox_pai"}, "('NECKS', 'default', 'FPNF')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/necks/fpn.py", "imports": ["mmdet", "torch", "mmcv"], "module": "modelscope.models.cv.object_detection.mmdet_ms.necks.fpn"}, "('BACKBONES', 'default', 'ViT')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/backbones/vit.py", "imports": ["mmdet", "math", "timm", "torch", "functools"], "module": "modelscope.models.cv.object_detection.mmdet_ms.backbones.vit"}, "('HEADS', 'default', 'AnchorNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/dense_heads/anchor_head.py", "imports": ["mmdet"], "module": "modelscope.models.cv.object_detection.mmdet_ms.dense_heads.anchor_head"}, "('HEADS', 'default', 'RPNNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/dense_heads/rpn_head.py", "imports": ["mmdet", "torch", "copy", "mmcv"], "module": "modelscope.models.cv.object_detection.mmdet_ms.dense_heads.rpn_head"}, "('HEADS', 'default', 'FCNMaskNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/roi_heads/mask_heads/fcn_mask_head.py", "imports": ["mmdet", "numpy", "mmcv", "torch", "warnings"], "module": "modelscope.models.cv.object_detection.mmdet_ms.roi_heads.mask_heads.fcn_mask_head"}, "('HEADS', 'default', 'ConvFCBBoxNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/roi_heads/bbox_heads/convfc_bbox_head.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.object_detection.mmdet_ms.roi_heads.bbox_heads.convfc_bbox_head"}, "('HEADS', 'default', 'Shared2FCBBoxNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/roi_heads/bbox_heads/convfc_bbox_head.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.object_detection.mmdet_ms.roi_heads.bbox_heads.convfc_bbox_head"}, "('HEADS', 'default', 'Shared4Conv1FCBBoxNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/roi_heads/bbox_heads/convfc_bbox_head.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.object_detection.mmdet_ms.roi_heads.bbox_heads.convfc_bbox_head"}, "('MODELS', 'image-object-detection', 'DINO')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/dino.py", "imports": ["easycv"], "module": "modelscope.models.cv.object_detection.dino"}, "('MODELS', 'human-detection', 'detection')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_model.py", "imports": ["torch", "numpy", "os"], "module": "modelscope.models.cv.object_detection.mmdet_model"}, "('MODELS', 'image-object-detection', 'detection')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_model.py", "imports": ["torch", "numpy", "os"], "module": "modelscope.models.cv.object_detection.mmdet_model"}, "('MODELS', 'video-deinterlace', 'video-deinterlace')": {"filepath": "TEMPLATE_PATH/models/cv/video_deinterlace/UNet_for_video_deinterlace.py", "imports": ["torch", "copy", "os", "typing"], "module": "modelscope.models.cv.video_deinterlace.UNet_for_video_deinterlace"}, "('MODELS', 'video-inpainting', 'video-inpainting')": {"filepath": "TEMPLATE_PATH/models/cv/video_inpainting/inpainting_model.py", "imports": ["math", "torch", "numpy", "torchvision"], "module": "modelscope.models.cv.video_inpainting.inpainting_model"}, "('MODELS', 'nerf-recon-acc', 'nerf-recon-acc')": {"filepath": "TEMPLATE_PATH/models/cv/nerf_recon_acc/nerf_recon_acc.py", "imports": ["numpy", "glob", "os", "torch", "tqdm", "time", "cv2"], "module": "modelscope.models.cv.nerf_recon_acc.nerf_recon_acc"}, "('PREPROCESSORS', 'cv', 'nerf-recon-acc-preprocessor')": {"filepath": "TEMPLATE_PATH/models/cv/nerf_recon_acc/nerf_preprocess.py", "imports": ["numpy", "glob", "tensorflow", "subprocess", "os", "typing", "cv2"], "module": "modelscope.models.cv.nerf_recon_acc.nerf_preprocess"}, "('MODELS', 'image-depth-estimation', 'bts-depth-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/image_depth_estimation_bts/depth_estimation_bts_model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.image_depth_estimation_bts.depth_estimation_bts_model"}, "('MODELS', 'video-frame-interpolation', 'video-frame-interpolation')": {"filepath": "TEMPLATE_PATH/models/cv/video_frame_interpolation/VFINet_for_video_frame_interpolation.py", "imports": ["torch", "copy", "os", "typing"], "module": "modelscope.models.cv.video_frame_interpolation.VFINet_for_video_frame_interpolation"}, "('MODELS', 'ocr-recognition', 'OCRRecognition')": {"filepath": "TEMPLATE_PATH/models/cv/ocr_recognition/model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.ocr_recognition.model"}, "('PREPROCESSORS', 'cv', 'ocr-recognition')": {"filepath": "TEMPLATE_PATH/models/cv/ocr_recognition/preprocessor.py", "imports": ["numpy", "PIL", "os", "torch", "cv2"], "module": "modelscope.models.cv.ocr_recognition.preprocessor"}, "('MODELS', 'image-quality-assessment-mos', 'image-quality-assessment-mos')": {"filepath": "TEMPLATE_PATH/models/cv/image_quality_assessment_mos/image_quality_assessment_mos.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_quality_assessment_mos.image_quality_assessment_mos"}, "('MODELS', 'crowd-counting', 'HRNetCrowdCounting')": {"filepath": "TEMPLATE_PATH/models/cv/crowd_counting/cc_model.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.crowd_counting.cc_model"}, "('MODELS', 'language-guided-video-summarization', 'clip-it-language-guided-video-summarization')": {"filepath": "TEMPLATE_PATH/models/cv/language_guided_video_summarization/summarizer.py", "imports": ["numpy", "argparse", "bmt_clipit", "videofeatures_clipit", "os", "torch", "typing"], "module": "modelscope.models.cv.language_guided_video_summarization.summarizer"}, "('MODELS', 'ocr-detection', 'OCRDetection')": {"filepath": "TEMPLATE_PATH/models/cv/ocr_detection/model.py", "imports": ["torch", "numpy", "typing", "os"], "module": "modelscope.models.cv.ocr_detection.model"}, "('PREPROCESSORS', 'cv', 'ocr-detection')": {"filepath": "TEMPLATE_PATH/models/cv/ocr_detection/preprocessor.py", "imports": ["numpy", "math", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.models.cv.ocr_detection.preprocessor"}, "('TRACKERS', 'default', 'QuasiDenseEmbedTracker')": {"filepath": "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/track/quasi_dense_embed_tracker.py", "imports": ["mmdet", "torch", "mmcv"], "module": "modelscope.models.cv.video_panoptic_segmentation.track.quasi_dense_embed_tracker"}, "('NECKS', 'default', 'SemanticFPNWrapper')": {"filepath": "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/semantic_fpn_wrapper.py", "imports": ["mmdet", "torch", "mmcv"], "module": "modelscope.models.cv.video_panoptic_segmentation.head.semantic_fpn_wrapper"}, "('TRANSFORMER_LAYER', 'default', 'KernelUpdator')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_updator.py", "imports": ["torch", "mmcv"], "module": "modelscope.models.cv.video_instance_segmentation.head.kernel_updator"}, "('HEADS', 'default', 'VideoKernelIterHead')": {"filepath": "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_iter_head.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.video_panoptic_segmentation.head.kernel_iter_head"}, "('HEADS', 'default', 'VideoKernelUpdateHead')": {"filepath": "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_update_head.py", "imports": ["mmdet", "torch", "numpy", "mmcv"], "module": "modelscope.models.cv.video_panoptic_segmentation.head.kernel_update_head"}, "('MODELS', 'video-panoptic-segmentation', 'swinb-video-panoptic-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/video_k_net.py", "imports": ["mmdet", "torch", "numpy", "mmcv"], "module": "modelscope.models.cv.video_panoptic_segmentation.video_k_net"}, "('MODELS', 'pointcloud-sceneflow-estimation', 'rcp-sceneflow-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/pointcloud_sceneflow_estimation/rcp_model.py", "imports": ["torch", "numpy", "os"], "module": "modelscope.models.cv.pointcloud_sceneflow_estimation.rcp_model"}, "('MODELS', 'video-depth-estimation', 'dro-resnet18-depth-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/video_depth_estimation/dro_model.py", "imports": ["numpy", "glob", "os", "torch", "tqdm", "cv2"], "module": "modelscope.models.cv.video_depth_estimation.dro_model"}, "('MODELS', 'video-object-detection', 'longshortnet')": {"filepath": "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/longshortnet.py", "imports": ["numpy", "argparse", "json", "os", "logging", "torch", "tqdm", "time", "cv2"], "module": "modelscope.models.cv.video_streaming_perception.longshortnet.longshortnet"}, "('MODELS', 'image-classification', 'EasyRobustModel')": {"filepath": "TEMPLATE_PATH/models/cv/robust_image_classification/easyrobust_model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.robust_image_classification.easyrobust_model"}, "('MODELS', 'image-segmentation', 'swinL-panoptic-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/image_panoptic_segmentation/panseg_model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.image_panoptic_segmentation.panseg_model"}, "('MODELS', 'image-segmentation', 'r50-panoptic-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/image_panoptic_segmentation/r50_panseg_model.py", "imports": ["easycv"], "module": "modelscope.models.cv.image_panoptic_segmentation.r50_panseg_model"}, "('MODELS', 'image-portrait-enhancement', 'gpen')": {"filepath": "TEMPLATE_PATH/models/cv/image_portrait_enhancement/image_portrait_enhancement.py", "imports": ["math", "torch", "typing", "os"], "module": "modelscope.models.cv.image_portrait_enhancement.image_portrait_enhancement"}, "('MODELS', 'image-inpainting', 'FFTInpainting')": {"filepath": "TEMPLATE_PATH/models/cv/image_inpainting/model.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_inpainting.model"}, "('MODELS', 'human-reconstruction', 'human-reconstruction')": {"filepath": "TEMPLATE_PATH/models/cv/human_reconstruction/Reconstruction.py", "imports": ["numpy", "skimage", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.models.cv.human_reconstruction.Reconstruction"}, "('MODELS', 'video-object-segmentation', 'video-object-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/video_object_segmentation/model.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.video_object_segmentation.model"}, "('MODELS', 'product-retrieval-embedding', 'product-retrieval-embedding')": {"filepath": "TEMPLATE_PATH/models/cv/product_retrieval_embedding/item_model.py", "imports": ["torch", "numpy", "typing", "os"], "module": "modelscope.models.cv.product_retrieval_embedding.item_model"}, "('MODELS', 'video-human-matting', 'video-human-matting')": {"filepath": "TEMPLATE_PATH/models/cv/video_human_matting/model.py", "imports": ["numpy", "os", "torch", "typing", "torchvision"], "module": "modelscope.models.cv.video_human_matting.model"}, "('MODELS', 'text-driven-segmentation', 'text-driven-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/text_driven_segmentation/lseg_model.py", "imports": ["numpy", "PIL", "json", "os", "torch", "typing"], "module": "modelscope.models.cv.text_driven_segmentation.lseg_model"}, "('MODELS', 'image-debanding', 'rrdb')": {"filepath": "TEMPLATE_PATH/models/cv/image_debanding/rrdb/rrdb_image_debanding.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_debanding.rrdb.rrdb_image_debanding"}, "('NECKS', 'default', 'MSDeformAttnPixelDecoder')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/neck/msdeformattn_decoder.py", "imports": ["mmdet", "torch", "mmcv"], "module": "modelscope.models.cv.video_instance_segmentation.neck.msdeformattn_decoder"}, "('MATCH_COST', 'default', 'MaskCost')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/track/mask_hungarian_assigner.py", "imports": ["mmdet", "torch", "numpy", "scipy"], "module": "modelscope.models.cv.video_instance_segmentation.track.mask_hungarian_assigner"}, "('BBOX_ASSIGNERS', 'default', 'MaskHungarianAssignerVideo')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/track/mask_hungarian_assigner.py", "imports": ["mmdet", "torch", "numpy", "scipy"], "module": "modelscope.models.cv.video_instance_segmentation.track.mask_hungarian_assigner"}, "('HEADS', 'default', 'KernelUpdateHeadVideo')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/track/kernel_update_head.py", "imports": ["mmdet", "torch", "numpy", "mmcv"], "module": "modelscope.models.cv.video_instance_segmentation.track.kernel_update_head"}, "('MODELS', 'video-instance-segmentation', 'swinb-video-instance-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/video_knet.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.video_instance_segmentation.video_knet"}, "('HEADS', 'default', 'ConvKernelHeadVideo')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_head.py", "imports": ["mmdet", "torch", "mmcv"], "module": "modelscope.models.cv.video_instance_segmentation.head.kernel_head"}, "('HEADS', 'default', 'KernelIterHeadVideo')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_iter_head.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.video_instance_segmentation.head.kernel_iter_head"}, "('HEADS', 'default', 'KernelFrameIterHeadVideo')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_frame_iter_head.py", "imports": ["mmdet", "torch", "mmcv"], "module": "modelscope.models.cv.video_instance_segmentation.head.kernel_frame_iter_head"}, "('HEADS', 'default', 'KernelUpdateHead')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_update_head.py", "imports": ["mmdet", "torch", "numpy", "mmcv"], "module": "modelscope.models.cv.video_instance_segmentation.head.kernel_update_head"}, "('MODELS', 'human-wholebody-keypoint', 'human-wholebody-keypoint')": {"filepath": "TEMPLATE_PATH/models/cv/human_wholebody_keypoint/human_wholebody_keypoint.py", "imports": ["easycv"], "module": "modelscope.models.cv.human_wholebody_keypoint.human_wholebody_keypoint"}, "('MODELS', 'image-classification', 'image-probing-model')": {"filepath": "TEMPLATE_PATH/models/cv/image_probing_model/model.py", "imports": ["torch", "json", "typing", "os"], "module": "modelscope.models.cv.image_probing_model.model"}, "('BACKBONES', 'default', 'NextViT')": {"filepath": "TEMPLATE_PATH/models/cv/image_classification/backbones/nextvit.py", "imports": ["mmcv", "math", "warnings", "einops", "os", "mmcls", "torch", "collections", "functools", "itertools", "typing"], "module": "modelscope.models.cv.image_classification.backbones.nextvit"}, "('BACKBONES', 'default', 'BEiTv2')": {"filepath": "TEMPLATE_PATH/models/cv/image_classification/backbones/beit_v2.py", "imports": ["mmcv", "math", "warnings", "einops", "os", "mmcls", "torch", "collections", "functools", "itertools", "typing"], "module": "modelscope.models.cv.image_classification.backbones.beit_v2"}, "('MODELS', 'image-classification', 'ClassificationModel')": {"filepath": "TEMPLATE_PATH/models/cv/image_classification/mmcls_model.py", "imports": ["os"], "module": "modelscope.models.cv.image_classification.mmcls_model"}, "('MODELS', 'image-classification', 'content-check')": {"filepath": "TEMPLATE_PATH/models/cv/image_classification/resnet50_cc.py", "imports": ["math", "os", "torch", "collections", "torchvision"], "module": "modelscope.models.cv.image_classification.resnet50_cc"}, "('MODELS', 'image-segmentation', 'm2fp')": {"filepath": "TEMPLATE_PATH/models/cv/image_human_parsing/m2fp_net.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_human_parsing.m2fp_net"}, "('MODELS', 'image-quality-assessment-mos', 'image-quality-assessment-man')": {"filepath": "TEMPLATE_PATH/models/cv/image_quality_assessment_man/image_quality_assessment_man.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_quality_assessment_man.image_quality_assessment_man"}, "('PREPROCESSORS', 'cv', 'image-sky-change-preprocessor')": {"filepath": "TEMPLATE_PATH/models/cv/image_skychange/preprocessor.py", "imports": ["pdb", "numpy", "json", "numbers", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.models.cv.image_skychange.preprocessor"}, "('MODELS', 'image-skychange', 'image-skychange')": {"filepath": "TEMPLATE_PATH/models/cv/image_skychange/skychange_model.py", "imports": ["pdb", "math", "time", "json", "os", "torch", "collections", "typing", "cv2"], "module": "modelscope.models.cv.image_skychange.skychange_model"}, "('MODELS', 'lineless-table-recognition', 'LoreModel')": {"filepath": "TEMPLATE_PATH/models/cv/table_recognition/model_lore.py", "imports": ["numpy", "math", "os", "torch", "copy", "typing"], "module": "modelscope.models.cv.table_recognition.model_lore"}, "('MODELS', 'image-quality-assessment-degradation', 'image-quality-assessment-degradation')": {"filepath": "TEMPLATE_PATH/models/cv/image_quality_assessment_degradation/image_quality_assessment_degradation.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_quality_assessment_degradation.image_quality_assessment_degradation"}, "('MODELS', 'image-driving-perception', 'yolopv2')": {"filepath": "TEMPLATE_PATH/models/cv/image_driving_perception/image_driving_percetion_model.py", "imports": ["numpy", "os", "torch", "typing", "cv2"], "module": "modelscope.models.cv.image_driving_perception.image_driving_percetion_model"}, "('PREPROCESSORS', 'cv', 'image-driving-perception-preprocessor')": {"filepath": "TEMPLATE_PATH/models/cv/image_driving_perception/preprocessor.py", "imports": ["torch", "numpy", "typing", "cv2"], "module": "modelscope.models.cv.image_driving_perception.preprocessor"}, "('MODELS', 'product-segmentation', 'product-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/product_segmentation/seg_infer.py", "imports": ["cv2", "torch", "numpy", "PIL"], "module": "modelscope.models.cv.product_segmentation.seg_infer"}, "('MODELS', 'image-denoising', 'nafnet')": {"filepath": "TEMPLATE_PATH/models/cv/image_denoise/nafnet_for_image_denoise.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.image_denoise.nafnet_for_image_denoise"}, "('MODELS', 'video-super-resolution', 'real-basicvsr')": {"filepath": "TEMPLATE_PATH/models/cv/video_super_resolution/real_basicvsr_for_video_super_resolution.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.cv.video_super_resolution.real_basicvsr_for_video_super_resolution"}, "('MODELS', 'video-super-resolution', 'msrresnet-lite')": {"filepath": "TEMPLATE_PATH/models/cv/video_super_resolution/msrresnet_lite_model.py", "imports": ["torch", "functools", "typing", "os"], "module": "modelscope.models.cv.video_super_resolution.msrresnet_lite_model"}, "('MODELS', 'controllable-image-generation', 'controllable-image-generation')": {"filepath": "TEMPLATE_PATH/models/cv/controllable_image_generation/controlnet.py", "imports": ["numpy", "typing", "math", "einops", "PIL", "control_ldm", "tempfile", "os", "torch", "random", "sys", "cv2"], "module": "modelscope.models.cv.controllable_image_generation.controlnet"}, "('MODELS', 'image-reid-person', 'passvitb')": {"filepath": "TEMPLATE_PATH/models/cv/image_reid_person/pass_model.py", "imports": ["torch", "enum", "os"], "module": "modelscope.models.cv.image_reid_person.pass_model"}, "('MODELS', 'face-attribute-recognition', 'fairface')": {"filepath": "TEMPLATE_PATH/models/cv/face_attribute_recognition/fair_face/face_attribute_recognition.py", "imports": ["numpy", "PIL", "os", "torch", "torchvision", "cv2"], "module": "modelscope.models.cv.face_attribute_recognition.fair_face.face_attribute_recognition"}, "('HEADS', 'default', 'MaskFormerSemanticHead')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/pan_merge/maskformer_semantic_head.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.image_semantic_segmentation.pan_merge.maskformer_semantic_head"}, "('MODELS', 'image-segmentation', 'Segformer')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/segformer.py", "imports": ["easycv"], "module": "modelscope.models.cv.image_semantic_segmentation.segformer"}, "('HEADS', 'default', 'Mask2FormerHeadFromMMSeg')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/decode_heads/mask2former_head_from_mmseg.py", "imports": ["mmdet", "torch", "copy", "mmcv"], "module": "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.decode_heads.mask2former_head_from_mmseg"}, "('BACKBONES', 'default', 'BASEBEiT')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/backbone/base/beit.py", "imports": ["mmdet", "timm", "mmcv", "math", "torch", "functools"], "module": "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.backbone.base.beit"}, "('BACKBONES', 'default', 'BEiTAdapter')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/backbone/beit_adapter.py", "imports": ["mmdet", "math", "timm", "logging", "torch"], "module": "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.backbone.beit_adapter"}, "('DETECTORS', 'default', 'EncoderDecoderMask2Former')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/segmentors/encoder_decoder_mask2former.py", "imports": ["mmdet", "torch"], "module": "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.segmentors.encoder_decoder_mask2former"}, "('PIPELINES', 'default', 'ResizeToMultiple')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/utils/data_process_func.py", "imports": ["mmdet", "mmcv"], "module": "modelscope.models.cv.image_semantic_segmentation.vit_adapter.utils.data_process_func"}, "('MODELS', 'image-segmentation', 'swinL-semantic-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/semantic_seg_model.py", "imports": ["torch", "numpy", "os"], "module": "modelscope.models.cv.image_semantic_segmentation.semantic_seg_model"}, "('MODELS', 'image-segmentation', 'vitadapter-semantic-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/semantic_seg_model.py", "imports": ["torch", "numpy", "os"], "module": "modelscope.models.cv.image_semantic_segmentation.semantic_seg_model"}, "('MODELS', 'semantic-segmentation', 'ddpm')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/ddpm_segmentation_model.py", "imports": ["torch", "typing", "os", "ddpm_guided_diffusion"], "module": "modelscope.models.cv.image_semantic_segmentation.ddpm_segmentation_model"}, "('MODELS', 'image-colorization', 'ddcolor')": {"filepath": "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/ddcolor_for_image_colorization.py", "imports": ["numpy", "os", "torch", "copy", "typing"], "module": "modelscope.models.cv.image_colorization.ddcolor.ddcolor_for_image_colorization"}, "('MODELS', 'text-to-speech', 'sambert-hifigan')": {"filepath": "TEMPLATE_PATH/models/audio/tts/sambert_hifi.py", "imports": ["numpy", "yaml", "shutil", "zipfile", "json", "datetime", "os", "matplotlib", "__future__", "wave"], "module": "modelscope.models.audio.tts.sambert_hifi"}, "('MODELS', 'speech-separation', 'speech_mossformer_separation_temporal_8k')": {"filepath": "TEMPLATE_PATH/models/audio/separation/mossformer.py", "imports": ["torch", "copy", "os", "typing"], "module": "modelscope.models.audio.separation.mossformer"}, "('MODELS', 'inverse-text-processing', 'generic-itn')": {"filepath": "TEMPLATE_PATH/models/audio/itn/generic_inverse_text_processing.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.itn.generic_inverse_text_processing"}, "('MODELS', 'punctuation', 'generic-punc')": {"filepath": "TEMPLATE_PATH/models/audio/punc/generic_punctuation.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.punc.generic_punctuation"}, "('MODELS', 'acoustic-noise-suppression', 'speech_dfsmn_ans')": {"filepath": "TEMPLATE_PATH/models/audio/ans/denoise_net.py", "imports": ["torch"], "module": "modelscope.models.audio.ans.denoise_net"}, "('MODELS', 'acoustic-noise-suppression', 'speech_frcrn_ans_cirm_16k')": {"filepath": "TEMPLATE_PATH/models/audio/ans/frcrn.py", "imports": ["torch", "typing", "os"], "module": "modelscope.models.audio.ans.frcrn"}, "('MODELS', 'speaker-verification', 'ecapa-tdnn-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/ecapa_tdnn.py", "imports": ["torchaudio", "math", "os", "torch", "typing"], "module": "modelscope.models.audio.sv.ecapa_tdnn"}, "('MODELS', 'speaker-verification', 'generic-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/generic_speaker_verification.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.sv.generic_speaker_verification"}, "('MODELS', 'speaker-diarization', 'generic-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/generic_speaker_verification.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.sv.generic_speaker_verification"}, "('MODELS', 'speaker-verification', 'cam++-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/DTDNN.py", "imports": ["torchaudio", "os", "torch", "collections", "typing"], "module": "modelscope.models.audio.sv.DTDNN"}, "('MODELS', 'auto-speech-recognition', 'generic-asr')": {"filepath": "TEMPLATE_PATH/models/audio/asr/generic_automatic_speech_recognition.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.asr.generic_automatic_speech_recognition"}, "('MODELS', 'voice-activity-detection', 'generic-asr')": {"filepath": "TEMPLATE_PATH/models/audio/asr/generic_automatic_speech_recognition.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.asr.generic_automatic_speech_recognition"}, "('MODELS', 'language-score-prediction', 'generic-asr')": {"filepath": "TEMPLATE_PATH/models/audio/asr/generic_automatic_speech_recognition.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.asr.generic_automatic_speech_recognition"}, "('MODELS', 'speech-timestamp', 'generic-asr')": {"filepath": "TEMPLATE_PATH/models/audio/asr/generic_automatic_speech_recognition.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.asr.generic_automatic_speech_recognition"}, "('MODELS', 'auto-speech-recognition', 'wenet-asr')": {"filepath": "TEMPLATE_PATH/models/audio/asr/wenet_automatic_speech_recognition.py", "imports": ["wenetruntime", "json", "typing", "os"], "module": "modelscope.models.audio.asr.wenet_automatic_speech_recognition"}, "('MODELS', 'keyword-spotting', 'speech_kws_fsmn_char_ctc_nearfield')": {"filepath": "TEMPLATE_PATH/models/audio/kws/nearfield/model.py", "imports": ["tempfile", "os", "torch", "sys", "typing"], "module": "modelscope.models.audio.kws.nearfield.model"}, "('MODELS', 'keyword-spotting', 'speech_dfsmn_kws_char_farfield')": {"filepath": "TEMPLATE_PATH/models/audio/kws/farfield/model.py", "imports": ["tempfile", "typing", "os"], "module": "modelscope.models.audio.kws.farfield.model"}, "('MODELS', 'keyword-spotting', 'kws-kwsbp')": {"filepath": "TEMPLATE_PATH/models/audio/kws/generic_key_word_spotting.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.kws.generic_key_word_spotting"}, "('MODELS', 'visual-question-answering', 'mplug')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mplug_for_all_tasks.py", "imports": ["typing", "os"], "module": "modelscope.models.multi_modal.mplug_for_all_tasks"}, "('MODELS', 'image-captioning', 'mplug')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mplug_for_all_tasks.py", "imports": ["typing", "os"], "module": "modelscope.models.multi_modal.mplug_for_all_tasks"}, "('MODELS', 'image-text-retrieval', 'mplug')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mplug_for_all_tasks.py", "imports": ["typing", "os"], "module": "modelscope.models.multi_modal.mplug_for_all_tasks"}, "('MODELS', 'video-question-answering', 'hitea')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mplug_for_all_tasks.py", "imports": ["typing", "os"], "module": "modelscope.models.multi_modal.mplug_for_all_tasks"}, "('MODELS', 'video-captioning', 'hitea')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mplug_for_all_tasks.py", "imports": ["typing", "os"], "module": "modelscope.models.multi_modal.mplug_for_all_tasks"}, "('MODELS', 'generative-multi-modal-embedding', 'rleg-generative-multi-modal')": {"filepath": "TEMPLATE_PATH/models/multi_modal/rleg/rleg.py", "imports": ["torch", "typing", "torchvision"], "module": "modelscope.models.multi_modal.rleg.rleg"}, "('MODELS', 'multi-modal-embedding', 'clip-multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/models/multi_modal/clip/model.py", "imports": ["numpy", "json", "os", "torch", "collections", "typing"], "module": "modelscope.models.multi_modal.clip.model"}, "('MODELS', 'generative-multi-modal-embedding', 'gemm-generative-multi-modal')": {"filepath": "TEMPLATE_PATH/models/multi_modal/gemm/gemm_model.py", "imports": ["numpy", "PIL", "json", "os", "torch", "typing", "torchvision"], "module": "modelscope.models.multi_modal.gemm.gemm_model"}, "('MODELS', 'text-to-video-synthesis', 'latent-text-to-video-synthesis')": {"filepath": "TEMPLATE_PATH/models/multi_modal/video_synthesis/text_to_video_synthesis_model.py", "imports": ["einops", "os", "torch", "open_clip", "typing"], "module": "modelscope.models.multi_modal.video_synthesis.text_to_video_synthesis_model"}, "('MODELS', 'multi-modal-similarity', 'team-multi-modal-similarity')": {"filepath": "TEMPLATE_PATH/models/multi_modal/team/team_model.py", "imports": ["numpy", "tokenizers", "PIL", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.models.multi_modal.team.team_model"}, "('MODELS', 'text-to-image-synthesis', 'multi-stage-diffusion-text-to-image-synthesis')": {"filepath": "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/model.py", "imports": ["numpy", "math", "PIL", "json", "os", "torch", "typing"], "module": "modelscope.models.multi_modal.multi_stage_diffusion.model"}, "('MODELS', 'video-temporal-grounding', 'soonet')": {"filepath": "TEMPLATE_PATH/models/multi_modal/soonet/model.py", "imports": ["torch", "os"], "module": "modelscope.models.multi_modal.soonet.model"}, "('MODELS', 'document-vl-embedding', 'vldoc')": {"filepath": "TEMPLATE_PATH/models/multi_modal/vldoc/model.py", "imports": ["re", "sys", "math", "json", "os", "logging", "torch", "copy", "torchvision"], "module": "modelscope.models.multi_modal.vldoc.model"}, "('MODELS', 'text-classification', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/text_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.text_classification"}, "('MODELS', 'nli', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/text_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.text_classification"}, "('MODELS', 'sentiment-classification', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/text_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.text_classification"}, "('MODELS', 'sentence-similarity', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/text_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.text_classification"}, "('MODELS', 'zero-shot-classification', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/text_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.text_classification"}, "('MODELS', 'text-ranking', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/text_ranking.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.text_ranking"}, "('MODELS', 'backbone', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/backbone.py", "imports": ["math", "warnings", "dataclasses", "transformers", "os", "torch", "random", "typing"], "module": "modelscope.models.multi_modal.mgeo.backbone"}, "('MODELS', 'token-classification', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/token_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.token_classification"}, "('MODELS', 'part-of-speech', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/token_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.token_classification"}, "('MODELS', 'word-segmentation', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/token_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.token_classification"}, "('MODELS', 'text-to-image-synthesis', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_text_to_image_synthesis_model.py", "imports": ["numpy", "taming", "PIL", "pkg_resources", "json", "os", "torch", "typing", "torchvision"], "module": "modelscope.models.multi_modal.ofa_for_text_to_image_synthesis_model"}, "('MODELS', 'text-to-image-synthesis', 'diffusion-text-to-image-synthesis')": {"filepath": "TEMPLATE_PATH/models/multi_modal/diffusion/model.py", "imports": ["numpy", "json", "os", "torch", "typing"], "module": "modelscope.models.multi_modal.diffusion.model"}, "('MODELS', 'efficient-diffusion-tuning', 'efficient-diffusion-tuning')": {"filepath": "TEMPLATE_PATH/models/multi_modal/efficient_diffusion_tuning/efficient_stable_diffusion.py", "imports": ["transformers", "os", "diffusers", "torch", "typing", "functools"], "module": "modelscope.models.multi_modal.efficient_diffusion_tuning.efficient_stable_diffusion"}, "('MODELS', 'image-captioning', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["re", "string", "math", "json", "os", "torch", "typing", "functools"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'ocr-recognition', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["re", "string", "math", "json", "os", "torch", "typing", "functools"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'visual-grounding', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["re", "string", "math", "json", "os", "torch", "typing", "functools"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'visual-question-answering', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["re", "string", "math", "json", "os", "torch", "typing", "functools"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'visual-entailment', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["re", "string", "math", "json", "os", "torch", "typing", "functools"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'image-classification', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["re", "string", "math", "json", "os", "torch", "typing", "functools"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'text-summarization', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["re", "string", "math", "json", "os", "torch", "typing", "functools"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'text-classification', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["re", "string", "math", "json", "os", "torch", "typing", "functools"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'auto-speech-recognition', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["re", "string", "math", "json", "os", "torch", "typing", "functools"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'sudoku', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["re", "string", "math", "json", "os", "torch", "typing", "functools"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'text2sql', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["re", "string", "math", "json", "os", "torch", "typing", "functools"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'video-multi-modal-embedding', 'video-clip-multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mmr/models/clip_for_mm_video_embedding.py", "imports": ["numpy", "uuid", "decord", "urllib", "PIL", "tempfile", "json", "os", "torch", "random", "typing"], "module": "modelscope.models.multi_modal.mmr.models.clip_for_mm_video_embedding"}, "('MODELS', 'protein-structure', 'unifold')": {"filepath": "TEMPLATE_PATH/models/science/unifold/model.py", "imports": ["argparse", "torch", "typing", "os"], "module": "modelscope.models.science.unifold.model"}, "('METRICS', 'default', 'video-summarization-metric')": {"filepath": "TEMPLATE_PATH/metrics/video_summarization_metric.py", "imports": ["numpy", "typing"], "module": "modelscope.metrics.video_summarization_metric"}, "('METRICS', 'default', 'movie-scene-segmentation-metric')": {"filepath": "TEMPLATE_PATH/metrics/movie_scene_segmentation_metric.py", "imports": ["numpy", "typing"], "module": "modelscope.metrics.movie_scene_segmentation_metric"}, "('METRICS', 'default', 'image-denoise-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_denoise_metric.py", "imports": ["torch", "numpy", "typing", "cv2"], "module": "modelscope.metrics.image_denoise_metric"}, "('METRICS', 'default', 'mAP')": {"filepath": "TEMPLATE_PATH/metrics/map_metric.py", "imports": ["numpy", "typing"], "module": "modelscope.metrics.map_metric"}, "('METRICS', 'default', 'image-portrait-enhancement-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_portrait_enhancement_metric.py", "imports": ["numpy", "typing", "cv2"], "module": "modelscope.metrics.image_portrait_enhancement_metric"}, "('METRICS', 'default', 'text-gen-metric')": {"filepath": "TEMPLATE_PATH/metrics/text_generation_metric.py", "imports": ["nltk", "typing", "rouge"], "module": "modelscope.metrics.text_generation_metric"}, "('METRICS', 'default', 'referring-video-object-segmentation-metric')": {"filepath": "TEMPLATE_PATH/metrics/referring_video_object_segmentation_metric.py", "imports": ["pycocotools", "numpy", "torch", "tqdm", "typing"], "module": "modelscope.metrics.referring_video_object_segmentation_metric"}, "('METRICS', 'default', 'token-cls-metric')": {"filepath": "TEMPLATE_PATH/metrics/token_classification_metric.py", "imports": ["numpy", "typing", "importlib"], "module": "modelscope.metrics.token_classification_metric"}, "('METRICS', 'default', 'seq-cls-metric')": {"filepath": "TEMPLATE_PATH/metrics/sequence_classification_metric.py", "imports": ["numpy", "sklearn", "typing"], "module": "modelscope.metrics.sequence_classification_metric"}, "('METRICS', 'default', 'image-ins-seg-coco-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_instance_segmentation_metric.py", "imports": ["pycocotools", "numpy", "tempfile", "os", "collections", "typing"], "module": "modelscope.metrics.image_instance_segmentation_metric"}, "('METRICS', 'default', 'video-frame-interpolation-metric')": {"filepath": "TEMPLATE_PATH/metrics/video_frame_interpolation_metric.py", "imports": ["numpy", "math", "lpips", "torch", "typing"], "module": "modelscope.metrics.video_frame_interpolation_metric"}, "('METRICS', 'default', 'loss-metric')": {"filepath": "TEMPLATE_PATH/metrics/loss_metric.py", "imports": ["numpy", "sklearn", "typing"], "module": "modelscope.metrics.loss_metric"}, "('METRICS', 'default', 'image-inpainting-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_inpainting_metric.py", "imports": ["scipy", "torch", "numpy", "typing"], "module": "modelscope.metrics.image_inpainting_metric"}, "('METRICS', 'default', 'image-quality-assessment-mos-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_quality_assessment_mos_metric.py", "imports": ["numpy", "sys", "scipy", "tempfile", "os", "torch", "tqdm", "typing", "cv2"], "module": "modelscope.metrics.image_quality_assessment_mos_metric"}, "('METRICS', 'default', 'video-stabilization-metric')": {"filepath": "TEMPLATE_PATH/metrics/video_stabilization_metric.py", "imports": ["numpy", "sys", "tempfile", "os", "tqdm", "typing", "cv2"], "module": "modelscope.metrics.video_stabilization_metric"}, "('METRICS', 'default', 'ned')": {"filepath": "TEMPLATE_PATH/metrics/ned_metric.py", "imports": ["numpy", "typing"], "module": "modelscope.metrics.ned_metric"}, "('METRICS', 'default', 'ppl')": {"filepath": "TEMPLATE_PATH/metrics/ppl_metric.py", "imports": ["math", "torch", "numpy", "typing"], "module": "modelscope.metrics.ppl_metric"}, "('METRICS', 'default', 'audio-noise-metric')": {"filepath": "TEMPLATE_PATH/metrics/audio_noise_metric.py", "imports": ["typing"], "module": "modelscope.metrics.audio_noise_metric"}, "('METRICS', 'default', 'image-quality-assessment-degradation-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_quality_assessment_degradation_metric.py", "imports": ["numpy", "typing", "tqdm", "scipy", "tempfile", "os", "torch", "collections", "sys", "cv2"], "module": "modelscope.metrics.image_quality_assessment_degradation_metric"}, "('METRICS', 'default', 'bleu')": {"filepath": "TEMPLATE_PATH/metrics/bleu_metric.py", "imports": ["sacrebleu", "typing", "itertools"], "module": "modelscope.metrics.bleu_metric"}, "('METRICS', 'default', 'image-color-enhance-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_color_enhance_metric.py", "imports": ["numpy", "typing", "cv2"], "module": "modelscope.metrics.image_color_enhance_metric"}, "('METRICS', 'default', 'inbatch_recall')": {"filepath": "TEMPLATE_PATH/metrics/inbatch_recall_metric.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.metrics.inbatch_recall_metric"}, "('METRICS', 'default', 'text-ranking-metric')": {"filepath": "TEMPLATE_PATH/metrics/text_ranking_metric.py", "imports": ["numpy", "typing"], "module": "modelscope.metrics.text_ranking_metric"}, "('METRICS', 'default', 'image-colorization-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_colorization_metric.py", "imports": ["numpy", "scipy", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.metrics.image_colorization_metric"}, "('METRICS', 'default', 'accuracy')": {"filepath": "TEMPLATE_PATH/metrics/accuracy_metric.py", "imports": ["numpy", "typing"], "module": "modelscope.metrics.accuracy_metric"}, "('METRICS', 'default', 'ocr-recognition-metric')": {"filepath": "TEMPLATE_PATH/metrics/ocr_recognition_metric.py", "imports": ["torch", "edit_distance", "numpy", "typing"], "module": "modelscope.metrics.ocr_recognition_metric"}, "('METRICS', 'default', 'prediction-saving-wrapper')": {"filepath": "TEMPLATE_PATH/metrics/prediction_saving_wrapper.py", "imports": ["numpy", "sklearn", "typing"], "module": "modelscope.metrics.prediction_saving_wrapper"}, "('METRICS', 'default', 'video-super-resolution-metric')": {"filepath": "TEMPLATE_PATH/metrics/video_super_resolution_metric/video_super_resolution_metric.py", "imports": ["numpy", "typing"], "module": "modelscope.metrics.video_super_resolution_metric.video_super_resolution_metric"}, "('PIPELINES', 'sentence-embedding', 'sentence-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/sentence_embedding_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.sentence_embedding_pipeline"}, "('PIPELINES', 'code-generation', 'codegeex-code-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/codegeex_code_generation_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.codegeex_code_generation_pipeline"}, "('PIPELINES', 'word-segmentation', 'word-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/word_segmentation_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.nlp.word_segmentation_pipeline"}, "('PIPELINES', 'word-segmentation', 'multilingual-word-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/word_segmentation_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.nlp.word_segmentation_pipeline"}, "('PIPELINES', 'word-segmentation', 'word-segmentation-thai')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/word_segmentation_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.nlp.word_segmentation_pipeline"}, "('PIPELINES', 'text-summarization', 'mglm-text-summarization')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/mglm_text_summarization_pipeline.py", "imports": ["typing", "os"], "module": "modelscope.pipelines.nlp.mglm_text_summarization_pipeline"}, "('PIPELINES', 'translation-evaluation', 'translation-evaluation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/translation_evaluation_pipeline.py", "imports": ["numpy", "enum", "os", "torch", "typing"], "module": "modelscope.pipelines.nlp.translation_evaluation_pipeline"}, "('PIPELINES', 'siamese-uie', 'siamese-uie')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/siamese_uie_pipeline.py", "imports": ["pathlib", "math", "scipy", "time", "json", "os", "logging", "torch", "tqdm", "copy", "typing"], "module": "modelscope.pipelines.nlp.siamese_uie_pipeline"}, "('PIPELINES', 'text-error-correction', 'text-error-correction')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_error_correction_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.nlp.text_error_correction_pipeline"}, "('PIPELINES', 'text-classification', 'sentiment-analysis')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'nli', 'nli')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'sentence-similarity', 'sentence-similarity')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'text-classification', 'text-classification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'text-classification', 'sentiment-classification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'text-classification', 'sentence-similarity')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'sentiment-classification', 'sentiment-classification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'task-oriented-conversation', 'dialog-modeling')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/dialog_modeling_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.dialog_modeling_pipeline"}, "('PIPELINES', 'sentence-similarity', 'translation-quality-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/translation_quality_estimation_pipeline.py", "imports": ["io", "transformers", "os", "torch", "typing"], "module": "modelscope.pipelines.nlp.translation_quality_estimation_pipeline"}, "('PIPELINES', 'text-summarization', 'text-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/summarization_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.nlp.summarization_pipeline"}, "('PIPELINES', 'document-grounded-dialog-generate', 'document-grounded-dialog-generate')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/document_grounded_dialog_generate_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.document_grounded_dialog_generate_pipeline"}, "('PIPELINES', 'translation', 'automatic-post-editing')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/automatic_post_editing_pipeline.py", "imports": ["numpy", "html", "tensorflow", "jieba", "sentencepiece", "os", "sacremoses", "typing"], "module": "modelscope.pipelines.nlp.automatic_post_editing_pipeline"}, "('PIPELINES', 'named-entity-recognition', 'named-entity-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/named_entity_recognition_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.named_entity_recognition_pipeline"}, "('PIPELINES', 'named-entity-recognition', 'named-entity-recognition-thai')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/named_entity_recognition_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.named_entity_recognition_pipeline"}, "('PIPELINES', 'named-entity-recognition', 'named-entity-recognition-viet')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/named_entity_recognition_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.named_entity_recognition_pipeline"}, "('PIPELINES', 'document-segmentation', 'document-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/document_segmentation_pipeline.py", "imports": ["numpy", "re", "transformers", "datasets", "torch", "typing"], "module": "modelscope.pipelines.nlp.document_segmentation_pipeline"}, "('PIPELINES', 'translation', 'interactive-translation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/interactive_translation_pipeline.py", "imports": ["subword_nmt", "numpy", "tensorflow", "jieba", "os", "sacremoses", "typing"], "module": "modelscope.pipelines.nlp.interactive_translation_pipeline"}, "('PIPELINES', 'extractive-summarization', 'extractive-summarization')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/extractive_summarization_pipeline.py", "imports": ["numpy", "re", "datasets", "torch", "typing"], "module": "modelscope.pipelines.nlp.extractive_summarization_pipeline"}, "('PIPELINES', 'feature-extraction', 'feature-extraction')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/feature_extraction_pipeline.py", "imports": ["torch", "typing", "os"], "module": "modelscope.pipelines.nlp.feature_extraction_pipeline"}, "('PIPELINES', 'text-generation', 'plug-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/distributed_plug_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.nlp.distributed_plug_pipeline"}, "('PIPELINES', 'text-generation', 'glm130b-text-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/glm130b_text_generation_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.glm130b_text_generation_pipeline"}, "('PIPELINES', 'table-question-answering', 'table-question-answering-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/table_question_answering_pipeline.py", "imports": ["json", "transformers", "os", "torch", "typing"], "module": "modelscope.pipelines.nlp.table_question_answering_pipeline"}, "('PIPELINES', 'text-classification', 'user-satisfaction-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/user_satisfaction_estimation_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.user_satisfaction_estimation_pipeline"}, "('PIPELINES', 'fid-dialogue', 'fid-dialogue')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/fid_dialogue_pipeline.py", "imports": ["torch", "re", "typing"], "module": "modelscope.pipelines.nlp.fid_dialogue_pipeline"}, "('PIPELINES', 'token-classification', 'token-classification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/token_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.token_classification_pipeline"}, "('PIPELINES', 'token-classification', 'part-of-speech')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/token_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.token_classification_pipeline"}, "('PIPELINES', 'token-classification', 'word-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/token_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.token_classification_pipeline"}, "('PIPELINES', 'token-classification', 'named-entity-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/token_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.token_classification_pipeline"}, "('PIPELINES', 'part-of-speech', 'part-of-speech')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/token_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.nlp.token_classification_pipeline"}, "('PIPELINES', 'competency-aware-translation', 'canmt-translation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/canmt_translation_pipeline.py", "imports": ["torch", "sacremoses", "typing", "os"], "module": "modelscope.pipelines.nlp.canmt_translation_pipeline"}, "('PIPELINES', 'zero-shot-classification', 'zero-shot-classification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/zero_shot_classification_pipeline.py", "imports": ["scipy", "torch", "typing"], "module": "modelscope.pipelines.nlp.zero_shot_classification_pipeline"}, "('PIPELINES', 'text-generation', 'gpt-moe-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/distributed_gpt_moe_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.nlp.distributed_gpt_moe_pipeline"}, "('PIPELINES', 'word-alignment', 'word-alignment')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/word_alignment_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.nlp.word_alignment_pipeline"}, "('PIPELINES', 'document-grounded-dialog-rerank', 'document-grounded-dialog-rerank')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/document_grounded_dialog_rerank_pipeline.py", "imports": ["numpy", "re", "pprint", "time", "transformers", "os", "ujson", "collections", "torch", "random", "sys", "typing"], "module": "modelscope.pipelines.nlp.document_grounded_dialog_rerank_pipeline"}, "('PIPELINES', 'task-oriented-conversation', 'dialog-state-tracking')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/dialog_state_tracking_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.dialog_state_tracking_pipeline"}, "('PIPELINES', 'information-extraction', 'relation-extraction')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/information_extraction_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.nlp.information_extraction_pipeline"}, "('PIPELINES', 'relation-extraction', 'relation-extraction')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/information_extraction_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.nlp.information_extraction_pipeline"}, "('PIPELINES', 'translation', 'csanmt-translation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/translation_pipeline.py", "imports": ["subword_nmt", "numpy", "tensorflow", "jieba", "os", "sacremoses", "typing"], "module": "modelscope.pipelines.nlp.translation_pipeline"}, "('PIPELINES', 'text-classification', 'language_identification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/language_identification_pipline.py", "imports": ["numpy", "re", "tensorflow", "os", "typing"], "module": "modelscope.pipelines.nlp.language_identification_pipline"}, "('PIPELINES', 'text-generation', 'gpt3-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/distributed_gpt3_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.nlp.distributed_gpt3_pipeline"}, "('PIPELINES', 'text-generation', 'text-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["torch", "typing", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text2text-generation', 'translation_en_to_de')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["torch", "typing", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text2text-generation', 'translation_en_to_ro')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["torch", "typing", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text2text-generation', 'translation_en_to_fr')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["torch", "typing", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text2text-generation', 'text2text-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["torch", "typing", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text-classification', 'domain-classification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/fasttext_text_classification_pipeline.py", "imports": ["numpy", "fasttext", "sentencepiece", "os", "typing"], "module": "modelscope.pipelines.nlp.fasttext_text_classification_pipeline"}, "('PIPELINES', 'document-grounded-dialog-retrieval', 'document-grounded-dialog-retrieval')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/document_grounded_dialog_retrieval_pipeline.py", "imports": ["numpy", "faiss", "json", "os", "typing"], "module": "modelscope.pipelines.nlp.document_grounded_dialog_retrieval_pipeline"}, "('PIPELINES', 'task-oriented-conversation', 'dialog-intent-prediction')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/dialog_intent_prediction_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.dialog_intent_prediction_pipeline"}, "('PIPELINES', 'table-question-answering', 'conversational-text-to-sql')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/conversational_text_to_sql_pipeline.py", "imports": ["text2sql_lgesql", "torch", "typing"], "module": "modelscope.pipelines.nlp.conversational_text_to_sql_pipeline"}, "('PIPELINES', 'faq-question-answering', 'faq-question-answering')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/faq_question_answering_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.faq_question_answering_pipeline"}, "('PIPELINES', 'text-ranking', 'text-ranking')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_ranking_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.nlp.text_ranking_pipeline"}, "('PIPELINES', 'fill-mask', 'fill-mask')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/fill_mask_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.nlp.fill_mask_pipeline"}, "('PIPELINES', 'fill-mask', 'fill-mask-ponet')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/fill_mask_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.nlp.fill_mask_pipeline"}, "('PIPELINES', 'code-translation', 'codegeex-code-translation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/codegeex_code_translation_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.codegeex_code_translation_pipeline"}, "('PIPELINES', 'crowd-counting', 'hrnet-crowd-counting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/crowd_counting_pipeline.py", "imports": ["numpy", "math", "PIL", "torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.crowd_counting_pipeline"}, "('PIPELINES', 'skin-retouching', 'unet-skin-retouching')": {"filepath": "TEMPLATE_PATH/pipelines/cv/skin_retouching_pipeline.py", "imports": ["numpy", "PIL", "tensorflow", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.skin_retouching_pipeline"}, "('PIPELINES', 'image-segmentation', 'cascade-mask-rcnn-swin-image-instance-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_instance_segmentation_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_instance_segmentation_pipeline"}, "('PIPELINES', 'video-multi-object-tracking', 'video-multi-object-tracking')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_multi_object_tracking_pipeline.py", "imports": ["torch", "typing", "os"], "module": "modelscope.pipelines.cv.video_multi_object_tracking_pipeline"}, "('PIPELINES', 'video-panoptic-segmentation', 'video-panoptic-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_panoptic_segmentation_pipeline.py", "imports": ["numpy", "mmcv", "os", "torch", "tqdm", "typing", "cv2"], "module": "modelscope.pipelines.cv.video_panoptic_segmentation_pipeline"}, "('PIPELINES', 'action-detection', 'ResNetC3D-action-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/action_detection_pipeline.py", "imports": ["math", "typing", "os"], "module": "modelscope.pipelines.cv.action_detection_pipeline"}, "('PIPELINES', 'image-debanding', 'rrdb-image-debanding')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_debanding_pipeline.py", "imports": ["torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.image_debanding_pipeline"}, "('PIPELINES', 'semantic-segmentation', 'ddpm-image-semantic-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/ddpm_semantic_segmentation_pipeline.py", "imports": ["torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.ddpm_semantic_segmentation_pipeline"}, "('PIPELINES', 'image-depth-estimation', 'image-bts-depth-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_bts_depth_estimation_pipeline.py", "imports": ["numpy", "albumentations", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_bts_depth_estimation_pipeline"}, "('PIPELINES', 'image-segmentation', 'm2fp-image-human-parsing')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_human_parsing_pipeline.py", "imports": ["torch", "numpy", "typing", "torchvision"], "module": "modelscope.pipelines.cv.image_human_parsing_pipeline"}, "('PIPELINES', 'face-reconstruction', 'resnet50-face-reconstruction')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_reconstruction_pipeline.py", "imports": ["numpy", "face_alignment", "io", "shutil", "PIL", "tensorflow", "scipy", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.face_reconstruction_pipeline"}, "('PIPELINES', 'indoor-layout-estimation', 'indoor-layout-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/indoor_layout_estimation_pipeline.py", "imports": ["numpy", "typing", "cv2"], "module": "modelscope.pipelines.cv.indoor_layout_estimation_pipeline"}, "('PIPELINES', 'video-inpainting', 'video-inpainting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_inpainting_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.video_inpainting_pipeline"}, "('PIPELINES', 'image-segmentation', 'vision-middleware-multi-task')": {"filepath": "TEMPLATE_PATH/pipelines/cv/vision_middleware_pipeline.py", "imports": ["numpy", "mmcv", "math", "os", "torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.vision_middleware_pipeline"}, "('PIPELINES', 'image-classification', 'tinynas-classification')": {"filepath": "TEMPLATE_PATH/pipelines/cv/tinynas_classification_pipeline.py", "imports": ["math", "os", "torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.tinynas_classification_pipeline"}, "('PIPELINES', 'facial-expression-recognition', 'vgg19-facial-expression-recognition-fer')": {"filepath": "TEMPLATE_PATH/pipelines/cv/facial_expression_recognition_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.facial_expression_recognition_pipeline"}, "('PIPELINES', 'image-segmentation', 'maskdino-swin-image-instance-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/maskdino_instance_segmentation_pipeline.py", "imports": ["torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.maskdino_instance_segmentation_pipeline"}, "('PIPELINES', 'nerf-recon-acc', 'nerf-recon-acc')": {"filepath": "TEMPLATE_PATH/pipelines/cv/nerf_recon_acc_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.nerf_recon_acc_pipeline"}, "('PIPELINES', 'image-denoising', 'nafnet-image-denoise')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_denoise_pipeline.py", "imports": ["torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.image_denoise_pipeline"}, "('PIPELINES', 'image-quality-assessment-mos', 'image-quality-assessment-mos')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_quality_assessment_mos_pipeline.py", "imports": ["numpy", "math", "tempfile", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.image_quality_assessment_mos_pipeline"}, "('PIPELINES', 'animal-recognition', 'resnet101-animal-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/animal_recognition_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.animal_recognition_pipeline"}, "('PIPELINES', 'human-detection', 'resnet18-human-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_detection_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.cv.image_detection_pipeline"}, "('PIPELINES', 'image-object-detection', 'vit-object-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_detection_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.cv.image_detection_pipeline"}, "('PIPELINES', 'image-object-detection', 'abnormal-object-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_detection_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.cv.image_detection_pipeline"}, "('PIPELINES', 'pedestrian-attribute-recognition', 'resnet50_pedestrian-attribute-recognition_image')": {"filepath": "TEMPLATE_PATH/pipelines/cv/pedestrian_attribute_recognition_pipeline.py", "imports": ["numpy", "PIL", "json", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.pedestrian_attribute_recognition_pipeline"}, "('PIPELINES', 'video-instance-segmentation', 'video-instance-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_instance_segmentation_pipeline.py", "imports": ["numpy", "mmcv", "os", "torch", "tqdm", "typing", "cv2"], "module": "modelscope.pipelines.cv.video_instance_segmentation_pipeline"}, "('PIPELINES', 'image-portrait-enhancement', 'gpen-image-portrait-enhancement')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_portrait_enhancement_pipeline.py", "imports": ["numpy", "math", "PIL", "scipy", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_portrait_enhancement_pipeline"}, "('PIPELINES', 'image-fewshot-detection', 'image-fewshot-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_defrcn_fewshot_pipeline.py", "imports": ["torch", "numpy", "typing", "os"], "module": "modelscope.pipelines.cv.image_defrcn_fewshot_pipeline"}, "('PIPELINES', 'image-quality-assessment-mos', 'image-quality-assessment-man')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_quality_assessment_man_pipeline.py", "imports": ["numpy", "math", "tempfile", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.image_quality_assessment_man_pipeline"}, "('PIPELINES', 'video-deinterlace', 'video-deinterlace')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_deinterlace_pipeline.py", "imports": ["numpy", "math", "tempfile", "subprocess", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.video_deinterlace_pipeline"}, "('PIPELINES', 'card-detection', 'resnet-card-detection-scrfd34gkps')": {"filepath": "TEMPLATE_PATH/pipelines/cv/card_detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.card_detection_pipeline"}, "('PIPELINES', 'face-liveness', 'manual-face-liveness-flir')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_liveness_ir_pipeline.py", "imports": ["numpy", "onnxruntime", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.face_liveness_ir_pipeline"}, "('PIPELINES', 'semantic-segmentation', 'u2net-salient-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_salient_detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.image_salient_detection_pipeline"}, "('PIPELINES', 'semantic-segmentation', 'res2net-salient-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_salient_detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.image_salient_detection_pipeline"}, "('PIPELINES', 'semantic-segmentation', 'res2net-camouflaged-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_salient_detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.image_salient_detection_pipeline"}, "('PIPELINES', 'video-single-object-tracking', 'procontext-vitb-video-single-object-tracking')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_single_object_tracking_pipeline.py", "imports": ["typing", "os", "cv2"], "module": "modelscope.pipelines.cv.video_single_object_tracking_pipeline"}, "('PIPELINES', 'video-single-object-tracking', 'ostrack-vitb-video-single-object-tracking')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_single_object_tracking_pipeline.py", "imports": ["typing", "os", "cv2"], "module": "modelscope.pipelines.cv.video_single_object_tracking_pipeline"}, "('PIPELINES', 'motion-generation', 'mdm-motion-generation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/motion_generation_pipeline.py", "imports": ["numpy", "tempfile", "os", "torch", "typing"], "module": "modelscope.pipelines.cv.motion_generation_pipeline"}, "('PIPELINES', 'face-recognition', 'ir101-face-recognition-cfglint')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_recognition_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.face_recognition_pipeline"}, "('PIPELINES', 'face-image-generation', 'gan-face-image-generation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_image_generation_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.face_image_generation_pipeline"}, "('PIPELINES', 'image-demoireing', 'uhdm-image-demoireing')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_restoration_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.image_restoration_pipeline"}, "('PIPELINES', 'table-recognition', 'dla34-table-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/table_recognition_pipeline.py", "imports": ["numpy", "math", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.table_recognition_pipeline"}, "('PIPELINES', 'image-body-reshaping', 'flow-based-body-reshaping')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_body_reshaping_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.image_body_reshaping_pipeline"}, "('PIPELINES', 'open-vocabulary-detection', 'open-vocabulary-detection-vild')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_open_vocabulary_detection_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_open_vocabulary_detection_pipeline"}, "('PIPELINES', 'face-recognition', 'resnet-face-recognition-facemask')": {"filepath": "TEMPLATE_PATH/pipelines/cv/mask_face_recognition_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "collections", "typing", "cv2"], "module": "modelscope.pipelines.cv.mask_face_recognition_pipeline"}, "('PIPELINES', 'general-recognition', 'resnet101-general-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/general_recognition_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.general_recognition_pipeline"}, "('PIPELINES', 'video-object-segmentation', 'video-object-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_object_segmentation_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.video_object_segmentation_pipeline"}, "('PIPELINES', 'image-classification', 'image-classification')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'vit-base_image-classification_ImageNet-labels')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'vit-base_image-classification_Dailylife-labels')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'nextvit-small_image-classification_Dailylife-labels')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'convnext-base_image-classification_garbage')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'common-image-classification')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'easyrobust-classification')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'bnext-small_image-classification_ImageNet-labels')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'video-embedding', 'hicossl-s3dg-video_embedding')": {"filepath": "TEMPLATE_PATH/pipelines/cv/hicossl_video_embedding_pipeline.py", "imports": ["math", "torch", "typing", "os"], "module": "modelscope.pipelines.cv.hicossl_video_embedding_pipeline"}, "('PIPELINES', 'video-text-retrieval', 'vop-video-text-retrieval-se')": {"filepath": "TEMPLATE_PATH/pipelines/cv/vop_retrieval_se_pipeline.py", "imports": ["numpy", "gzip", "os", "torch", "typing"], "module": "modelscope.pipelines.cv.vop_retrieval_se_pipeline"}, "('PIPELINES', 'face-attribute-recognition', 'resnet34-face-attribute-recognition-fairface')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_attribute_recognition_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.face_attribute_recognition_pipeline"}, "('PIPELINES', 'license-plate-detection', 'resnet18-license-plate-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/license_plate_detection_pipeline.py", "imports": ["numpy", "math", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.license_plate_detection_pipeline"}, "('PIPELINES', 'face-detection', 'resnet-face-detection-scrfd10gkps')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_detection_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.face_detection_pipeline"}, "('PIPELINES', 'product-retrieval-embedding', 'resnet50-product-retrieval-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/cv/product_retrieval_embedding_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.product_retrieval_embedding_pipeline"}, "('PIPELINES', 'image-depth-estimation', 'image-depth-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_depth_estimation_pipeline.py", "imports": ["numpy", "PIL", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_depth_estimation_pipeline"}, "('PIPELINES', 'face-detection', 'manual-face-detection-mtcnn')": {"filepath": "TEMPLATE_PATH/pipelines/cv/mtcnn_face_detection_pipeline.py", "imports": ["torch", "typing", "os"], "module": "modelscope.pipelines.cv.mtcnn_face_detection_pipeline"}, "('PIPELINES', 'image-super-resolution', 'mobile-image-super-resolution')": {"filepath": "TEMPLATE_PATH/pipelines/cv/mobile_image_super_resolution_pipeline.py", "imports": ["numpy", "torchvision", "torch", "typing", "skimage"], "module": "modelscope.pipelines.cv.mobile_image_super_resolution_pipeline"}, "('PIPELINES', 'face-liveness', 'manual-face-liveness-flxc')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_liveness_xc_pipeline.py", "imports": ["numpy", "onnxruntime", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.face_liveness_xc_pipeline"}, "('PIPELINES', 'image-object-detection', 'easycv-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/easycv_pipelines/detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.easycv_pipelines.detection_pipeline"}, "('PIPELINES', 'image-object-detection', 'yolox_image-object-detection-auto')": {"filepath": "TEMPLATE_PATH/pipelines/cv/easycv_pipelines/detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.easycv_pipelines.detection_pipeline"}, "('PIPELINES', 'domain-specific-object-detection', 'yolox-pai_hand-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/easycv_pipelines/detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.easycv_pipelines.detection_pipeline"}, "('PIPELINES', 'face-2d-keypoints', 'mobilenet_face-2d-keypoints_alignment')": {"filepath": "TEMPLATE_PATH/pipelines/cv/easycv_pipelines/face_2d_keypoints_pipeline.py", "imports": ["numpy", "typing", "math", "copy", "cv2"], "module": "modelscope.pipelines.cv.easycv_pipelines.face_2d_keypoints_pipeline"}, "('PIPELINES', 'image-segmentation', 'easycv-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/easycv_pipelines/segmentation_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.cv.easycv_pipelines.segmentation_pipeline"}, "('PIPELINES', 'human-wholebody-keypoint', 'hrnetw48_human-wholebody-keypoint_image')": {"filepath": "TEMPLATE_PATH/pipelines/cv/easycv_pipelines/human_wholebody_keypoint_pipeline.py", "imports": ["typing", "os"], "module": "modelscope.pipelines.cv.easycv_pipelines.human_wholebody_keypoint_pipeline"}, "('PIPELINES', 'image-segmentation', 'image-panoptic-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_panoptic_segmentation_pipeline.py", "imports": ["numpy", "PIL", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_panoptic_segmentation_pipeline"}, "('PIPELINES', 'image-segmentation', 'image-panoptic-segmentation-easycv')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_panoptic_segmentation_pipeline.py", "imports": ["numpy", "PIL", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_panoptic_segmentation_pipeline"}, "('PIPELINES', 'image-face-fusion', 'image-face-fusion')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_face_fusion_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.cv.image_face_fusion_pipeline"}, "('PIPELINES', 'video-embedding', 'cmdssl-r2p1d_video_embedding')": {"filepath": "TEMPLATE_PATH/pipelines/cv/cmdssl_video_embedding_pipeline.py", "imports": ["numpy", "decord", "PIL", "os", "torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.cmdssl_video_embedding_pipeline"}, "('PIPELINES', 'image-multi-view-depth-estimation', 'image-multi-view-depth-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_mvs_depth_estimation_pipeline.py", "imports": ["tempfile", "shutil", "typing", "os"], "module": "modelscope.pipelines.cv.image_mvs_depth_estimation_pipeline"}, "('PIPELINES', 'portrait-matting', 'unet-image-matting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_matting_pipeline.py", "imports": ["numpy", "tensorflow", "os", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_matting_pipeline"}, "('PIPELINES', 'universal-matting', 'unet-universal-matting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_matting_pipeline.py", "imports": ["numpy", "tensorflow", "os", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_matting_pipeline"}, "('PIPELINES', 'video-super-resolution', 'realbasicvsr-video-super-resolution')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_super_resolution_pipeline.py", "imports": ["numpy", "math", "tempfile", "subprocess", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.video_super_resolution_pipeline"}, "('PIPELINES', 'ocr-detection', 'resnet18-ocr-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/ocr_detection_pipeline.py", "imports": ["numpy", "math", "tensorflow", "os", "torch", "typing", "tf_slim", "cv2"], "module": "modelscope.pipelines.cv.ocr_detection_pipeline"}, "('PIPELINES', 'image-classification', 'resnet50-image-classification-cc')": {"filepath": "TEMPLATE_PATH/pipelines/cv/content_check_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.content_check_pipeline"}, "('PIPELINES', 'text-driven-segmentation', 'text-driven-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/text_driven_segmentation_pipleline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.text_driven_segmentation_pipleline"}, "('PIPELINES', 'image-deblurring', 'nafnet-image-deblur')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_deblur_pipeline.py", "imports": ["torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.image_deblur_pipeline"}, "('PIPELINES', 'video-object-detection', 'cspnet_realtime-video-object-detection_streamyolo')": {"filepath": "TEMPLATE_PATH/pipelines/cv/realtime_video_object_detection_pipeline.py", "imports": ["numpy", "PIL", "json", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.realtime_video_object_detection_pipeline"}, "('PIPELINES', 'image-portrait-stylization', 'unet-person-image-cartoon')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_cartoon_pipeline.py", "imports": ["numpy", "tensorflow", "os", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_cartoon_pipeline"}, "('PIPELINES', 'pointcloud-sceneflow-estimation', 'pointcloud-sceneflow-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/pointcloud_sceneflow_estimation_pipeline.py", "imports": ["torch", "numpy", "typing", "plyfile"], "module": "modelscope.pipelines.cv.pointcloud_sceneflow_estimation_pipeline"}, "('PIPELINES', 'video-depth-estimation', 'video-depth-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_depth_estimation_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.video_depth_estimation_pipeline"}, "('PIPELINES', 'panorama-depth-estimation', 'panorama-depth-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/panorama_depth_estimation_pipeline.py", "imports": ["numpy", "PIL", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.panorama_depth_estimation_pipeline"}, "('PIPELINES', 'domain-specific-object-detection', 'tinynas-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/tinynas_detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.tinynas_detection_pipeline"}, "('PIPELINES', 'image-object-detection', 'tinynas-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/tinynas_detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.tinynas_detection_pipeline"}, "('PIPELINES', 'face-recognition', 'manual-face-recognition-frir')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_recognition_onnx_ir_pipeline.py", "imports": ["numpy", "onnxruntime", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.face_recognition_onnx_ir_pipeline"}, "('PIPELINES', 'hand-2d-keypoints', 'hrnetv2w18_hand-2d-keypoints_image')": {"filepath": "TEMPLATE_PATH/pipelines/cv/hand_2d_keypoints_pipeline.py", "imports": ["os"], "module": "modelscope.pipelines.cv.hand_2d_keypoints_pipeline"}, "('PIPELINES', 'image-driving-perception', 'yolopv2_image-driving-percetion_bdd100k')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_driving_perception_pipeline.py", "imports": ["numpy", "typing", "os", "cv2"], "module": "modelscope.pipelines.cv.image_driving_perception_pipeline"}, "('PIPELINES', 'image-colorization', 'unet-image-colorization')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_colorization_pipeline.py", "imports": ["numpy", "PIL", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.image_colorization_pipeline"}, "('PIPELINES', 'live-category', 'live-category')": {"filepath": "TEMPLATE_PATH/pipelines/cv/live_category_pipeline.py", "imports": ["numpy", "decord", "PIL", "os", "torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.live_category_pipeline"}, "('PIPELINES', 'lineless-table-recognition', 'lore-lineless-table-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/lineless_table_recognition_pipeline.py", "imports": ["numpy", "math", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.lineless_table_recognition_pipeline"}, "('PIPELINES', 'vision-efficient-tuning', 'vision-efficient-tuning')": {"filepath": "TEMPLATE_PATH/pipelines/cv/vision_efficient_tuning_pipeline.py", "imports": ["torch", "numpy", "typing", "torchvision"], "module": "modelscope.pipelines.cv.vision_efficient_tuning_pipeline"}, "('PIPELINES', 'video-frame-interpolation', 'video-frame-interpolation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_frame_interpolation_pipeline.py", "imports": ["numpy", "math", "cv2", "glob", "tempfile", "os", "torch", "typing", "torchvision", "subprocess"], "module": "modelscope.pipelines.cv.video_frame_interpolation_pipeline"}, "('PIPELINES', 'face-detection', 'resnet101-face-detection-cvpr22papermogface')": {"filepath": "TEMPLATE_PATH/pipelines/cv/mog_face_detection_pipeline.py", "imports": ["numpy", "typing", "os"], "module": "modelscope.pipelines.cv.mog_face_detection_pipeline"}, "('PIPELINES', 'image-segmentation', 'image-semantic-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_semantic_segmentation_pipeline.py", "imports": ["numpy", "PIL", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_semantic_segmentation_pipeline"}, "('PIPELINES', 'body-2d-keypoints', 'hrnetv2w32_body-2d-keypoints_image')": {"filepath": "TEMPLATE_PATH/pipelines/cv/body_2d_keypoints_pipeline.py", "imports": ["numpy", "PIL", "json", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.body_2d_keypoints_pipeline"}, "('PIPELINES', 'video-text-retrieval', 'vop-video-text-retrieval')": {"filepath": "TEMPLATE_PATH/pipelines/cv/vop_retrieval_pipeline.py", "imports": ["numpy", "pickle", "gzip", "tqdm", "math", "os", "collections", "torch", "random", "typing"], "module": "modelscope.pipelines.cv.vop_retrieval_pipeline"}, "('PIPELINES', 'video-summarization', 'googlenet_pgl_video_summarization')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_summarization_pipeline.py", "imports": ["numpy", "os", "torch", "tqdm", "typing", "cv2"], "module": "modelscope.pipelines.cv.video_summarization_pipeline"}, "('PIPELINES', 'language-guided-video-summarization', 'clip-it-video-summarization')": {"filepath": "TEMPLATE_PATH/pipelines/cv/language_guided_video_summarization_pipeline.py", "imports": ["numpy", "shutil", "PIL", "tempfile", "os", "torch", "clip", "random", "typing", "cv2"], "module": "modelscope.pipelines.cv.language_guided_video_summarization_pipeline"}, "('PIPELINES', 'video-stabilization', 'video-stabilization')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_stabilization_pipeline.py", "imports": ["numpy", "math", "cv2", "glob", "tempfile", "os", "torch", "typing", "subprocess"], "module": "modelscope.pipelines.cv.video_stabilization_pipeline"}, "('PIPELINES', 'image-color-enhancement', 'adaint-image-color-enhance')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_color_enhance_pipeline.py", "imports": ["torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.image_color_enhance_pipeline"}, "('PIPELINES', 'image-color-enhancement', 'deeplpf-image-color-enhance')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_color_enhance_pipeline.py", "imports": ["torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.image_color_enhance_pipeline"}, "('PIPELINES', 'image-color-enhancement', 'csrnet-image-color-enhance')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_color_enhance_pipeline.py", "imports": ["torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.image_color_enhance_pipeline"}, "('PIPELINES', 'virtual-try-on', 'virtual-try-on')": {"filepath": "TEMPLATE_PATH/pipelines/cv/virtual_try_on_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.virtual_try_on_pipeline"}, "('PIPELINES', 'video-human-matting', 'video-human-matting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_human_matting_pipeline.py", "imports": ["moviepy", "numpy", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.video_human_matting_pipeline"}, "('PIPELINES', 'referring-video-object-segmentation', 'referring-video-object-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/referring_video_object_segmentation_pipeline.py", "imports": ["moviepy", "numpy", "einops", "PIL", "tempfile", "torch", "tqdm", "typing", "torchvision"], "module": "modelscope.pipelines.cv.referring_video_object_segmentation_pipeline"}, "('PIPELINES', 'movie-scene-segmentation', 'resnet50-bert-movie-scene-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/movie_scene_segmentation_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.cv.movie_scene_segmentation_pipeline"}, "('PIPELINES', 'image-matching', 'image-matching')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_matching_pipeline.py", "imports": ["numpy", "PIL", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_matching_pipeline"}, "('PIPELINES', 'face-emotion', 'face-emotion')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_emotion_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.cv.face_emotion_pipeline"}, "('PIPELINES', 'face-quality-assessment', 'manual-face-quality-assessment-fqa')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_quality_assessment_pipeline.py", "imports": ["numpy", "onnxruntime", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.face_quality_assessment_pipeline"}, "('PIPELINES', 'controllable-image-generation', 'controllable-image-generation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/controllable_image_generation_pipeline.py", "imports": ["numpy", "math", "cv2", "glob", "tempfile", "os", "torch", "typing", "subprocess"], "module": "modelscope.pipelines.cv.controllable_image_generation_pipeline"}, "('PIPELINES', 'face-detection', 'manual-face-detection-ulfd')": {"filepath": "TEMPLATE_PATH/pipelines/cv/ulfd_face_detection_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.ulfd_face_detection_pipeline"}, "('PIPELINES', 'image-paintbyexample', 'stablediffusion-paintbyexample')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_paintbyexample_pipeline.py", "imports": ["numpy", "einops", "PIL", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.image_paintbyexample_pipeline"}, "('PIPELINES', 'face-recognition', 'manual-face-recognition-frfm')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_recognition_onnx_fm_pipeline.py", "imports": ["numpy", "onnxruntime", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.face_recognition_onnx_fm_pipeline"}, "('PIPELINES', 'video-colorization', 'video-colorization')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_colorization_pipeline.py", "imports": ["numpy", "PIL", "tempfile", "subprocess", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.video_colorization_pipeline"}, "('PIPELINES', 'face-human-hand-detection', 'face-human-hand-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_human_hand_detection_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.cv.face_human_hand_detection_pipeline"}, "('PIPELINES', 'product-segmentation', 'product-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/product_segmentation_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.cv.product_segmentation_pipeline"}, "('PIPELINES', 'shop-segmentation', 'shop-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/shop_segmentation_pipleline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.shop_segmentation_pipleline"}, "('PIPELINES', 'face-2d-keypoints', 'manual-facial-landmark-confidence-flcm')": {"filepath": "TEMPLATE_PATH/pipelines/cv/facial_landmark_confidence_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.facial_landmark_confidence_pipeline"}, "('PIPELINES', 'image-to-image-generation', 'image-to-image-generation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_to_image_generate_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.image_to_image_generate_pipeline"}, "('PIPELINES', 'action-recognition', 'TAdaConv_action-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/action_recognition_pipeline.py", "imports": ["math", "torch", "typing", "os"], "module": "modelscope.pipelines.cv.action_recognition_pipeline"}, "('PIPELINES', 'action-recognition', 'patchshift-action-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/action_recognition_pipeline.py", "imports": ["math", "torch", "typing", "os"], "module": "modelscope.pipelines.cv.action_recognition_pipeline"}, "('PIPELINES', 'face-detection', 'resnet50-face-detection-retinaface')": {"filepath": "TEMPLATE_PATH/pipelines/cv/retina_face_detection_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.retina_face_detection_pipeline"}, "('PIPELINES', 'image-inpainting', 'image-inpainting-sdv2')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_inpainting_sdv2_pipeline.py", "imports": ["numpy", "typing", "math", "tempfile", "os", "diffusers", "torch", "sys", "cv2"], "module": "modelscope.pipelines.cv.image_inpainting_sdv2_pipeline"}, "('PIPELINES', 'image-inpainting', 'fft-inpainting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_inpainting_pipeline.py", "imports": ["numpy", "PIL", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_inpainting_pipeline"}, "('PIPELINES', 'face-recognition', 'ir-face-recognition-rts')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_recognition_ood_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.face_recognition_ood_pipeline"}, "('PIPELINES', 'bad-image-detecting', 'bad-image-detecting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/bad_image_detecting_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.cv.bad_image_detecting_pipeline"}, "('PIPELINES', 'video-category', 'video-category')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_category_pipeline.py", "imports": ["numpy", "decord", "PIL", "json", "os", "torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.video_category_pipeline"}, "('PIPELINES', 'ocr-recognition', 'convnextTiny-ocr-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/ocr_recognition_pipeline.py", "imports": [], "module": "modelscope.pipelines.cv.ocr_recognition_pipeline"}, "('PIPELINES', 'image-quality-assessment-degradation', 'image-quality-assessment-degradation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_quality_assessment_degradation_pipeline.py", "imports": ["numpy", "math", "tempfile", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.image_quality_assessment_degradation_pipeline"}, "('PIPELINES', 'image-skychange', 'image-skychange')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_skychange_pipeline.py", "imports": ["pdb", "numpy", "cv2", "PIL", "time", "typing"], "module": "modelscope.pipelines.cv.image_skychange_pipeline"}, "('PIPELINES', 'image-colorization', 'ddcolor-image-colorization')": {"filepath": "TEMPLATE_PATH/pipelines/cv/ddcolor_image_colorization_pipeline.py", "imports": ["numpy", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.ddcolor_image_colorization_pipeline"}, "('PIPELINES', 'object-detection-3d', 'object-detection-3d-depe')": {"filepath": "TEMPLATE_PATH/pipelines/cv/object_detection_3d_pipeline.py", "imports": ["numpy", "PIL", "tempfile", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.object_detection_3d_pipeline"}, "('PIPELINES', 'body-3d-keypoints', 'canonical_body-3d-keypoints_video')": {"filepath": "TEMPLATE_PATH/pipelines/cv/body_3d_keypoints_pipeline.py", "imports": ["numpy", "tempfile", "datetime", "os", "mpl_toolkits", "torch", "matplotlib", "typing", "cv2"], "module": "modelscope.pipelines.cv.body_3d_keypoints_pipeline"}, "('PIPELINES', 'image-classification', 'image-structured-model-probing')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_structured_model_probing_pipeline.py", "imports": ["numpy", "mmcv", "math", "os", "torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.image_structured_model_probing_pipeline"}, "('PIPELINES', 'face-recognition', 'ir50-face-recognition-arcface')": {"filepath": "TEMPLATE_PATH/pipelines/cv/arc_face_recognition_pipeline.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.arc_face_recognition_pipeline"}, "('PIPELINES', 'image-to-image-translation', 'image-to-image-translation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_to_image_translation_pipeline.py", "imports": ["numpy", "typing", "io", "PIL", "os", "torch", "sys", "torchvision", "cv2"], "module": "modelscope.pipelines.cv.image_to_image_translation_pipeline"}, "('PIPELINES', 'hand-static', 'hand-static')": {"filepath": "TEMPLATE_PATH/pipelines/cv/hand_static_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.cv.hand_static_pipeline"}, "('PIPELINES', 'image-super-resolution', 'rrdb-image-super-resolution')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_super_resolution_pipeline.py", "imports": ["numpy", "PIL", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.image_super_resolution_pipeline"}, "('PIPELINES', 'image-object-detection', 'vidt')": {"filepath": "TEMPLATE_PATH/pipelines/cv/vidt_pipeline.py", "imports": ["torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.vidt_pipeline"}, "('PIPELINES', 'image-style-transfer', 'AAMS-style-transfer')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_style_transfer_pipeline.py", "imports": ["numpy", "typing", "os", "cv2"], "module": "modelscope.pipelines.cv.image_style_transfer_pipeline"}, "('PIPELINES', 'image-object-detection', 'tbs-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/tbs_detection_pipeline.py", "imports": ["numpy", "colorsys", "PIL", "os", "torch", "typing", "cv2"], "module": "modelscope.pipelines.cv.tbs_detection_pipeline"}, "('PIPELINES', 'human-reconstruction', 'human-reconstruction')": {"filepath": "TEMPLATE_PATH/pipelines/cv/human_reconstruction_pipeline.py", "imports": ["numpy", "shutil", "trimesh", "os", "torch", "typing"], "module": "modelscope.pipelines.cv.human_reconstruction_pipeline"}, "('PIPELINES', 'image-reid-person', 'passvitb-image-reid-person')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_reid_person_pipeline.py", "imports": ["math", "PIL", "os", "torch", "typing", "torchvision"], "module": "modelscope.pipelines.cv.image_reid_person_pipeline"}, "('PIPELINES', 'auto-speech-recognition', 'asr-wenet-inference')": {"filepath": "TEMPLATE_PATH/pipelines/audio/asr_wenet_inference_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.audio.asr_wenet_inference_pipeline"}, "('PIPELINES', 'voice-activity-detection', 'vad-inference')": {"filepath": "TEMPLATE_PATH/pipelines/audio/voice_activity_detection_pipeline.py", "imports": ["yaml", "funasr", "json", "os", "typing"], "module": "modelscope.pipelines.audio.voice_activity_detection_pipeline"}, "('PIPELINES', 'speech-separation', 'speech-separation')": {"filepath": "TEMPLATE_PATH/pipelines/audio/separation_pipeline.py", "imports": ["numpy", "io", "soundfile", "torch", "typing"], "module": "modelscope.pipelines.audio.separation_pipeline"}, "('PIPELINES', 'keyword-spotting', 'speech_dfsmn_kws_char_farfield')": {"filepath": "TEMPLATE_PATH/pipelines/audio/kws_farfield_pipeline.py", "imports": ["numpy", "io", "soundfile", "typing", "wave"], "module": "modelscope.pipelines.audio.kws_farfield_pipeline"}, "('PIPELINES', 'speaker-diarization', 'speaker-diarization-inference')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_diarization_pipeline.py", "imports": ["yaml", "numpy", "shutil", "json", "os", "typing"], "module": "modelscope.pipelines.audio.speaker_diarization_pipeline"}, "('PIPELINES', 'language-score-prediction', 'language-score-prediction')": {"filepath": "TEMPLATE_PATH/pipelines/audio/lm_infer_pipeline.py", "imports": ["typing", "os"], "module": "modelscope.pipelines.audio.lm_infer_pipeline"}, "('PIPELINES', 'acoustic-noise-suppression', 'speech_dfsmn_ans_psm_48k_causal')": {"filepath": "TEMPLATE_PATH/pipelines/audio/ans_dfsmn_pipeline.py", "imports": ["numpy", "io", "librosa", "soundfile", "os", "torch", "collections", "sys", "typing"], "module": "modelscope.pipelines.audio.ans_dfsmn_pipeline"}, "('PIPELINES', 'inverse-text-processing', 'itn-inference')": {"filepath": "TEMPLATE_PATH/pipelines/audio/inverse_text_processing_pipeline.py", "imports": ["shutil", "yaml", "typing", "os"], "module": "modelscope.pipelines.audio.inverse_text_processing_pipeline"}, "('PIPELINES', 'speaker-verification', 'speaker-verification')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_verification_light_pipeline.py", "imports": ["io", "torch", "soundfile", "typing"], "module": "modelscope.pipelines.audio.speaker_verification_light_pipeline"}, "('PIPELINES', 'keyword-spotting', 'kws-kwsbp')": {"filepath": "TEMPLATE_PATH/pipelines/audio/kws_kwsbp_pipeline.py", "imports": ["json", "typing", "os"], "module": "modelscope.pipelines.audio.kws_kwsbp_pipeline"}, "('PIPELINES', 'speech-timestamp', 'speech-timestamp-inference')": {"filepath": "TEMPLATE_PATH/pipelines/audio/timestamp_pipeline.py", "imports": ["yaml", "funasr", "json", "os", "typing"], "module": "modelscope.pipelines.audio.timestamp_pipeline"}, "('PIPELINES', 'text-to-speech', 'sambert-hifigan-tts')": {"filepath": "TEMPLATE_PATH/pipelines/audio/text_to_speech_pipeline.py", "imports": ["numpy", "typing"], "module": "modelscope.pipelines.audio.text_to_speech_pipeline"}, "('PIPELINES', 'speaker-verification', 'sv-inference')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_verification_pipeline.py", "imports": ["shutil", "yaml", "typing", "os"], "module": "modelscope.pipelines.audio.speaker_verification_pipeline"}, "('PIPELINES', 'acoustic-echo-cancellation', 'speech-dfsmn-aec-psm-16k')": {"filepath": "TEMPLATE_PATH/pipelines/audio/linear_aec_pipeline.py", "imports": ["numpy", "yaml", "scipy", "importlib", "os", "torch", "typing"], "module": "modelscope.pipelines.audio.linear_aec_pipeline"}, "('PIPELINES', 'punctuation', 'punc-inference')": {"filepath": "TEMPLATE_PATH/pipelines/audio/punctuation_processing_pipeline.py", "imports": ["shutil", "yaml", "typing", "os"], "module": "modelscope.pipelines.audio.punctuation_processing_pipeline"}, "('PIPELINES', 'auto-speech-recognition', 'asr-inference')": {"filepath": "TEMPLATE_PATH/pipelines/audio/asr_inference_pipeline.py", "imports": ["yaml", "typing", "os", "json"], "module": "modelscope.pipelines.audio.asr_inference_pipeline"}, "('PIPELINES', 'acoustic-noise-suppression', 'speech_frcrn_ans_cirm_16k')": {"filepath": "TEMPLATE_PATH/pipelines/audio/ans_pipeline.py", "imports": ["numpy", "io", "soundfile", "librosa", "torch", "typing"], "module": "modelscope.pipelines.audio.ans_pipeline"}, "('PIPELINES', 'auto-speech-recognition', 'ofa-asr')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/asr_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.asr_pipeline"}, "('PIPELINES', 'image-captioning', 'image-captioning')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/image_captioning_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.image_captioning_pipeline"}, "('PIPELINES', 'image-text-retrieval', 'multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/multi_modal_embedding_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.multi_modal.multi_modal_embedding_pipeline"}, "('PIPELINES', 'multi-modal-embedding', 'multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/multi_modal_embedding_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.multi_modal.multi_modal_embedding_pipeline"}, "('PIPELINES', 'text-ranking', 'mgeo-ranking')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/mgeo_ranking_pipeline.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.pipelines.multi_modal.mgeo_ranking_pipeline"}, "('PIPELINES', 'video-temporal-grounding', 'soonet-video-temporal-grounding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/soonet_video_temporal_grounding_pipeline.py", "imports": ["numpy", "os", "torch", "typing", "torchvision"], "module": "modelscope.pipelines.multi_modal.soonet_video_temporal_grounding_pipeline"}, "('PIPELINES', 'efficient-diffusion-tuning', 'efficient-diffusion-tuning')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/efficient_diffusion_tuning_pipeline.py", "imports": ["numpy", "PIL", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.pipelines.multi_modal.efficient_diffusion_tuning_pipeline"}, "('PIPELINES', 'visual-grounding', 'visual-grounding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/visual_grounding_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.visual_grounding_pipeline"}, "('PIPELINES', 'text-to-image-synthesis', 'text-to-image-synthesis')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/text_to_image_synthesis_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.text_to_image_synthesis_pipeline"}, "('PIPELINES', 'text-to-image-synthesis', 'chinese-stable-diffusion')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/stable_diffusion/chinese_stable_diffusion_pipeline.py", "imports": ["numpy", "PIL", "transformers", "diffusers", "torch", "typing", "cv2"], "module": "modelscope.pipelines.multi_modal.diffusers_wrapped.stable_diffusion.chinese_stable_diffusion_pipeline"}, "('PIPELINES', 'text-to-image-synthesis', 'diffusers-stable-diffusion')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/stable_diffusion/stable_diffusion_pipeline.py", "imports": ["numpy", "PIL", "diffusers", "torch", "typing", "cv2"], "module": "modelscope.pipelines.multi_modal.diffusers_wrapped.stable_diffusion.stable_diffusion_pipeline"}, "('PIPELINES', 'video-captioning', 'video-captioning')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/video_captioning_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.video_captioning_pipeline"}, "('PIPELINES', 'sudoku', 'ofa-sudoku')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/sudoku_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.sudoku_pipeline"}, "('PIPELINES', 'document-vl-embedding', 'document-vl-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/document_vl_embedding_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.document_vl_embedding_pipeline"}, "('PIPELINES', 'generative-multi-modal-embedding', 'generative-multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/generative_multi_modal_embedding_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.multi_modal.generative_multi_modal_embedding_pipeline"}, "('PIPELINES', 'visual-question-answering', 'gridvlp-multi-modal-classification')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/gridvlp_pipeline.py", "imports": ["numpy", "traceback", "PIL", "json", "transformers", "os", "torch", "time", "typing"], "module": "modelscope.pipelines.multi_modal.gridvlp_pipeline"}, "('PIPELINES', 'multi-modal-embedding', 'gridvlp-multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/gridvlp_pipeline.py", "imports": ["numpy", "traceback", "PIL", "json", "transformers", "os", "torch", "time", "typing"], "module": "modelscope.pipelines.multi_modal.gridvlp_pipeline"}, "('PIPELINES', 'text-to-image-synthesis', 'disco_guided_diffusion')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/disco_guided_diffusion_pipeline/disco_guided_diffusion.py", "imports": ["numpy", "math", "gc", "PIL", "importlib", "json", "os", "torch", "clip", "torchvision", "cv2"], "module": "modelscope.pipelines.multi_modal.disco_guided_diffusion_pipeline.disco_guided_diffusion"}, "('PIPELINES', 'visual-question-answering', 'visual-question-answering')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/visual_question_answering_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.visual_question_answering_pipeline"}, "('PIPELINES', 'video-multi-modal-embedding', 'video-multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/video_multi_modal_embedding_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.multi_modal.video_multi_modal_embedding_pipeline"}, "('PIPELINES', 'video-question-answering', 'video-question-answering')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/video_question_answering_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.video_question_answering_pipeline"}, "('PIPELINES', 'text-to-video-synthesis', 'latent-text-to-video-synthesis')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/text_to_video_synthesis_pipeline.py", "imports": ["einops", "tempfile", "torch", "typing", "cv2"], "module": "modelscope.pipelines.multi_modal.text_to_video_synthesis_pipeline"}, "('PIPELINES', 'image-text-retrieval', 'image-text-retrieval')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/image_text_retrieval_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.image_text_retrieval_pipeline"}, "('PIPELINES', 'multi-modal-similarity', 'multi-modal-similarity')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/team_multi_modal_similarity_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.multi_modal.team_multi_modal_similarity_pipeline"}, "('PIPELINES', 'ocr-recognition', 'ofa-ocr-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/ocr_recognition_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.ocr_recognition_pipeline"}, "('PIPELINES', 'visual-entailment', 'visual-entailment')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/visual_entailment_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.visual_entailment_pipeline"}, "('PIPELINES', 'text2sql', 'ofa-text2sql')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/text2sql_pipeline.py", "imports": ["torch", "typing"], "module": "modelscope.pipelines.multi_modal.text2sql_pipeline"}, "('PIPELINES', 'protein-structure', 'unifold-protein-structure')": {"filepath": "TEMPLATE_PATH/pipelines/science/protein_structure_pipeline.py", "imports": ["numpy", "json", "os", "unicore", "torch", "time", "typing"], "module": "modelscope.pipelines.science.protein_structure_pipeline"}, "('PREPROCESSORS', 'cv', 'load-image')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["numpy", "io", "PIL", "typing", "cv2"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'object-detection-tinynas-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["numpy", "io", "PIL", "typing", "cv2"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'image-color-enhance-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["numpy", "io", "PIL", "typing", "cv2"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'image-denoise-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["numpy", "io", "PIL", "typing", "cv2"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'image-deblur-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["numpy", "io", "PIL", "typing", "cv2"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'image-portrait-enhancement-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["numpy", "io", "PIL", "typing", "cv2"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'image-instance-segmentation-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["numpy", "io", "PIL", "typing", "cv2"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'video-summarization-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["numpy", "io", "PIL", "typing", "cv2"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'image-classification-bypass-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["numpy", "io", "PIL", "typing", "cv2"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'nlp', 'dialog-use-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/dialog_classification_use_preprocessor.py", "imports": ["torch", "typing", "transformers"], "module": "modelscope.preprocessors.nlp.dialog_classification_use_preprocessor"}, "('PREPROCESSORS', 'nlp', 'siamese-uie-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/siamese_uie_preprocessor.py", "imports": ["typing", "transformers"], "module": "modelscope.preprocessors.nlp.siamese_uie_preprocessor"}, "('PREPROCESSORS', 'nlp', 'Tokenize')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/bert_seq_cls_tokenizer.py", "imports": ["typing", "transformers"], "module": "modelscope.preprocessors.nlp.bert_seq_cls_tokenizer"}, "('PREPROCESSORS', 'nlp', 'zero-shot-cls-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/zero_shot_classification_preprocessor.py", "imports": ["typing"], "module": "modelscope.preprocessors.nlp.zero_shot_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'document-grounded-dialog-retrieval')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/document_grounded_dialog_retrieval_preprocessor.py", "imports": ["torch", "transformers", "os", "typing"], "module": "modelscope.preprocessors.nlp.document_grounded_dialog_retrieval_preprocessor"}, "('PREPROCESSORS', 'nlp', 'text-gen-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_generation_preprocessor.py", "imports": ["torch", "numpy", "typing", "os"], "module": "modelscope.preprocessors.nlp.text_generation_preprocessor"}, "('PREPROCESSORS', 'nlp', 'text-gen-jieba-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_generation_preprocessor.py", "imports": ["torch", "numpy", "typing", "os"], "module": "modelscope.preprocessors.nlp.text_generation_preprocessor"}, "('PREPROCESSORS', 'nlp', 'sentence-piece')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_generation_preprocessor.py", "imports": ["torch", "numpy", "typing", "os"], "module": "modelscope.preprocessors.nlp.text_generation_preprocessor"}, "('PREPROCESSORS', 'nlp', 'text2text-gen-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_generation_preprocessor.py", "imports": ["torch", "numpy", "typing", "os"], "module": "modelscope.preprocessors.nlp.text_generation_preprocessor"}, "('PREPROCESSORS', 'nlp', 'table-question-answering-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/space_T_cn/table_question_answering_preprocessor.py", "imports": ["torch", "transformers", "os", "typing"], "module": "modelscope.preprocessors.nlp.space_T_cn.table_question_answering_preprocessor"}, "('PREPROCESSORS', 'nlp', 'canmt-translation')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/canmt_translation.py", "imports": ["sacremoses", "subword_nmt", "jieba", "os", "torch", "typing"], "module": "modelscope.preprocessors.nlp.canmt_translation"}, "('PREPROCESSORS', 'nlp', 'viet-ner-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_viet_preprocessor.py", "imports": ["torch", "typing"], "module": "modelscope.preprocessors.nlp.token_classification_viet_preprocessor"}, "('PREPROCESSORS', 'nlp', 'document-segmentation')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/document_segmentation_preprocessor.py", "imports": ["typing"], "module": "modelscope.preprocessors.nlp.document_segmentation_preprocessor"}, "('PREPROCESSORS', 'nlp', 'text-error-correction')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_error_correction.py", "imports": ["torch", "transformers", "os", "typing"], "module": "modelscope.preprocessors.nlp.text_error_correction"}, "('PREPROCESSORS', 'nlp', 'text-ranking')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_ranking_preprocessor.py", "imports": ["typing", "transformers"], "module": "modelscope.preprocessors.nlp.text_ranking_preprocessor"}, "('PREPROCESSORS', 'nlp', 'mglm-summarization')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/mglm_summarization_preprocessor.py", "imports": ["re", "os", "typing"], "module": "modelscope.preprocessors.nlp.mglm_summarization_preprocessor"}, "('PREPROCESSORS', 'nlp', 'sentence-embedding')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/sentence_embedding_preprocessor.py", "imports": ["typing"], "module": "modelscope.preprocessors.nlp.sentence_embedding_preprocessor"}, "('PREPROCESSORS', 'nlp', 'mgeo-ranking')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/mgeo_ranking_preprocessor.py", "imports": ["torch", "transformers", "typing"], "module": "modelscope.preprocessors.nlp.mgeo_ranking_preprocessor"}, "('PREPROCESSORS', 'nlp', 'fill-mask')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/fill_mask_preprocessor.py", "imports": ["numpy", "re", "abc", "os", "torch", "typing"], "module": "modelscope.preprocessors.nlp.fill_mask_preprocessor"}, "('PREPROCESSORS', 'nlp', 'fill-mask-ponet')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/fill_mask_preprocessor.py", "imports": ["numpy", "re", "abc", "os", "torch", "typing"], "module": "modelscope.preprocessors.nlp.fill_mask_preprocessor"}, "('PREPROCESSORS', 'nlp', 'document-grounded-dialog-generate')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/document_grounded_dialog_generate_preprocessor.py", "imports": ["torch", "transformers", "os", "typing"], "module": "modelscope.preprocessors.nlp.document_grounded_dialog_generate_preprocessor"}, "('PREPROCESSORS', 'nlp', 'feature-extraction')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/feature_extraction_preprocessor.py", "imports": ["numpy", "typing"], "module": "modelscope.preprocessors.nlp.feature_extraction_preprocessor"}, "('PREPROCESSORS', 'nlp', 'document-grounded-dialog-rerank')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/document_grounded_dialog_rerank_preprocessor.py", "imports": ["transformers", "os", "torch", "copy", "typing"], "module": "modelscope.preprocessors.nlp.document_grounded_dialog_rerank_preprocessor"}, "('PREPROCESSORS', 'nlp', 'conversational-text-to-sql')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/space_T_en/conversational_text_to_sql_preprocessor.py", "imports": ["text2sql_lgesql", "json", "os", "torch", "typing"], "module": "modelscope.preprocessors.nlp.space_T_en.conversational_text_to_sql_preprocessor"}, "('PREPROCESSORS', 'nlp', 'word-segment-text-to-label-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_preprocessor.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.preprocessors.nlp.token_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'ner-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_preprocessor.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.preprocessors.nlp.token_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'token-cls-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_preprocessor.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.preprocessors.nlp.token_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'sequence-labeling-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_preprocessor.py", "imports": ["torch", "numpy", "typing"], "module": "modelscope.preprocessors.nlp.token_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'thai-ner-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_thai_preprocessor.py", "imports": ["typing"], "module": "modelscope.preprocessors.nlp.token_classification_thai_preprocessor"}, "('PREPROCESSORS', 'nlp', 'thai-wseg-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_thai_preprocessor.py", "imports": ["typing"], "module": "modelscope.preprocessors.nlp.token_classification_thai_preprocessor"}, "('PREPROCESSORS', 'nlp', 're-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/relation_extraction_preprocessor.py", "imports": ["typing", "transformers"], "module": "modelscope.preprocessors.nlp.relation_extraction_preprocessor"}, "('PREPROCESSORS', 'nlp', 'faq-question-answering-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/faq_question_answering_preprocessor.py", "imports": ["torch", "typing"], "module": "modelscope.preprocessors.nlp.faq_question_answering_preprocessor"}, "('PREPROCESSORS', 'nlp', 'nli-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_classification_preprocessor.py", "imports": ["numpy", "typing"], "module": "modelscope.preprocessors.nlp.text_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'sen-sim-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_classification_preprocessor.py", "imports": ["numpy", "typing"], "module": "modelscope.preprocessors.nlp.text_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'bert-seq-cls-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_classification_preprocessor.py", "imports": ["numpy", "typing"], "module": "modelscope.preprocessors.nlp.text_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'sen-cls-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_classification_preprocessor.py", "imports": ["numpy", "typing"], "module": "modelscope.preprocessors.nlp.text_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'dialog-intent-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/space/dialog_intent_prediction_preprocessor.py", "imports": ["json", "typing", "os"], "module": "modelscope.preprocessors.nlp.space.dialog_intent_prediction_preprocessor"}, "('PREPROCESSORS', 'nlp', 'dialog-state-tracking-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/space/dialog_state_tracking_preprocessor.py", "imports": ["typing"], "module": "modelscope.preprocessors.nlp.space.dialog_state_tracking_preprocessor"}, "('PREPROCESSORS', 'nlp', 'dialog-modeling-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/space/dialog_modeling_preprocessor.py", "imports": ["typing", "os"], "module": "modelscope.preprocessors.nlp.space.dialog_modeling_preprocessor"}, "('PREPROCESSORS', 'nlp', 'word-alignment')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/word_alignment_preprocessor.py", "imports": ["numpy", "os", "torch", "typing", "itertools"], "module": "modelscope.preprocessors.nlp.word_alignment_preprocessor"}, "('PREPROCESSORS', 'nlp', 'translation-evaluation-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/translation_evaluation_preprocessor.py", "imports": ["typing", "transformers"], "module": "modelscope.preprocessors.nlp.translation_evaluation_preprocessor"}, "('PREPROCESSORS', 'cv', 'bad-image-detecting-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/bad_image_detecting_preprocessor.py", "imports": ["numpy", "math", "PIL", "torch", "typing", "torchvision"], "module": "modelscope.preprocessors.cv.bad_image_detecting_preprocessor"}, "('PREPROCESSORS', 'cv', 'image-classification-mmcv-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/mmcls_preprocessor.py", "imports": ["numpy", "typing", "os"], "module": "modelscope.preprocessors.cv.mmcls_preprocessor"}, "('PREPROCESSORS', 'cv', 'controllable-image-generation-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/controllable_image_generation.py", "imports": ["numpy", "math", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.preprocessors.cv.controllable_image_generation"}, "('PREPROCESSORS', 'cv', 'RandomCrop')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'RandomResizedCrop')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'Resize')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'CenterCrop')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'RandomHorizontalFlip')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'Normalize')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'ImageToTensor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'image-classification-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'image-quality_assessment-man-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_quality_assessment_man.py", "imports": ["numpy", "math", "PIL", "torch", "typing", "torchvision"], "module": "modelscope.preprocessors.cv.image_quality_assessment_man"}, "('PREPROCESSORS', 'cv', 'image-quality_assessment-mos-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_quality_assessment_mos.py", "imports": ["numpy", "math", "typing", "torchvision", "cv2"], "module": "modelscope.preprocessors.cv.image_quality_assessment_mos"}, "('PREPROCESSORS', 'cv', 'image-demoire-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_restoration_preprocessor.py", "imports": ["numpy", "math", "PIL", "torch", "typing", "torchvision"], "module": "modelscope.preprocessors.cv.image_restoration_preprocessor"}, "('PREPROCESSORS', 'audio', 'wav-to-lists')": {"filepath": "TEMPLATE_PATH/preprocessors/kws.py", "imports": ["yaml", "typing", "os"], "module": "modelscope.preprocessors.kws"}, "('PREPROCESSORS', 'audio', 'LinearAECAndFbank')": {"filepath": "TEMPLATE_PATH/preprocessors/audio.py", "imports": ["numpy", "io", "scipy", "os", "torch", "typing"], "module": "modelscope.preprocessors.audio"}, "('PREPROCESSORS', 'multi-modal', 'diffusion-image-generation-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["numpy", "decord", "io", "PIL", "timm", "json", "os", "torch", "typing", "torchvision"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'multi-modal', 'ofa-tasks-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["numpy", "decord", "io", "PIL", "timm", "json", "os", "torch", "typing", "torchvision"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'multi-modal', 'clip-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["numpy", "decord", "io", "PIL", "timm", "json", "os", "torch", "typing", "torchvision"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'multi-modal', 'mplug-tasks-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["numpy", "decord", "io", "PIL", "timm", "json", "os", "torch", "typing", "torchvision"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'multi-modal', 'vldoc-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["numpy", "decord", "io", "PIL", "timm", "json", "os", "torch", "typing", "torchvision"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'multi-modal', 'hitea-tasks-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["numpy", "decord", "io", "PIL", "timm", "json", "os", "torch", "typing", "torchvision"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'default', 'Compose')": {"filepath": "TEMPLATE_PATH/preprocessors/common.py", "imports": ["numpy", "torch", "collections", "time", "typing"], "module": "modelscope.preprocessors.common"}, "('PREPROCESSORS', 'default', 'ToTensor')": {"filepath": "TEMPLATE_PATH/preprocessors/common.py", "imports": ["numpy", "torch", "collections", "time", "typing"], "module": "modelscope.preprocessors.common"}, "('PREPROCESSORS', 'default', 'Filter')": {"filepath": "TEMPLATE_PATH/preprocessors/common.py", "imports": ["numpy", "torch", "collections", "time", "typing"], "module": "modelscope.preprocessors.common"}, "('PREPROCESSORS', 'default', 'ToNumpy')": {"filepath": "TEMPLATE_PATH/preprocessors/common.py", "imports": ["numpy", "torch", "collections", "time", "typing"], "module": "modelscope.preprocessors.common"}, "('PREPROCESSORS', 'default', 'Rename')": {"filepath": "TEMPLATE_PATH/preprocessors/common.py", "imports": ["numpy", "torch", "collections", "time", "typing"], "module": "modelscope.preprocessors.common"}, "('PREPROCESSORS', 'default', 'Identity')": {"filepath": "TEMPLATE_PATH/preprocessors/common.py", "imports": ["numpy", "torch", "collections", "time", "typing"], "module": "modelscope.preprocessors.common"}, "('PREPROCESSORS', 'science', 'unifold-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/science/uni_fold.py", "imports": ["tarfile", "hashlib", "pathlib", "os", "logging", "unittest", "torch", "random", "time", "numpy", "re", "pickle", "gzip", "ipdb", "requests", "json", "tqdm", "typing"], "module": "modelscope.preprocessors.science.uni_fold"}, "('PREPROCESSORS', 'cv', 'movie-scene-segmentation-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/video.py", "imports": ["numpy", "uuid", "decord", "math", "urllib", "tempfile", "os", "torch", "random", "torchvision"], "module": "modelscope.preprocessors.video"}, "('PREPROCESSORS', 'audio', 'wav-to-scp')": {"filepath": "TEMPLATE_PATH/preprocessors/asr.py", "imports": ["typing", "os"], "module": "modelscope.preprocessors.asr"}, "('PREPROCESSORS', 'text-to-speech', 'kantts-data-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/tts.py", "imports": ["typing", "os", "kantts"], "module": "modelscope.preprocessors.tts"}, "('TRAINERS', 'default', 'nlp-text-ranking-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/text_ranking_trainer.py", "imports": ["numpy", "dataclasses", "torch", "tqdm", "time", "typing"], "module": "modelscope.trainers.nlp.text_ranking_trainer"}, "('TRAINERS', 'default', 'document-grounded-dialog-rerank-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/document_grounded_dialog_rerank_trainer.py", "imports": ["numpy", "transformers", "os", "torch", "random", "time", "typing"], "module": "modelscope.trainers.nlp.document_grounded_dialog_rerank_trainer"}, "('TRAINERS', 'default', 'nlp-plug-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/plug_trainer.py", "imports": ["megatron_util", "os", "deepspeed", "torch", "typing"], "module": "modelscope.trainers.nlp.plug_trainer"}, "('TRAINERS', 'default', 'faq-question-answering-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/faq_question_answering_trainer.py", "imports": ["numpy", "distutils", "contextlib", "dataclasses", "torch", "collections", "typing", "functools"], "module": "modelscope.trainers.nlp.faq_question_answering_trainer"}, "('TRAINERS', 'default', 'nlp-gpt3-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/gpt3_trainer.py", "imports": ["torch", "copy", "os", "typing"], "module": "modelscope.trainers.nlp.gpt3_trainer"}, "('TRAINERS', 'default', 'table-question-answering-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/table_question_answering_trainer.py", "imports": ["numpy", "json", "os", "torch", "tqdm", "time", "typing"], "module": "modelscope.trainers.nlp.table_question_answering_trainer"}, "('TRAINERS', 'default', 'nlp-sentence-embedding-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/sentence_embedding_trainer.py", "imports": ["numpy", "dataclasses", "transformers", "torch", "tqdm", "time", "typing"], "module": "modelscope.trainers.nlp.sentence_embedding_trainer"}, "('TRAINERS', 'default', 'nlp-gpt-moe-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/gpt_moe_trainer.py", "imports": ["megatron_util", "os", "torch", "collections", "typing"], "module": "modelscope.trainers.nlp.gpt_moe_trainer"}, "('TRAINERS', 'default', 'bert-sentiment-analysis')": {"filepath": "TEMPLATE_PATH/trainers/nlp/sequence_classification_trainer.py", "imports": ["numpy", "time", "typing"], "module": "modelscope.trainers.nlp.sequence_classification_trainer"}, "('TRAINERS', 'default', 'siamese-uie-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/siamese_uie_trainer.py", "imports": ["numpy", "math", "json", "random", "os", "torch", "collections", "time", "typing"], "module": "modelscope.trainers.nlp.siamese_uie_trainer"}, "('TRAINERS', 'default', 'text-generation-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/text_generation_trainer.py", "imports": ["torch", "collections"], "module": "modelscope.trainers.nlp.text_generation_trainer"}, "('TRAINERS', 'default', 'document-grounded-dialog-retrieval-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/document_grounded_dialog_retrieval_trainer.py", "imports": ["numpy", "faiss", "json", "transformers", "os", "torch", "tqdm"], "module": "modelscope.trainers.nlp.document_grounded_dialog_retrieval_trainer"}, "('TRAINERS', 'default', 'csanmt-translation')": {"filepath": "TEMPLATE_PATH/trainers/nlp/csanmt_translation_trainer.py", "imports": ["tensorflow", "time", "os", "typing"], "module": "modelscope.trainers.nlp.csanmt_translation_trainer"}, "('TRAINERS', 'default', 'dialog-intent-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/space/dialog_intent_trainer.py", "imports": ["numpy", "typing", "os"], "module": "modelscope.trainers.nlp.space.dialog_intent_trainer"}, "('TRAINERS', 'default', 'dialog-modeling-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/space/dialog_modeling_trainer.py", "imports": ["numpy", "time", "os", "typing"], "module": "modelscope.trainers.nlp.space.dialog_modeling_trainer"}, "('TRAINERS', 'default', 'document-grounded-dialog-generate-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/document_grounded_dialog_generate_trainer.py", "imports": ["string", "re", "json", "transformers", "os", "torch", "sacrebleu", "tqdm", "rouge", "collections"], "module": "modelscope.trainers.nlp.document_grounded_dialog_generate_trainer"}, "('TRAINERS', 'default', 'action-detection')": {"filepath": "TEMPLATE_PATH/trainers/cv/action_detection_trainer.py", "imports": ["fvcore", "detectron2", "os", "torch", "typing"], "module": "modelscope.trainers.cv.action_detection_trainer"}, "('TRAINERS', 'default', 'referring-video-object-segmentation')": {"filepath": "TEMPLATE_PATH/trainers/cv/referring_video_object_segmentation_trainer.py", "imports": ["torch", "os"], "module": "modelscope.trainers.cv.referring_video_object_segmentation_trainer"}, "('TRAINERS', 'default', 'image-instance-segmentation')": {"filepath": "TEMPLATE_PATH/trainers/cv/image_instance_segmentation_trainer.py", "imports": [], "module": "modelscope.trainers.cv.image_instance_segmentation_trainer"}, "('TRAINERS', 'default', 'image-fewshot-detection')": {"filepath": "TEMPLATE_PATH/trainers/cv/image_defrcn_fewshot_detection_trainer.py", "imports": ["detectron2", "os", "torch", "collections", "typing"], "module": "modelscope.trainers.cv.image_defrcn_fewshot_detection_trainer"}, "('TRAINERS', 'default', 'tinynas-damoyolo')": {"filepath": "TEMPLATE_PATH/trainers/cv/image_detection_damoyolo_trainer.py", "imports": ["math", "easydict", "datetime", "os", "torch", "time", "typing"], "module": "modelscope.trainers.cv.image_detection_damoyolo_trainer"}, "('TRAINERS', 'default', 'vision-efficient-tuning')": {"filepath": "TEMPLATE_PATH/trainers/cv/vision_efficient_tuning_trainer.py", "imports": ["torch", "typing"], "module": "modelscope.trainers.cv.vision_efficient_tuning_trainer"}, "('TRAINERS', 'default', 'ocr-recognition')": {"filepath": "TEMPLATE_PATH/trainers/cv/ocr_recognition_trainer.py", "imports": ["torch", "collections", "time"], "module": "modelscope.trainers.cv.ocr_recognition_trainer"}, "('TRAINERS', 'default', 'image-classification')": {"filepath": "TEMPLATE_PATH/trainers/cv/image_classifition_trainer.py", "imports": ["numpy", "copy", "os", "torch", "time", "typing"], "module": "modelscope.trainers.cv.image_classifition_trainer"}, "('TRAINERS', 'default', 'movie-scene-segmentation')": {"filepath": "TEMPLATE_PATH/trainers/cv/movie_scene_segmentation_trainer.py", "imports": [], "module": "modelscope.trainers.cv.movie_scene_segmentation_trainer"}, "('TRAINERS', 'default', 'image-portrait-enhancement')": {"filepath": "TEMPLATE_PATH/trainers/cv/image_portrait_enhancement_trainer.py", "imports": ["torch", "collections"], "module": "modelscope.trainers.cv.image_portrait_enhancement_trainer"}, "('TRAINERS', 'default', 'nerf-recon-acc')": {"filepath": "TEMPLATE_PATH/trainers/cv/nerf_recon_acc_trainer.py", "imports": ["numpy", "typing", "tqdm", "glob", "datetime", "os", "torch", "random", "time", "cv2"], "module": "modelscope.trainers.cv.nerf_recon_acc_trainer"}, "('TRAINERS', 'default', 'image-inpainting')": {"filepath": "TEMPLATE_PATH/trainers/cv/image_inpainting_trainer.py", "imports": ["torch", "collections", "time"], "module": "modelscope.trainers.cv.image_inpainting_trainer"}, "('TRAINERS', 'default', 'cartoon-translation')": {"filepath": "TEMPLATE_PATH/trainers/cv/cartoon_translation_trainer.py", "imports": ["packaging", "numpy", "tensorflow", "os", "tqdm", "typing"], "module": "modelscope.trainers.cv.cartoon_translation_trainer"}, "('TRAINERS', 'default', 'ocr-detection-db')": {"filepath": "TEMPLATE_PATH/trainers/cv/ocr_detection_db_trainer.py", "imports": ["copy", "numpy", "math", "easydict", "datetime", "os", "torch", "tqdm", "time", "typing"], "module": "modelscope.trainers.cv.ocr_detection_db_trainer"}, "('TRAINERS', 'default', 'card-detection-scrfd')": {"filepath": "TEMPLATE_PATH/trainers/cv/card_detection_scrfd_trainer.py", "imports": [], "module": "modelscope.trainers.cv.card_detection_scrfd_trainer"}, "('TRAINERS', 'default', 'face-detection-scrfd')": {"filepath": "TEMPLATE_PATH/trainers/cv/face_detection_scrfd_trainer.py", "imports": ["time", "copy", "os", "typing"], "module": "modelscope.trainers.cv.face_detection_scrfd_trainer"}, "('TRAINERS', 'default', 'trainer')": {"filepath": "TEMPLATE_PATH/trainers/trainer.py", "imports": ["distutils", "json", "inspect", "os", "torch", "collections", "copy", "functools", "typing"], "module": "modelscope.trainers.trainer"}, "('OPTIMIZERS', 'default', 'ChildTuningAdamW')": {"filepath": "TEMPLATE_PATH/trainers/optimizer/child_tuning_adamw_optimizer.py", "imports": ["types", "numpy", "math", "torch", "typing"], "module": "modelscope.trainers.optimizer.child_tuning_adamw_optimizer"}, "('TRAINERS', 'default', 'easycv')": {"filepath": "TEMPLATE_PATH/trainers/easycv/trainer.py", "imports": ["easycv", "torch", "copy", "functools", "typing"], "module": "modelscope.trainers.easycv.trainer"}, "('METRICS', 'default', 'EasyCVMetric')": {"filepath": "TEMPLATE_PATH/trainers/easycv/utils/metric.py", "imports": ["torch", "numpy", "typing", "itertools"], "module": "modelscope.trainers.easycv.utils.metric"}, "('HOOKS', 'default', 'AddLrLogHook')": {"filepath": "TEMPLATE_PATH/trainers/easycv/utils/hooks.py", "imports": [], "module": "modelscope.trainers.easycv.utils.hooks"}, "('TRAINERS', 'default', 'speech_dfsmn_kws_char_farfield')": {"filepath": "TEMPLATE_PATH/trainers/audio/kws_farfield_trainer.py", "imports": ["numpy", "pickle", "math", "glob", "datetime", "os", "torch", "typing"], "module": "modelscope.trainers.audio.kws_farfield_trainer"}, "('TRAINERS', 'default', 'speech-kantts-trainer')": {"filepath": "TEMPLATE_PATH/trainers/audio/tts_trainer.py", "imports": ["shutil", "zipfile", "tempfile", "json", "os", "typing"], "module": "modelscope.trainers.audio.tts_trainer"}, "('TRAINERS', 'default', 'speech-separation')": {"filepath": "TEMPLATE_PATH/trainers/audio/separation_trainer.py", "imports": ["torchaudio", "numpy", "csv", "os", "speechbrain", "torch", "tqdm", "typing"], "module": "modelscope.trainers.audio.separation_trainer"}, "('TRAINERS', 'default', 'speech_kws_fsmn_char_ctc_nearfield')": {"filepath": "TEMPLATE_PATH/trainers/audio/kws_nearfield_trainer.py", "imports": ["yaml", "re", "datetime", "os", "tensorboardX", "torch", "copy", "typing"], "module": "modelscope.trainers.audio.kws_nearfield_trainer"}, "('TRAINERS', 'default', 'speech_frcrn_ans_cirm_16k')": {"filepath": "TEMPLATE_PATH/trainers/audio/ans_trainer.py", "imports": [], "module": "modelscope.trainers.audio.ans_trainer"}, "('TRAINERS', 'default', 'speech-asr-trainer')": {"filepath": "TEMPLATE_PATH/trainers/audio/asr_trainer.py", "imports": ["shutil", "funasr", "tempfile", "json", "os", "typing"], "module": "modelscope.trainers.audio.asr_trainer"}, "('HOOKS', 'default', 'CheckpointHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/checkpoint_hook.py", "imports": ["packaging", "numpy", "re", "os", "torch", "random", "time"], "module": "modelscope.trainers.hooks.checkpoint_hook"}, "('HOOKS', 'default', 'BestCkptSaverHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/checkpoint_hook.py", "imports": ["packaging", "numpy", "re", "os", "torch", "random", "time"], "module": "modelscope.trainers.hooks.checkpoint_hook"}, "('HOOKS', 'default', 'LoadCheckpointHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/checkpoint_hook.py", "imports": ["packaging", "numpy", "re", "os", "torch", "random", "time"], "module": "modelscope.trainers.hooks.checkpoint_hook"}, "('HOOKS', 'default', 'TensorboardHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/logger/tensorboard_hook.py", "imports": ["torch", "numpy", "os"], "module": "modelscope.trainers.hooks.logger.tensorboard_hook"}, "('HOOKS', 'default', 'TextLoggerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/logger/text_logger_hook.py", "imports": ["json", "datetime", "os", "torch", "collections"], "module": "modelscope.trainers.hooks.logger.text_logger_hook"}, "('HOOKS', 'default', 'IterTimerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/iter_timer_hook.py", "imports": ["time"], "module": "modelscope.trainers.hooks.iter_timer_hook"}, "('HOOKS', 'default', 'DeepspeedHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/deepspeed_hook.py", "imports": ["megatron_util", "shutil", "os", "deepspeed", "torch"], "module": "modelscope.trainers.hooks.deepspeed_hook"}, "('HOOKS', 'default', 'ApexAMPOptimizerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/optimizer/apex_optimizer_hook.py", "imports": ["packaging", "torch", "logging"], "module": "modelscope.trainers.hooks.optimizer.apex_optimizer_hook"}, "('HOOKS', 'default', 'TorchAMPOptimizerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/optimizer/torch_optimizer_hook.py", "imports": ["logging"], "module": "modelscope.trainers.hooks.optimizer.torch_optimizer_hook"}, "('HOOKS', 'default', 'OptimizerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/optimizer/base.py", "imports": ["torch", "logging"], "module": "modelscope.trainers.hooks.optimizer.base"}, "('HOOKS', 'default', 'NoneOptimizerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/optimizer/base.py", "imports": ["torch", "logging"], "module": "modelscope.trainers.hooks.optimizer.base"}, "('HOOKS', 'default', 'EvaluationHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/evaluation_hook.py", "imports": ["collections"], "module": "modelscope.trainers.hooks.evaluation_hook"}, "('HOOKS', 'default', 'MegatronHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/megatron_hook.py", "imports": ["torch", "megatron_util", "copy", "os"], "module": "modelscope.trainers.hooks.megatron_hook"}, "('HOOKS', 'default', 'DDPHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/ddp_hook.py", "imports": [], "module": "modelscope.trainers.hooks.ddp_hook"}, "('HOOKS', 'default', 'LrSchedulerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/lr_scheduler_hook.py", "imports": [], "module": "modelscope.trainers.hooks.lr_scheduler_hook"}, "('HOOKS', 'default', 'PlateauLrSchedulerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/lr_scheduler_hook.py", "imports": [], "module": "modelscope.trainers.hooks.lr_scheduler_hook"}, "('HOOKS', 'default', 'NoneLrSchedulerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/lr_scheduler_hook.py", "imports": [], "module": "modelscope.trainers.hooks.lr_scheduler_hook"}, "('HOOKS', 'default', 'ClipClampLogitScaleHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/clip_clamp_logit_scale_hook.py", "imports": ["torch"], "module": "modelscope.trainers.hooks.clip_clamp_logit_scale_hook"}, "('HOOKS', 'default', 'SparsityHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/compression/sparsity_hook.py", "imports": ["os"], "module": "modelscope.trainers.hooks.compression.sparsity_hook"}, "('HOOKS', 'default', 'EarlyStopHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/early_stop_hook.py", "imports": ["numpy"], "module": "modelscope.trainers.hooks.early_stop_hook"}, "('TRAINERS', 'default', 'mplug')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/mplug/mplug_trainer.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.trainers.multi_modal.mplug.mplug_trainer"}, "('TRAINERS', 'default', 'clip-multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/clip/clip_trainer.py", "imports": ["math", "torch", "typing", "os"], "module": "modelscope.trainers.multi_modal.clip.clip_trainer"}, "('TRAINERS', 'default', 'image-classification-team')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/team/team_trainer.py", "imports": ["numpy", "sklearn", "os", "torch", "collections", "typing"], "module": "modelscope.trainers.multi_modal.team.team_trainer"}, "('TRAINERS', 'default', 'ofa')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/ofa/ofa_trainer.py", "imports": ["math", "shutil", "tempfile", "json", "os", "torch", "typing", "functools"], "module": "modelscope.trainers.multi_modal.ofa.ofa_trainer"}, "('TRAINERS', 'default', 'mgeo-ranking-trainer')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/mgeo_ranking_trainer.py", "imports": ["torch", "dataclasses", "typing"], "module": "modelscope.trainers.multi_modal.mgeo_ranking_trainer"}, "('TRAINERS', 'default', 'efficient-diffusion-tuning')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/efficient_diffusion_tuning/efficient_diffusion_tuning_trainer.py", "imports": ["torch", "typing"], "module": "modelscope.trainers.multi_modal.efficient_diffusion_tuning.efficient_diffusion_tuning_trainer"}, "('TRAINERS', 'default', 'nlp-base-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp_trainer.py", "imports": ["torch", "numpy", "typing", "os"], "module": "modelscope.trainers.nlp_trainer"}, "('TRAINERS', 'default', 'nlp-veco-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp_trainer.py", "imports": ["torch", "numpy", "typing", "os"], "module": "modelscope.trainers.nlp_trainer"}, "('PARALLEL', 'default', 'DistributedDataParallel')": {"filepath": "TEMPLATE_PATH/trainers/parallel/builder.py", "imports": ["torch"], "module": "modelscope.trainers.parallel.builder"}, "('LR_SCHEDULER', 'default', 'ConstantWarmup')": {"filepath": "TEMPLATE_PATH/trainers/lrscheduler/warmup/warmup.py", "imports": [], "module": "modelscope.trainers.lrscheduler.warmup.warmup"}, "('LR_SCHEDULER', 'default', 'LinearWarmup')": {"filepath": "TEMPLATE_PATH/trainers/lrscheduler/warmup/warmup.py", "imports": [], "module": "modelscope.trainers.lrscheduler.warmup.warmup"}, "('LR_SCHEDULER', 'default', 'ExponentialWarmup')": {"filepath": "TEMPLATE_PATH/trainers/lrscheduler/warmup/warmup.py", "imports": [], "module": "modelscope.trainers.lrscheduler.warmup.warmup"}, "('TRAINERS', 'default', 'dummy')": {"filepath": "TEMPLATE_PATH/trainers/base.py", "imports": ["abc", "time", "os", "typing"], "module": "modelscope.trainers.base"}, "('CUSTOM_DATASETS', 'hand-2d-keypoints', 'HandCocoWholeBodyDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/hand_2d_keypoints/hand_2d_keypoints_dataset.py", "imports": ["easycv"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.hand_2d_keypoints.hand_2d_keypoints_dataset"}, "('CUSTOM_DATASETS', 'ocr-recognition', 'OCRRecognition')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_recognition_dataset.py", "imports": ["numpy", "PIL", "lmdb", "json", "os", "torch", "six", "cv2"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_recognition_dataset"}, "('CUSTOM_DATASETS', 'video-stabilization', 'video-stabilization')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_stabilization/video_stabilization_dataset.py", "imports": [], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.video_stabilization.video_stabilization_dataset"}, "('CUSTOM_DATASETS', 'text-ranking', 'mgeo')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/mgeo_ranking_dataset.py", "imports": ["torch", "json", "random", "typing"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.mgeo_ranking_dataset"}, "('CUSTOM_DATASETS', 'nli', 'veco')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/veco_dataset.py", "imports": ["datasets", "numpy", "typing"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.veco_dataset"}, "('CUSTOM_DATASETS', 'bad-image-detecting', 'bad-image-detecting')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/bad_image_detecting/bad_image_detecting_dataset.py", "imports": [], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.bad_image_detecting.bad_image_detecting_dataset"}, "('CUSTOM_DATASETS', 'referring-video-object-segmentation', 'swinT-referring-video-object-segmentation')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/referring_video_object_segmentation/referring_video_object_segmentation_dataset.py", "imports": ["pycocotools", "numpy", "glob", "json", "h5py", "os", "pandas", "torch", "tqdm", "torchvision"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.referring_video_object_segmentation.referring_video_object_segmentation_dataset"}, "('CUSTOM_DATASETS', 'movie-scene-segmentation', 'resnet50-bert')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/movie_scene_segmentation/movie_scene_segmentation_dataset.py", "imports": ["json", "os", "torch", "random", "copy", "torchvision"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.movie_scene_segmentation.movie_scene_segmentation_dataset"}, "('CUSTOM_DATASETS', 'image-object-detection', 'DetDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/object_detection/detection_dataset.py", "imports": ["easycv"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.object_detection.detection_dataset"}, "('CUSTOM_DATASETS', 'image-segmentation', 'DetDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/object_detection/detection_dataset.py", "imports": ["easycv"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.object_detection.detection_dataset"}, "('CUSTOM_DATASETS', 'image-object-detection', 'DetImagesMixDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/object_detection/detection_dataset.py", "imports": ["easycv"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.object_detection.detection_dataset"}, "('CUSTOM_DATASETS', 'domain-specific-object-detection', 'DetImagesMixDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/object_detection/detection_dataset.py", "imports": ["easycv"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.object_detection.detection_dataset"}, "('CUSTOM_DATASETS', 'face-2d-keypoints', 'FaceKeypointDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/face_2d_keypoins/face_2d_keypoints_dataset.py", "imports": ["easycv"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.face_2d_keypoins.face_2d_keypoints_dataset"}, "('CUSTOM_DATASETS', 'video-frame-interpolation', 'video-frame-interpolation')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_frame_interpolation/video_frame_interpolation_dataset.py", "imports": ["torch", "numpy", "cv2"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.video_frame_interpolation.video_frame_interpolation_dataset"}, "('CUSTOM_DATASETS', 'image-deblurring', 'GoproDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/gopro_image_deblurring_dataset.py", "imports": ["numpy", "cv2"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.gopro_image_deblurring_dataset"}, "('CUSTOM_DATASETS', 'language-guided-video-summarization', 'clip-it-language-guided-video-summarization')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/language_guided_video_summarization_dataset.py", "imports": ["numpy", "json", "h5py", "os", "torch"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.language_guided_video_summarization_dataset"}, "('CUSTOM_DATASETS', 'image-portrait-enhancement', 'PairedDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_portrait_enhancement/image_portrait_enhancement_dataset.py", "imports": ["numpy", "cv2"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_portrait_enhancement.image_portrait_enhancement_dataset"}, "('CUSTOM_DATASETS', 'image-inpainting', 'FFTInpainting')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_inpainting/image_inpainting_dataset.py", "imports": ["numpy", "albumentations", "glob", "enum", "os", "cv2"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_inpainting.image_inpainting_dataset"}, "('CUSTOM_DATASETS', 'human-wholebody-keypoint', 'WholeBodyCocoTopDownDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/human_wholebody_keypoint/human_wholebody_keypoint_dataset.py", "imports": ["easycv"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.human_wholebody_keypoint.human_wholebody_keypoint_dataset"}, "('CUSTOM_DATASETS', 'image-classification', 'ClsDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_classification/classification_dataset.py", "imports": ["easycv"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_classification.classification_dataset"}, "('CUSTOM_DATASETS', 'text-ranking', 'bert')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/text_ranking_dataset.py", "imports": ["torch", "random", "typing"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.text_ranking_dataset"}, "('CUSTOM_DATASETS', 'sentence-embedding', 'bert')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/text_ranking_dataset.py", "imports": ["torch", "random", "typing"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.text_ranking_dataset"}, "('CUSTOM_DATASETS', 'image-deblurring', 'RedsDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/reds_image_deblurring_dataset.py", "imports": ["numpy", "cv2"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.reds_image_deblurring_dataset"}, "('CUSTOM_DATASETS', 'image-quality-assessment-degradation', 'image-quality-assessment-degradation')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_quality_assessment_degradation/image_quality_assessment_degradation_dataset.py", "imports": ["torchvision"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_quality_assessment_degradation.image_quality_assessment_degradation_dataset"}, "('CUSTOM_DATASETS', 'image-segmentation', 'cascade_mask_rcnn_swin')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_instance_segmentation_coco_dataset.py", "imports": ["pycocotools", "numpy", "os"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_instance_segmentation_coco_dataset"}, "('CUSTOM_DATASETS', 'image-denoising', 'SiddDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/sidd_image_denoising/sidd_image_denoising_dataset.py", "imports": ["numpy", "cv2"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.sidd_image_denoising.sidd_image_denoising_dataset"}, "('CUSTOM_DATASETS', 'video-super-resolution', 'real-basicvsr')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_super_resolution/video_super_resolution_dataset.py", "imports": ["torch", "numpy", "collections", "cv2"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.video_super_resolution.video_super_resolution_dataset"}, "('CUSTOM_DATASETS', 'image-quality-assessment-mos', 'image-quality-assessment-mos')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_quality_assmessment_mos/image_quality_assessment_mos_dataset.py", "imports": [], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_quality_assmessment_mos.image_quality_assessment_mos_dataset"}, "('CUSTOM_DATASETS', 'image-segmentation', 'SegDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_semantic_segmentation/segmentation_dataset.py", "imports": ["easycv"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_semantic_segmentation.segmentation_dataset"}, "('CUSTOM_DATASETS', 'image-colorization', 'ddcolor')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_colorization/image_colorization_dataset.py", "imports": ["torch", "numpy", "cv2"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_colorization.image_colorization_dataset"}, "('EXPORTERS', 'transformer-crf', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/exporters/nlp/model_for_token_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.model_for_token_classification_exporter"}, "('EXPORTERS', 'token-classification', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/exporters/nlp/model_for_token_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.model_for_token_classification_exporter"}, "('EXPORTERS', 'named-entity-recognition', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/exporters/nlp/model_for_token_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.model_for_token_classification_exporter"}, "('EXPORTERS', 'part-of-speech', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/exporters/nlp/model_for_token_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.model_for_token_classification_exporter"}, "('EXPORTERS', 'word-segmentation', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/exporters/nlp/model_for_token_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.model_for_token_classification_exporter"}, "('EXPORTERS', 'translation', 'csanmt-translation')": {"filepath": "TEMPLATE_PATH/exporters/nlp/csanmt_for_translation_exporter.py", "imports": ["tensorflow", "typing", "os"], "module": "modelscope.exporters.nlp.csanmt_for_translation_exporter"}, "('EXPORTERS', 'text-classification', 'bert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'text-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'sentence-similarity', 'bert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'sentiment-classification', 'bert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'nli', 'bert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'sentence-similarity', 'structbert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'sentiment-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'nli', 'structbert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["torch", "collections", "typing"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'zero-shot-classification', 'bert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_zero_shot_classification_exporter.py", "imports": ["collections", "typing"], "module": "modelscope.exporters.nlp.sbert_for_zero_shot_classification_exporter"}, "('EXPORTERS', 'zero-shot-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_zero_shot_classification_exporter.py", "imports": ["collections", "typing"], "module": "modelscope.exporters.nlp.sbert_for_zero_shot_classification_exporter"}, "('EXPORTERS', 'face-detection', 'scrfd')": {"filepath": "TEMPLATE_PATH/exporters/cv/face_detection_scrfd_exporter.py", "imports": ["numpy", "onnx", "os", "torch", "typing", "functools"], "module": "modelscope.exporters.cv.face_detection_scrfd_exporter"}, "('EXPORTERS', 'image-object-detection', 'tinynas-damoyolo')": {"filepath": "TEMPLATE_PATH/exporters/cv/object_detection_damoyolo_exporter.py", "imports": ["numpy", "onnx", "os", "torch", "typing", "functools"], "module": "modelscope.exporters.cv.object_detection_damoyolo_exporter"}, "('EXPORTERS', 'default', 'cartoon-translation')": {"filepath": "TEMPLATE_PATH/exporters/cv/cartoon_translation_exporter.py", "imports": ["tensorflow", "packaging", "typing", "os"], "module": "modelscope.exporters.cv.cartoon_translation_exporter"}}, "requirements": {"modelscope.models.nlp.palm_v2.text_generation": ["numpy", "typing", "codecs", "math", "json", "dataclasses", "transformers", "os", "torch", "copy", "subprocess"], "modelscope.models.nlp.palm_v2.configuration": ["transformers"], "modelscope.models.nlp.palm_v2.dureader_eval": ["copy", "numpy", "re", "argparse", "math", "zipfile", "rouge", "json", "collections", "sys"], "modelscope.models.nlp.gpt2.backbone": ["transformers"], "modelscope.models.nlp.bart.text_error_correction": ["torch", "typing", "os"], "modelscope.models.nlp.structbert.text_classification": ["torch"], "modelscope.models.nlp.structbert.fill_mask": ["torch", "transformers"], "modelscope.models.nlp.structbert.faq_question_answering": ["math", "os", "torch", "collections", "typing"], "modelscope.models.nlp.structbert.backbone": ["packaging", "math", "dataclasses", "transformers", "torch", "typing"], "modelscope.models.nlp.structbert.token_classification": ["torch"], "modelscope.models.nlp.structbert.adv_utils": ["torch"], "modelscope.models.nlp.structbert.configuration": ["transformers"], "modelscope.models.nlp.fid_T5.text_generation": ["io", "torch", "transformers", "os"], "modelscope.models.nlp.space_T_cn.backbone": ["tarfile", "numpy", "math", "__future__", "shutil", "tempfile", "os", "torch", "copy"], "modelscope.models.nlp.space_T_cn.table_question_answering": ["numpy", "transformers", "os", "torch", "typing"], "modelscope.models.nlp.space_T_cn.configuration": ["__future__", "json", "copy", "logging"], "modelscope.models.nlp.veco.text_classification": ["transformers"], "modelscope.models.nlp.veco.fill_mask": ["transformers"], "modelscope.models.nlp.veco.backbone": ["transformers"], "modelscope.models.nlp.veco.token_classification": ["torch", "transformers"], "modelscope.models.nlp.veco.configuration": ["transformers"], "modelscope.models.nlp.mglm.blocklm_utils": ["scipy", "megatron_util", "numpy", "math", "torch", "random", "copy"], "modelscope.models.nlp.mglm.generation_utils": ["abc", "torch", "collections", "typing"], "modelscope.models.nlp.mglm.configure_data": ["megatron_util", "numpy", "bisect", "os", "torch", "random", "copy", "itertools"], "modelscope.models.nlp.mglm.test.test_block": ["argparse", "numpy", "random", "blocklm_utils"], "modelscope.models.nlp.mglm.test.test_rel_shift": ["numpy", "torch", "matplotlib", "learning_rates"], "modelscope.models.nlp.mglm.process_grid": ["json", "statistics", "os", "sys", "glob"], "modelscope.models.nlp.mglm.mglm_for_text_summarization": ["megatron_util", "numpy", "os", "torch", "random", "typing"], "modelscope.models.nlp.mglm.train_utils": ["torch", "megatron_util", "apex", "deepspeed"], "modelscope.models.nlp.mglm.run_test": ["test", "sys"], "modelscope.models.nlp.mglm.data_utils.lazy_loader": ["mmap", "numpy", "pickle", "os", "torch", "time", "itertools"], "modelscope.models.nlp.mglm.data_utils.tokenization_gpt2": ["io", "__future__", "json", "regex", "os", "logging", "sys", "functools"], "modelscope.models.nlp.mglm.data_utils.datasets": ["math", "csv", "nltk", "bisect", "os", "pandas", "torch", "operator", "random", "time", "itertools", "numpy", "json", "tqdm"], "modelscope.models.nlp.mglm.data_utils.sp_tokenizer": ["os"], "modelscope.models.nlp.mglm.data_utils.samplers": ["numpy", "os", "math", "torch", "sys"], "modelscope.models.nlp.mglm.data_utils.extraction": ["nltk", "json", "glob", "os"], "modelscope.models.nlp.mglm.data_utils.wordpiece": ["io", "unicodedata", "os", "logging", "collections", "__future__"], "modelscope.models.nlp.mglm.data_utils.file_utils": ["hashlib", "pathlib", "shutil", "os", "logging", "botocore", "__future__", "io", "urllib", "requests", "boto3", "tempfile", "json", "tqdm", "sys", "functools"], "modelscope.models.nlp.mglm.data_utils.corpora": ["multiprocessing", "tqdm", "json", "os", "collections", "torch", "random", "queue"], "modelscope.models.nlp.mglm.data_utils.tokenization": ["csv", "nltk", "sentencepiece", "regex", "os", "collections", "torch", "random", "itertools"], "modelscope.models.nlp.mglm.utils": ["megatron_util", "numpy", "json", "os", "torch", "random", "time", "subprocess"], "modelscope.models.nlp.mglm.arguments": ["argparse", "json", "os", "deepspeed", "torch"], "modelscope.models.nlp.mglm.tasks.seq2seq.evaluate": ["megatron_util", "string", "datetime", "generation_utils", "torch", "random", "rouge_score"], "modelscope.models.nlp.mglm.tasks.seq2seq.dataset": ["numpy", "tqdm", "tasks", "utils", "data_utils", "json", "os", "torch", "random"], "modelscope.models.nlp.mglm.tasks.seq2seq.finetune": ["megatron_util", "tasks", "torch", "pretrain_glm", "collections", "functools", "finetune_glm"], "modelscope.models.nlp.mglm.tasks.superglue.evaluate": ["string", "re", "tasks", "collections", "__future__", "functools", "typing"], "modelscope.models.nlp.mglm.tasks.superglue.dataset": ["utils", "csv", "abc", "os", "pandas", "torch", "collections", "random", "typing", "numpy", "re", "glob", "data_utils", "json", "tqdm", "copy"], "modelscope.models.nlp.mglm.tasks.superglue.finetune": ["collections", "finetune_glm", "tasks"], "modelscope.models.nlp.mglm.tasks.superglue.pvp": ["numpy", "string", "tasks", "math", "utils", "abc", "collections", "random", "copy", "typing"], "modelscope.models.nlp.mglm.tasks.language_model.detokenizer": ["re"], "modelscope.models.nlp.mglm.tasks.language_model.dataset": ["numpy", "tasks", "math", "utils", "bisect", "json", "torch", "itertools"], "modelscope.models.nlp.mglm.tasks.language_model.finetune": ["megatron_util", "tasks", "math", "torch", "pretrain_glm", "functools", "finetune_glm"], "modelscope.models.nlp.mglm.tasks.data_utils": ["megatron_util", "numpy", "re", "pickle", "json", "torch", "copy", "typing"], "modelscope.models.nlp.mglm.tasks.eval_utils": ["megatron_util", "sklearn", "tasks", "utils", "finetune_glm", "datetime", "os", "collections", "torch", "random", "time", "typing"], "modelscope.models.nlp.mglm.model.modeling_glm": ["torch", "megatron_util"], "modelscope.models.nlp.mglm.model.downstream": ["torch"], "modelscope.models.nlp.mglm.model.transformer": ["megatron_util", "apex", "deepspeed", "math", "torch"], "modelscope.models.nlp.mglm.model.distributed": ["torch", "megatron_util"], "modelscope.models.nlp.mglm.model.prompt": ["torch", "random"], "modelscope.models.nlp.mglm.model.modeling_bert": ["tarfile", "megatron_util", "math", "__future__", "shutil", "data_utils", "tempfile", "json", "apex", "os", "logging", "torch", "copy"], "modelscope.models.nlp.glm_130b.quantization.functional": ["torch"], "modelscope.models.nlp.glm_130b.quantization.layers": ["torch", "SwissArmyTransformer"], "modelscope.models.nlp.glm_130b.text_generation": ["stat", "re", "sys", "SwissArmyTransformer", "time", "os", "torch", "random", "copy", "functools", "typing"], "modelscope.models.nlp.glm_130b.initialize": ["argparse", "torch", "SwissArmyTransformer", "time"], "modelscope.models.nlp.glm_130b.generation.strategies": ["torch", "numpy", "SwissArmyTransformer"], "modelscope.models.nlp.gpt3.text_generation": ["torch", "collections", "transformers", "typing"], "modelscope.models.nlp.gpt3.tokenizer": ["typing", "tokenizers"], "modelscope.models.nlp.gpt3.backbone": ["addict", "math", "transformers", "os", "torch", "typing"], "modelscope.models.nlp.gpt3.distributed_gpt3": ["megatron_util", "math", "transformers", "os", "torch", "collections", "typing"], "modelscope.models.nlp.gpt3.configuration": ["torch", "transformers"], "modelscope.models.nlp.plug.distributed_plug": ["torch", "megatron_util", "typing"], "modelscope.models.nlp.plug.AnnealingLR": ["math", "torch"], "modelscope.models.nlp.plug.backbone": ["megatron_util", "math", "logging", "torch", "__future__"], "modelscope.models.nlp.plug.generator": ["torch"], "modelscope.models.nlp.plug.configuration": ["json", "copy", "transformers"], "modelscope.models.nlp.fid_plug.text_generation": ["io", "torch", "transformers", "os"], "modelscope.models.nlp.fid_plug.backbone": ["numpy", "math", "dataclasses", "transformers", "os", "torch", "copy", "typing"], "modelscope.models.nlp.fid_plug.configuration": ["transformers"], "modelscope.models.nlp.lstm.backbone": ["torch"], "modelscope.models.nlp.lstm.token_classification": [], "modelscope.models.nlp.ponet.fill_mask": ["torch", "transformers"], "modelscope.models.nlp.ponet.backbone": ["packaging", "distutils", "math", "transformers", "torch"], "modelscope.models.nlp.ponet.document_segmentation": ["torch", "typing"], "modelscope.models.nlp.ponet.tokenization": ["typing", "transformers"], "modelscope.models.nlp.ponet.configuration": ["transformers"], "modelscope.models.nlp.gpt_neo.backbone": ["transformers"], "modelscope.models.nlp.plug_mental.text_classification": ["torch"], "modelscope.models.nlp.plug_mental.backbone": ["packaging", "math", "dataclasses", "transformers", "torch", "typing"], "modelscope.models.nlp.plug_mental.adv_utils": ["torch"], "modelscope.models.nlp.plug_mental.configuration": ["transformers"], "modelscope.models.nlp.dgds.document_grounded_dialog_generate": ["torch", "typing", "os"], "modelscope.models.nlp.dgds.document_grounded_dialog_retrieval": ["torch", "typing", "os"], "modelscope.models.nlp.dgds.backbone": ["__future__", "torch", "transformers", "os"], "modelscope.models.nlp.dgds.document_grounded_dialog_rerank": ["torch", "typing", "os"], "modelscope.models.nlp.llama.text_generation": ["torch", "typing"], "modelscope.models.nlp.llama.backbone": ["math", "torch", "transformers", "typing"], "modelscope.models.nlp.llama.convert_llama_weights_to_hf": ["argparse", "math", "shutil", "gc", "json", "os", "torch"], "modelscope.models.nlp.llama.tokenization": ["shutil", "sentencepiece", "transformers", "os", "typing"], "modelscope.models.nlp.llama.configuration": ["transformers"], "modelscope.models.nlp.llama.tokenization_fast": ["shutil", "transformers", "os", "typing"], "modelscope.models.nlp.deberta_v2.fill_mask": ["torch", "transformers", "typing"], "modelscope.models.nlp.deberta_v2.backbone": ["torch", "collections", "transformers", "typing"], "modelscope.models.nlp.deberta_v2.tokenization": ["sentencepiece", "transformers", "os", "typing", "unicodedata"], "modelscope.models.nlp.deberta_v2.configuration": ["transformers"], "modelscope.models.nlp.deberta_v2.tokenization_fast": ["shutil", "transformers", "os", "typing"], "modelscope.models.nlp.xlm_roberta.backbone": ["packaging", "torch", "math", "transformers"], "modelscope.models.nlp.xlm_roberta.configuration": ["collections", "typing", "transformers"], "modelscope.models.nlp.peer.text_classification": ["torch", "copy"], "modelscope.models.nlp.peer.backbone": ["math", "dataclasses", "transformers", "torch", "typing"], "modelscope.models.nlp.peer.sas_utils": ["nltk", "torch", "numpy", "random"], "modelscope.models.nlp.peer.configuration": ["transformers"], "modelscope.models.nlp.codegeex.tokenizer": ["torch", "typing", "transformers"], "modelscope.models.nlp.codegeex.codegeex": ["math", "torch"], "modelscope.models.nlp.codegeex.codegeex_for_code_translation": ["torch", "copy", "typing"], "modelscope.models.nlp.codegeex.inference": ["torch", "typing"], "modelscope.models.nlp.codegeex.codegeex_for_code_generation": ["torch", "copy", "typing"], "modelscope.models.nlp.canmt.sequence_generator": ["numpy", "math", "torch", "sys", "fairseq", "typing"], "modelscope.models.nlp.canmt.canmt_translation": ["numpy", "math", "os", "torch", "typing"], "modelscope.models.nlp.canmt.canmt_model": ["numpy", "math", "torch", "typing", "fairseq"], "modelscope.models.nlp.megatron_bert.fill_mask": ["torch", "transformers"], "modelscope.models.nlp.megatron_bert.backbone": ["math", "torch", "transformers"], "modelscope.models.nlp.megatron_bert.configuration": ["collections", "typing", "transformers"], "modelscope.models.nlp.space_T_en.text_to_sql": ["text2sql_lgesql", "torch", "typing", "os"], "modelscope.models.nlp.heads.token_classification_head": ["torch", "typing"], "modelscope.models.nlp.heads.infromation_extraction_head": ["torch"], "modelscope.models.nlp.heads.fill_mask_head": ["torch", "typing", "transformers"], "modelscope.models.nlp.heads.text_generation_head": ["torch", "typing"], "modelscope.models.nlp.heads.text_ranking_head": ["torch", "typing"], "modelscope.models.nlp.heads.text_classification_head": ["torch", "typing"], "modelscope.models.nlp.heads.crf_head": ["torch", "typing", "transformers"], "modelscope.models.nlp.heads.torch_pretrain_head": ["torch", "typing", "transformers"], "modelscope.models.nlp.task_models.text_classification": ["numpy", "typing"], "modelscope.models.nlp.task_models.fill_mask": ["torch", "numpy", "typing"], "modelscope.models.nlp.task_models.text_generation": ["torch", "numpy", "transformers", "typing"], "modelscope.models.nlp.task_models.text_ranking": ["numpy", "typing"], "modelscope.models.nlp.task_models.token_classification": ["torch", "typing"], "modelscope.models.nlp.task_models.task_model": ["re", "abc", "os", "torch", "collections", "typing"], "modelscope.models.nlp.task_models.information_extraction": ["numpy", "typing"], "modelscope.models.nlp.task_models.feature_extraction": ["numpy", "typing"], "modelscope.models.nlp.use.user_satisfaction_estimation": ["numpy", "transformers", "os", "torch", "typing"], "modelscope.models.nlp.use.transformer": ["math", "torch"], "modelscope.models.nlp.csanmt.translation": ["tensorflow", "math", "collections", "typing"], "modelscope.models.nlp.bert.text_classification": [], "modelscope.models.nlp.bert.fill_mask": [], "modelscope.models.nlp.bert.sentence_embedding": ["torch"], "modelscope.models.nlp.bert.word_alignment": ["torch"], "modelscope.models.nlp.bert.text_ranking": [], "modelscope.models.nlp.bert.backbone": ["packaging", "torch", "math", "transformers"], "modelscope.models.nlp.bert.token_classification": [], "modelscope.models.nlp.bert.document_segmentation": ["torch", "typing"], "modelscope.models.nlp.bert.siamese_uie": ["torch", "copy"], "modelscope.models.nlp.bert.configuration": ["collections", "typing", "transformers"], "modelscope.models.nlp.hf_transformers.backbone": ["transformers"], "modelscope.models.nlp.space.dialog_modeling": ["typing", "os"], "modelscope.models.nlp.space.dialog_intent_prediction": ["typing", "os"], "modelscope.models.nlp.space.dialog_state_tracking": ["torch", "transformers", "typing"], "modelscope.models.nlp.space.modules.transformer_block": ["torch"], "modelscope.models.nlp.space.modules.embedder": ["torch"], "modelscope.models.nlp.space.modules.functions": ["torch", "numpy"], "modelscope.models.nlp.space.modules.multihead_attention": ["torch"], "modelscope.models.nlp.space.modules.feedforward": ["torch"], "modelscope.models.nlp.space.model.model_base": ["torch", "os"], "modelscope.models.nlp.space.model.intent_unified_transformer": ["torch"], "modelscope.models.nlp.space.model.generator": ["math", "torch", "numpy"], "modelscope.models.nlp.space.model.tokenization_space": ["transformers"], "modelscope.models.nlp.space.model.gen_unified_transformer": ["torch"], "modelscope.models.nlp.space.model.unified_transformer": ["torch", "numpy"], "modelscope.models.nlp.space.configuration": [], "modelscope.models.nlp.T5.backbone": ["math", "transformers", "os", "torch", "warnings", "copy", "typing"], "modelscope.models.nlp.T5.text2text_generation": ["transformers", "torch", "warnings", "copy", "typing"], "modelscope.models.nlp.T5.configuration": ["typing", "transformers"], "modelscope.models.nlp.gpt_moe.checkpointing": ["torch", "os", "megatron_util"], "modelscope.models.nlp.gpt_moe.text_generation": ["typing", "transformers"], "modelscope.models.nlp.gpt_moe.moe.experts": ["torch", "copy"], "modelscope.models.nlp.gpt_moe.moe.sharded_moe": ["tutel", "megatron_util", "math", "scipy", "apex", "torch", "typing"], "modelscope.models.nlp.gpt_moe.moe.utils": ["torch", "typing"], "modelscope.models.nlp.gpt_moe.moe.layer": ["torch", "typing", "megatron_util"], "modelscope.models.nlp.gpt_moe.moe.mappings": ["torch", "megatron_util"], "modelscope.models.nlp.gpt_moe.tokenizer": ["tokenizers"], "modelscope.models.nlp.gpt_moe.backbone": ["addict", "math", "transformers", "os", "torch", "typing"], "modelscope.models.nlp.gpt_moe.distributed_gpt_moe": ["torch", "math", "megatron_util", "transformers"], "modelscope.models.nlp.gpt_moe.configuration": ["torch", "transformers"], "modelscope.models.nlp.unite.modeling_unite": ["packaging", "numpy", "math", "dataclasses", "transformers", "torch", "warnings", "typing"], "modelscope.models.nlp.unite.configuration_unite": ["enum"], "modelscope.models.nlp.bloom.backbone": ["transformers"], "modelscope.models.cv.face_reconstruction.models.facelandmark.nets.large_eyeball_net": ["torch"], "modelscope.models.cv.face_reconstruction.models.facelandmark.nets.large_base_lmks_net": ["torch"], "modelscope.models.cv.face_reconstruction.models.facelandmark.large_base_lmks_infer": ["torch", "numpy"], "modelscope.models.cv.face_reconstruction.models.losses": ["torch", "numpy", "kornia"], "modelscope.models.cv.face_reconstruction.models.facerecon_model": ["numpy", "os", "torch", "collections", "cv2"], "modelscope.models.cv.face_reconstruction.models.networks": ["torch", "kornia", "typing", "os"], "modelscope.models.cv.face_reconstruction.models.opt": [], "modelscope.models.cv.face_reconstruction.models.pix2pix.networks": ["torch", "functools"], "modelscope.models.cv.face_reconstruction.models.pix2pix.pix2pix_model": ["torch"], "modelscope.models.cv.face_reconstruction.models.pix2pix.pix2pix_options": [], "modelscope.models.cv.face_reconstruction.models.de_retouching_module": ["torch"], "modelscope.models.cv.face_reconstruction.models.nv_diffrast": ["numpy", "nvdiffrast", "torch", "warnings", "typing"], "modelscope.models.cv.face_reconstruction.models.renderer": ["imageio", "torch", "numpy", "skimage"], "modelscope.models.cv.face_reconstruction.models.bfm": ["scipy", "torch", "numpy", "os"], "modelscope.models.cv.face_reconstruction.models.unet": ["torch", "warnings"], "modelscope.models.cv.face_reconstruction.utils": ["numpy", "argparse", "math", "PIL", "numba", "array", "scipy", "os", "torch", "cv2"], "modelscope.models.cv.facial_expression_recognition.fer.facial_expression_recognition": ["numpy", "PIL", "os", "torch", "cv2"], "modelscope.models.cv.facial_expression_recognition.fer.transforms": ["types", "numpy", "numbers", "torch", "PIL"], "modelscope.models.cv.facial_expression_recognition.fer.vgg": ["torch"], "modelscope.models.cv.tinynas_detection.detector": ["torch", "os", "pickle", "torchvision"], "modelscope.models.cv.tinynas_detection.tinynas_detector": [], "modelscope.models.cv.tinynas_detection.tinynas_damoyolo": [], "modelscope.models.cv.tinynas_detection.utils": ["easydict", "tempfile", "importlib", "os", "shutil", "sys"], "modelscope.models.cv.tinynas_detection.damo.apis.detector_evaluater": ["torch", "os"], "modelscope.models.cv.tinynas_detection.damo.apis.detector_inference": ["torch", "tqdm", "os"], "modelscope.models.cv.tinynas_detection.damo.detectors.detector": ["torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.necks.giraffe_fpn": ["numpy", "math", "timm", "torch", "collections", "typing", "functools"], "modelscope.models.cv.tinynas_detection.damo.base_models.necks.giraffe_fpn_btn": ["torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.necks.giraffe_config": ["collections", "networkx"], "modelscope.models.cv.tinynas_detection.damo.base_models.backbones.tinynas_csp": ["torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.backbones.darknet": ["torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.backbones.tinynas_res": ["torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.heads.gfocal_v2_tiny": ["torch", "numpy", "functools"], "modelscope.models.cv.tinynas_detection.damo.base_models.heads.zero_head": ["torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.repvgg_block": ["torch", "numpy"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.weight_init": ["torch", "numpy"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.ops": ["torch", "numpy"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.ota_assigner": ["torch", "warnings"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.utils": ["torch", "functools"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.base_ops": ["math", "torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.neck_ops": ["torch", "numpy"], "modelscope.models.cv.tinynas_detection.damo.base_models.losses.distill_loss": ["torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.losses.gfocal_loss": ["torch", "functools"], "modelscope.models.cv.tinynas_detection.damo.augmentations.box_level_augs.color_augs": ["torch", "random"], "modelscope.models.cv.tinynas_detection.damo.augmentations.box_level_augs.geometric_augs": ["torch", "random", "copy", "torchvision"], "modelscope.models.cv.tinynas_detection.damo.augmentations.box_level_augs.gaussian_maps": ["math", "torch"], "modelscope.models.cv.tinynas_detection.damo.augmentations.box_level_augs.box_level_augs": ["numpy", "random"], "modelscope.models.cv.tinynas_detection.damo.augmentations.scale_aware_aug": ["copy"], "modelscope.models.cv.tinynas_detection.damo.utils.model_utils": ["copy", "math", "torch", "thop", "time"], "modelscope.models.cv.tinynas_detection.damo.utils.boxes": ["torch", "numpy", "torchvision"], "modelscope.models.cv.tinynas_detection.damo.utils.scheduler": ["math"], "modelscope.models.cv.tinynas_detection.damo.structures.image_list": ["torch", "__future__"], "modelscope.models.cv.tinynas_detection.damo.structures.bounding_box": ["torch"], "modelscope.models.cv.tinynas_detection.damo.structures.boxlist_ops": ["torch"], "modelscope.models.cv.image_depth_estimation.newcrfs_model": ["torch", "numpy", "os"], "modelscope.models.cv.image_depth_estimation.networks.uper_crf_head": ["torch", "mmcv"], "modelscope.models.cv.image_depth_estimation.networks.swin_transformer": ["torch", "numpy", "timm"], "modelscope.models.cv.image_depth_estimation.networks.newcrf_layers": ["torch", "numpy", "timm"], "modelscope.models.cv.image_depth_estimation.networks.newcrf_depth": ["torch"], "modelscope.models.cv.image_depth_estimation.networks.newcrf_utils": ["importlib", "os", "warnings", "torch", "collections", "torchvision", "pkgutil"], "modelscope.models.cv.image_to_image_translation.data.transforms": ["math", "random", "torchvision", "PIL"], "modelscope.models.cv.image_to_image_translation.models.autoencoder": ["math", "torch"], "modelscope.models.cv.image_to_image_translation.models.clip": ["math", "torch"], "modelscope.models.cv.image_to_image_translation.model_translation": ["math", "torch"], "modelscope.models.cv.image_to_image_translation.ops.apps": ["numpy", "PIL", "artist", "os", "torch", "torchvision"], "modelscope.models.cv.image_to_image_translation.ops.losses": ["math", "torch"], "modelscope.models.cv.image_to_image_translation.ops.metrics": ["scipy", "torch", "numpy"], "modelscope.models.cv.image_to_image_translation.ops.diffusion": ["math", "torch"], "modelscope.models.cv.image_to_image_translation.ops.svd": ["torch"], "modelscope.models.cv.image_to_image_translation.ops.utils": ["binascii", "hashlib", "numpy", "multiprocessing", "math", "io", "zipfile", "PIL", "base64", "json", "os", "torch", "cv2"], "modelscope.models.cv.image_to_image_translation.ops.random_color": ["colorsys", "random"], "modelscope.models.cv.image_to_image_translation.ops.degradation": ["scipy", "numpy", "os", "math", "torch", "random", "cv2"], "modelscope.models.cv.image_to_image_translation.ops.random_mask": ["numpy", "cv2"], "modelscope.models.cv.super_resolution.rrdbnet_arch": ["torch"], "modelscope.models.cv.super_resolution.ecbsr_model": ["torch", "typing", "os"], "modelscope.models.cv.super_resolution.ecb": ["torch"], "modelscope.models.cv.super_resolution.arch_util": ["torchvision", "math", "torch", "warnings", "itertools", "collections"], "modelscope.models.cv.vision_efficient_tuning.model": ["torch", "typing"], "modelscope.models.cv.vision_efficient_tuning.backbone": ["torch", "functools"], "modelscope.models.cv.vision_efficient_tuning.vision_efficient_tuning": ["torch", "collections", "os"], "modelscope.models.cv.vision_efficient_tuning.timm_weight_init": ["math", "torch", "warnings"], "modelscope.models.cv.vision_efficient_tuning.petl": ["math", "torch", "collections", "torchvision"], "modelscope.models.cv.vision_efficient_tuning.timm_vision_transformer": ["math", "logging", "torch", "collections", "functools", "itertools"], "modelscope.models.cv.vision_efficient_tuning.head": ["torch"], "modelscope.models.cv.vision_efficient_tuning.timm_helpers": ["math", "torch", "typing", "itertools"], "modelscope.models.cv.hand_static.hand_model": ["numpy", "PIL", "os", "torch", "sys", "torchvision", "cv2"], "modelscope.models.cv.hand_static.networks": ["torch", "os", "torchvision"], "modelscope.models.cv.image_defrcn_fewshot.models.roi_heads": ["torch", "detectron2"], "modelscope.models.cv.image_defrcn_fewshot.models.calibration_layer": ["torch", "sklearn", "detectron2", "cv2"], "modelscope.models.cv.image_defrcn_fewshot.models.gdl": ["torch"], "modelscope.models.cv.image_defrcn_fewshot.models.defrcn": ["torch", "os", "typing", "detectron2"], "modelscope.models.cv.image_defrcn_fewshot.models.resnet": ["torch", "torchvision"], "modelscope.models.cv.image_defrcn_fewshot.models.fast_rcnn": ["torch", "numpy", "detectron2", "fvcore"], "modelscope.models.cv.image_defrcn_fewshot.utils.voc_register": ["fvcore", "numpy", "xml", "detectron2", "os"], "modelscope.models.cv.image_defrcn_fewshot.utils.register_data": [], "modelscope.models.cv.image_defrcn_fewshot.utils.model_surgery_op": ["argparse", "torch", "os"], "modelscope.models.cv.image_defrcn_fewshot.utils.configuration_mapper": ["detectron2"], "modelscope.models.cv.image_defrcn_fewshot.utils.coco_register": ["pycocotools", "fvcore", "detectron2", "contextlib", "os", "io"], "modelscope.models.cv.image_defrcn_fewshot.utils.requirements_check": ["packaging", "importlib", "importlib_metadata", "collections", "sys"], "modelscope.models.cv.image_defrcn_fewshot.evaluation.coco_evaluation": ["pycocotools", "fvcore", "numpy", "tabulate", "contextlib", "detectron2", "io", "json", "os", "logging", "torch", "collections", "copy", "itertools"], "modelscope.models.cv.image_defrcn_fewshot.evaluation.pascal_voc_evaluation": ["tempfile", "numpy", "detectron2", "os", "collections"], "modelscope.models.cv.image_defrcn_fewshot.evaluation.evaluator": ["detectron2", "datetime", "logging", "torch", "time"], "modelscope.models.cv.image_defrcn_fewshot.defrcn_for_fewshot": ["torch", "typing", "os"], "modelscope.models.cv.indoor_layout_estimation.panovit": ["torch", "numpy", "yacs", "os"], "modelscope.models.cv.indoor_layout_estimation.networks.panovit": ["torch", "numpy"], "modelscope.models.cv.indoor_layout_estimation.networks.misc.fourier": ["scipy", "numpy", "PIL"], "modelscope.models.cv.indoor_layout_estimation.networks.misc.post_proc": ["scipy", "numpy", "sklearn"], "modelscope.models.cv.indoor_layout_estimation.networks.misc.panostretch": ["scipy", "numpy", "functools"], "modelscope.models.cv.indoor_layout_estimation.networks.backbone.resnet_DA": ["torch", "torchvision"], "modelscope.models.cv.indoor_layout_estimation.networks.backbone.vit_horizon_pry_image": ["torch", "numpy", "timm"], "modelscope.models.cv.indoor_layout_estimation.networks.modality.layout": ["numpy", "math", "shapely", "scipy", "torch"], "modelscope.models.cv.indoor_layout_estimation.networks.utils": ["torch", "numpy"], "modelscope.models.cv.hand_2d_keypoints.hand_2d_keypoints": ["easycv"], "modelscope.models.cv.video_summarization.base_model": ["torch", "numpy", "cv2"], "modelscope.models.cv.video_summarization.summarizer": ["torch", "numpy", "typing", "os"], "modelscope.models.cv.video_summarization.pgl_sum": ["math", "torch"], "modelscope.models.cv.video_summarization.kts.cpd_nonlin": ["numpy"], "modelscope.models.cv.video_summarization.kts.cpd_auto": ["numpy"], "modelscope.models.cv.face_generation.stylegan2": ["math", "torch", "operator", "random", "functools"], "modelscope.models.cv.face_generation.op.upfirdn2d": ["torch", "collections", "os"], "modelscope.models.cv.face_generation.op.fused_act": ["torch", "os"], "modelscope.models.cv.face_generation.op.conv2d_gradfix": ["torch", "warnings", "contextlib"], "modelscope.models.cv.body_2d_keypoints.hrnet_v2": ["torch", "numpy", "os"], "modelscope.models.cv.body_2d_keypoints.w48": [], "modelscope.models.cv.body_2d_keypoints.hrnet_basic_modules": ["torch"], "modelscope.models.cv.cartoon.facelib.face_landmark": ["tensorflow", "numpy", "cv2"], "modelscope.models.cv.cartoon.facelib.face_detector": ["tensorflow", "numpy", "time", "cv2"], "modelscope.models.cv.cartoon.facelib.config": ["easydict", "numpy", "os"], "modelscope.models.cv.cartoon.facelib.facer": ["numpy", "time", "cv2"], "modelscope.models.cv.cartoon.facelib.LK.lk": ["numpy"], "modelscope.models.cv.cartoon.loss": ["joblib", "numpy", "scipy", "tensorflow", "os", "skimage"], "modelscope.models.cv.cartoon.network": ["tensorflow"], "modelscope.models.cv.cartoon.utils": ["tensorflow", "numpy", "os", "random", "cv2"], "modelscope.models.cv.cartoon.mtcnn_pytorch.src.matlab_cp2tform": ["numpy"], "modelscope.models.cv.cartoon.mtcnn_pytorch.src.align_trans": ["numpy", "cv2"], "modelscope.models.cv.cartoon.model_tf": ["tensorflow", "typing"], "modelscope.models.cv.image_paintbyexample.model": ["omegaconf", "paint_ldm", "os", "torch", "typing"], "modelscope.models.cv.shop_segmentation.shop_seg_base": ["torch"], "modelscope.models.cv.shop_segmentation.head_fpn": ["torch", "timm", "numpy", "mmcv"], "modelscope.models.cv.shop_segmentation.models": ["timm", "math", "torch", "collections"], "modelscope.models.cv.shop_segmentation.neck_fpn": ["torch", "timm", "mmcv"], "modelscope.models.cv.shop_segmentation.shop_seg_model": ["numpy", "PIL", "json", "os", "torch", "typing"], "modelscope.models.cv.shop_segmentation.common": ["torch", "warnings"], "modelscope.models.cv.shop_segmentation.utils": ["gzip", "html", "ftfy", "regex", "os", "torch", "typing", "functools"], "modelscope.models.cv.action_detection.action_detection_onnx": ["uuid", "numpy", "urllib", "shutil", "onnxruntime", "tempfile", "subprocess", "os", "cv2"], "modelscope.models.cv.action_detection.modules.action_detection_pytorch": ["fvcore", "detectron2", "logging", "torch", "typing"], "modelscope.models.cv.action_detection.modules.resnet": ["torch", "detectron2"], "modelscope.models.cv.motion_generation.model": [], "modelscope.models.cv.motion_generation.modules.respace": ["torch", "numpy"], "modelscope.models.cv.motion_generation.modules.cfg_sampler": ["torch", "copy"], "modelscope.models.cv.motion_generation.modules.mdm": ["torch", "numpy", "clip"], "modelscope.models.cv.motion_generation.modules.rotation2xyz": ["torch"], "modelscope.models.cv.motion_generation.modules.gaussian_diffusion": ["numpy", "enum", "math", "torch", "copy"], "modelscope.models.cv.motion_generation.modules.smpl": ["numpy", "contextlib", "os", "torch", "smplx"], "modelscope.models.cv.image_deblur.nafnet_for_image_deblur": ["torch", "typing", "os"], "modelscope.models.cv.image_mvs_depth_estimation.colmap2mvsnet": ["numpy", "multiprocessing", "struct", "shutil", "os", "collections", "__future__", "functools", "cv2"], "modelscope.models.cv.image_mvs_depth_estimation.casmvs_model": ["numpy", "easydict", "os", "torch", "cv2"], "modelscope.models.cv.image_mvs_depth_estimation.depth_filter": ["numpy", "plyfile", "PIL", "os", "cv2"], "modelscope.models.cv.image_mvs_depth_estimation.module": ["torch"], "modelscope.models.cv.image_mvs_depth_estimation.general_eval_dataset": ["numpy", "re", "os", "cv2", "torch", "sys", "PIL"], "modelscope.models.cv.image_mvs_depth_estimation.utils": ["torch", "numpy", "random", "torchvision"], "modelscope.models.cv.image_mvs_depth_estimation.cas_mvsnet": ["torch"], "modelscope.models.cv.video_stabilization.DUT.RAFT.corr": ["alt_cuda_corr", "torch"], "modelscope.models.cv.video_stabilization.DUT.RAFT.extractor": ["torch"], "modelscope.models.cv.video_stabilization.DUT.RAFT.raft": ["torch", "numpy"], "modelscope.models.cv.video_stabilization.DUT.RAFT.update": ["torch"], "modelscope.models.cv.video_stabilization.DUT.DUT_raft": ["torch", "numpy", "sys", "cv2"], "modelscope.models.cv.video_stabilization.DUT.Smoother": ["math", "torch", "numpy"], "modelscope.models.cv.video_stabilization.DUT.MotionPro": ["numpy", "math", "os", "torch", "cv2"], "modelscope.models.cv.video_stabilization.DUT.rf_det_module": ["torch"], "modelscope.models.cv.video_stabilization.DUT.config": ["easydict", "__future__"], "modelscope.models.cv.video_stabilization.DUT.rf_det_so": ["torch"], "modelscope.models.cv.video_stabilization.DUTRAFTStabilizer": ["numpy", "typing", "math", "tempfile", "os", "torch", "sys", "cv2"], "modelscope.models.cv.video_stabilization.utils.WarpUtils": ["torch", "numpy", "tqdm"], "modelscope.models.cv.video_stabilization.utils.image_utils": ["torch", "skimage"], "modelscope.models.cv.video_stabilization.utils.math_utils": ["torch", "numpy"], "modelscope.models.cv.video_stabilization.utils.MedianFilter": ["math", "torch", "numpy", "cv2"], "modelscope.models.cv.video_stabilization.utils.ProjectionUtils": ["math", "torch", "numpy", "cv2"], "modelscope.models.cv.video_stabilization.utils.IterativeSmooth": ["math", "torch", "numpy", "os"], "modelscope.models.cv.video_stabilization.utils.RAFTUtils": ["scipy", "torch", "numpy"], "modelscope.models.cv.abnormal_object_detection.mmdet_ms.roi_head.roi_extractors.single_level_roi_extractor": ["mmdet", "torch", "mmcv"], "modelscope.models.cv.abnormal_object_detection.mmdet_ms.roi_head.mask_scoring_roi_head": ["mmdet", "torch"], "modelscope.models.cv.abnormal_object_detection.mmdet_model": ["torch", "numpy", "os"], "modelscope.models.cv.face_human_hand_detection.nanodet_plus_head": ["numpy", "math", "torch", "torchvision", "cv2"], "modelscope.models.cv.face_human_hand_detection.det_infer": ["torch", "numpy", "cv2"], "modelscope.models.cv.face_human_hand_detection.shufflenetv2": ["torch"], "modelscope.models.cv.face_human_hand_detection.one_stage_detector": ["torch"], "modelscope.models.cv.face_human_hand_detection.utils": ["torch"], "modelscope.models.cv.face_human_hand_detection.ghost_pan": ["math", "torch"], "modelscope.models.cv.face_recognition.align_face": ["numpy", "skimage", "cv2"], "modelscope.models.cv.face_recognition.torchkit.rts_backbone": ["math", "torch", "collections", "os"], "modelscope.models.cv.face_recognition.torchkit.backbone.arcface_backbone": ["torch"], "modelscope.models.cv.face_recognition.torchkit.backbone.facemask_backbone": ["torch", "collections"], "modelscope.models.cv.face_recognition.torchkit.backbone.model_irse": ["torch", "collections"], "modelscope.models.cv.face_recognition.torchkit.backbone.common": ["torch"], "modelscope.models.cv.face_recognition.torchkit.backbone.model_resnet": ["torch"], "modelscope.models.cv.image_color_enhance.image_color_enhance": ["torch", "typing", "os"], "modelscope.models.cv.image_color_enhance.csrnet": ["math", "torch", "functools"], "modelscope.models.cv.image_color_enhance.adaint.adaint": ["numbers", "os", "torch", "typing", "torchvision"], "modelscope.models.cv.image_color_enhance.deeplpf.deeplpfnet": ["math", "torch", "matplotlib"], "modelscope.models.cv.image_color_enhance.deeplpf.deeplpf_image_color_enhance": ["torch", "typing", "os"], "modelscope.models.cv.vision_middleware.model": ["torch", "json", "typing", "os"], "modelscope.models.cv.vision_middleware.backbone": ["numpy", "math", "os", "torch", "collections", "typing"], "modelscope.models.cv.vision_middleware.vim": ["math", "torch", "einops"], "modelscope.models.cv.vision_middleware.head": ["abc", "torch", "numpy", "mmcv"], "modelscope.models.cv.bad_image_detecting.bad_image_detecting": ["numpy", "os", "torch", "typing", "torchvision"], "modelscope.models.cv.salient_detection.models.u2net": ["torch"], "modelscope.models.cv.salient_detection.models.backbone.Res2Net_v1b": ["math", "torch"], "modelscope.models.cv.salient_detection.models.utils": ["torch"], "modelscope.models.cv.salient_detection.models.senet": ["torch"], "modelscope.models.cv.salient_detection.models.modules": ["torch"], "modelscope.models.cv.salient_detection.salient_model": ["PIL", "os", "torch", "torchvision", "cv2"], "modelscope.models.cv.body_3d_keypoints.cannonical_pose.body_3d_pose": ["numpy", "os", "logging", "torch", "typing"], "modelscope.models.cv.body_3d_keypoints.cannonical_pose.canonical_pose_modules": ["torch"], "modelscope.models.cv.body_3d_keypoints.hdformer.hdformer_detector": ["torch", "numpy", "typing", "os"], "modelscope.models.cv.body_3d_keypoints.hdformer.hdformer": ["torch"], "modelscope.models.cv.body_3d_keypoints.hdformer.backbone": ["torch"], "modelscope.models.cv.body_3d_keypoints.hdformer.skeleton": ["numpy"], "modelscope.models.cv.body_3d_keypoints.hdformer.directed_graph": ["numpy", "sys", "typing"], "modelscope.models.cv.body_3d_keypoints.hdformer.block": ["math", "torch", "einops"], "modelscope.models.cv.vop_retrieval.tokenization_clip": ["ftfy", "regex", "os", "gzip", "torch", "html", "functools"], "modelscope.models.cv.vop_retrieval.model_se": ["torch", "os"], "modelscope.models.cv.vop_retrieval.basic_utils": ["numpy", "pickle", "shutil", "zipfile", "PIL", "os", "ujson", "collections", "torch", "random", "torchvision", "cv2"], "modelscope.models.cv.vop_retrieval.model": ["torch", "os"], "modelscope.models.cv.vop_retrieval.backbone": ["numpy", "hashlib", "tqdm", "urllib", "os", "collections", "torch", "warnings", "typing"], "modelscope.models.cv.vidt.model": ["torch", "os"], "modelscope.models.cv.vidt.backbone": ["timm", "numpy", "os", "math", "torch"], "modelscope.models.cv.vidt.fpn_fusion": ["torch"], "modelscope.models.cv.vidt.head": ["math", "torch", "copy"], "modelscope.models.cv.vidt.deformable_transformer": ["timm", "math", "torch", "warnings", "copy"], "modelscope.models.cv.pedestrian_attribute_recognition.model": ["torch", "numpy", "os", "torchvision"], "modelscope.models.cv.image_restoration.demoire_models.nets": ["torch"], "modelscope.models.cv.image_restoration.image_restoration_model": ["torch", "numpy", "os", "cv2"], "modelscope.models.cv.object_detection_3d.depe.result_vis": ["numpy", "pickle", "argparse", "mmdet3d", "json", "pyquaternion", "os", "cv2"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.necks.cp_fpn": ["mmdet", "torch", "mmcv"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.backbones.vovnet": ["mmdet", "torch", "collections", "mmcv"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.dense_heads.depth_net": ["mmdet", "torch", "mmcv"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.dense_heads.petrv2_dednhead": ["mmdet", "numpy", "mmcv", "math", "mmdet3d", "torch", "copy"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.detectors.petr3d": ["mmdet", "numpy", "mmcv", "mmdet3d", "torch"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.petr_transformer": ["mmdet", "mmcv", "math", "torch", "warnings", "copy", "typing"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.positional_encoding": ["math", "torch", "mmcv"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.pipelines.transform_3d": ["mmdet", "mmdet3d", "numpy", "mmcv", "torch", "copy", "PIL"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.pipelines.loading": ["mmdet", "numpy", "mmcv"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.nuscenes_dataset": ["mmdet", "mmdet3d", "numpy"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.assigners.hungarian_assigner_3d": ["mmdet", "torch", "scipy"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.match_costs.match_cost": ["mmdet", "torch"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.coders.nms_free_coder": ["mmdet", "torch"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.util": ["mmdet3d", "torch", "numpy"], "modelscope.models.cv.object_detection_3d.depe.depe_detect": ["torch", "numpy", "typing", "os"], "modelscope.models.cv.image_matching.config.default": ["yacs"], "modelscope.models.cv.image_matching.loftr_quadtree.backbone.resnet_fpn": ["torch"], "modelscope.models.cv.image_matching.loftr_quadtree.loftr": ["torch", "einops"], "modelscope.models.cv.image_matching.loftr_quadtree.utils.fine_matching": ["math", "torch", "kornia"], "modelscope.models.cv.image_matching.loftr_quadtree.utils.coarse_matching": ["torch", "einops"], "modelscope.models.cv.image_matching.loftr_quadtree.utils.position_encoding": ["math", "torch"], "modelscope.models.cv.image_matching.loftr_quadtree.loftr_module.fine_preprocess": ["torch", "einops"], "modelscope.models.cv.image_matching.loftr_quadtree.loftr_module.transformer": ["math", "einops", "timm", "torch", "copy"], "modelscope.models.cv.image_matching.loftr_quadtree.loftr_module.quadtree_attention": ["torch", "timm"], "modelscope.models.cv.image_matching.loftr_quadtree.loftr_module.linear_attention": ["torch"], "modelscope.models.cv.image_matching.quadtree_attention_model": ["numpy", "pathlib", "os", "torch", "cv2"], "modelscope.models.cv.image_matching.utils.misc": ["yacs"], "modelscope.models.cv.face_2d_keypoints.face_2d_keypoints_align": ["easycv"], "modelscope.models.cv.virual_tryon.sdafnet": ["torch", "numpy", "random"], "modelscope.models.cv.action_recognition.tada_convnext": ["math", "torch"], "modelscope.models.cv.action_recognition.models": ["torch"], "modelscope.models.cv.action_recognition.s3dg": ["torch"], "modelscope.models.cv.action_recognition.temporal_patch_shift_transformer": ["numpy", "torchvision", "einops", "abc", "timm", "torch", "operator", "functools"], "modelscope.models.cv.image_face_fusion.image_face_fusion": ["numpy", "PIL", "os", "torch", "collections", "typing", "torchvision", "cv2"], "modelscope.models.cv.image_face_fusion.facegan.model": ["math", "torch", "random"], "modelscope.models.cv.image_face_fusion.facegan.op.upfirdn2d": ["torch", "collections"], "modelscope.models.cv.image_face_fusion.facegan.op.fused_act": ["torch"], "modelscope.models.cv.image_face_fusion.facegan.op.conv2d_gradfix": ["torch", "warnings", "contextlib"], "modelscope.models.cv.image_face_fusion.facegan.gan_wrap": ["numpy", "PIL", "os", "torch", "torchvision", "cv2"], "modelscope.models.cv.image_face_fusion.facelib.matlab_cp2tform": ["numpy"], "modelscope.models.cv.image_face_fusion.facelib.align_trans": ["numpy", "cv2"], "modelscope.models.cv.image_face_fusion.network.facerecon_model": ["torch", "typing", "os"], "modelscope.models.cv.image_face_fusion.network.aei_flow_net": ["torch"], "modelscope.models.cv.image_face_fusion.network.model_irse": ["torch", "collections"], "modelscope.models.cv.image_face_fusion.network.aad_layer": ["torch"], "modelscope.models.cv.image_face_fusion.network.ops": ["torch"], "modelscope.models.cv.image_face_fusion.network.dense_motion": ["torch"], "modelscope.models.cv.image_face_fusion.network.bfm": ["scipy", "torch", "numpy", "os"], "modelscope.models.cv.referring_video_object_segmentation.model": ["torch", "typing", "os"], "modelscope.models.cv.referring_video_object_segmentation.utils.misc": ["torch", "typing", "pickle", "torchvision"], "modelscope.models.cv.referring_video_object_segmentation.utils.postprocessing": ["pycocotools", "torch", "numpy", "einops"], "modelscope.models.cv.referring_video_object_segmentation.utils.mttr": ["torch", "einops"], "modelscope.models.cv.referring_video_object_segmentation.utils.segmentation": ["torch", "typing"], "modelscope.models.cv.referring_video_object_segmentation.utils.multimodal_transformer": ["einops", "transformers", "os", "torch", "copy", "typing"], "modelscope.models.cv.referring_video_object_segmentation.utils.criterion": ["torch"], "modelscope.models.cv.referring_video_object_segmentation.utils.swin_transformer": ["timm", "numpy", "torch", "operator", "functools", "einops"], "modelscope.models.cv.referring_video_object_segmentation.utils.position_encoding_2d": ["math", "torch"], "modelscope.models.cv.referring_video_object_segmentation.utils.matcher": ["scipy", "torch"], "modelscope.models.cv.referring_video_object_segmentation.utils.backbone": ["torch", "einops", "torchvision"], "modelscope.models.cv.image_instance_segmentation.backbones.swin_transformer": ["torch", "numpy", "timm"], "modelscope.models.cv.image_instance_segmentation.datasets.transforms": ["numpy", "os"], "modelscope.models.cv.image_instance_segmentation.maskdino_swin": ["torch", "os"], "modelscope.models.cv.image_instance_segmentation.maskdino.dino_decoder": ["torch", "typing"], "modelscope.models.cv.image_instance_segmentation.maskdino.maskdino_decoder": ["torch"], "modelscope.models.cv.image_instance_segmentation.maskdino.ms_deform_attn": ["mmcv", "math", "torch", "warnings", "__future__"], "modelscope.models.cv.image_instance_segmentation.maskdino.utils": ["math", "torch", "copy"], "modelscope.models.cv.image_instance_segmentation.maskdino.maskdino_encoder": ["torch", "numpy", "typing"], "modelscope.models.cv.image_instance_segmentation.maskdino.position_encoding": ["math", "torch"], "modelscope.models.cv.image_instance_segmentation.maskdino_model": ["torch", "typing", "os"], "modelscope.models.cv.image_instance_segmentation.model": ["torch", "typing", "os"], "modelscope.models.cv.image_instance_segmentation.cascade_mask_rcnn_swin": ["torch", "collections", "os"], "modelscope.models.cv.image_instance_segmentation.postprocess_utils": ["pycocotools", "numpy", "torch", "itertools", "cv2"], "modelscope.models.cv.video_multi_object_tracking.models.model": ["torch"], "modelscope.models.cv.video_multi_object_tracking.models.decode": ["torch"], "modelscope.models.cv.video_multi_object_tracking.models.common": ["torch"], "modelscope.models.cv.video_multi_object_tracking.models.yolo": ["math", "torch", "copy"], "modelscope.models.cv.video_multi_object_tracking.tracker.basetrack": ["numpy", "collections"], "modelscope.models.cv.video_multi_object_tracking.tracker.multitracker": ["torch", "numpy", "collections"], "modelscope.models.cv.video_multi_object_tracking.tracker.matching": ["lap", "scipy", "numpy"], "modelscope.models.cv.video_multi_object_tracking.utils.image": ["numpy", "cv2"], "modelscope.models.cv.video_multi_object_tracking.utils.visualization": ["numpy", "cv2"], "modelscope.models.cv.video_multi_object_tracking.utils.utils": ["torch", "numpy", "cv2"], "modelscope.models.cv.video_multi_object_tracking.utils.kalman_filter": ["scipy", "numpy"], "modelscope.models.cv.face_emotion.face_alignment.face_align": ["numpy", "PIL", "os", "sys", "cv2"], "modelscope.models.cv.face_emotion.face_alignment.face": ["tensorflow", "numpy", "os", "cv2"], "modelscope.models.cv.face_emotion.emotion_model": ["torch", "sys", "os"], "modelscope.models.cv.face_emotion.efficient.model": ["torch"], "modelscope.models.cv.face_emotion.efficient.utils": ["re", "math", "torch", "collections", "functools"], "modelscope.models.cv.face_emotion.emotion_infer": ["torch", "torchvision", "PIL"], "modelscope.models.cv.movie_scene_segmentation.model": ["numpy", "math", "shotdetect_scenedetect_lgss", "einops", "PIL", "os", "torch", "tqdm", "typing", "torchvision"], "modelscope.models.cv.movie_scene_segmentation.get_model": [], "modelscope.models.cv.movie_scene_segmentation.utils.save_op": ["numpy", "os", "cv2", "tqdm", "subprocess"], "modelscope.models.cv.movie_scene_segmentation.utils.trn": ["torch", "transformers"], "modelscope.models.cv.movie_scene_segmentation.utils.shot_encoder": ["torch", "typing"], "modelscope.models.cv.movie_scene_segmentation.utils.head": ["torch"], "modelscope.models.cv.image_body_reshaping.person_info": ["torch", "numpy", "copy", "cv2"], "modelscope.models.cv.image_body_reshaping.image_body_reshaping": ["numpy", "os", "torch", "typing", "cv2"], "modelscope.models.cv.image_body_reshaping.pose_estimator.body": ["numpy", "math", "scipy", "torch", "cv2"], "modelscope.models.cv.image_body_reshaping.pose_estimator.model": ["torch", "collections"], "modelscope.models.cv.image_body_reshaping.pose_estimator.util": ["numpy"], "modelscope.models.cv.image_body_reshaping.slim_utils": ["numba", "numpy", "os", "math", "torch", "random", "cv2"], "modelscope.models.cv.image_body_reshaping.model": ["torch"], "modelscope.models.cv.stream_yolo.data.data_augment": ["math", "numpy", "random", "cv2"], "modelscope.models.cv.stream_yolo.models.dfp_pafpn": ["torch"], "modelscope.models.cv.stream_yolo.models.darknet": ["torch"], "modelscope.models.cv.stream_yolo.models.network_blocks": ["torch"], "modelscope.models.cv.stream_yolo.models.streamyolo": ["torch"], "modelscope.models.cv.stream_yolo.models.tal_head": ["torch"], "modelscope.models.cv.stream_yolo.realtime_video_detector": ["numpy", "argparse", "json", "os", "logging", "torch", "tqdm", "time", "cv2"], "modelscope.models.cv.stream_yolo.exp.base_exp": ["abc", "torch"], "modelscope.models.cv.stream_yolo.exp.build": ["sys", "os"], "modelscope.models.cv.stream_yolo.exp.yolox_base": ["torch", "random", "os"], "modelscope.models.cv.stream_yolo.exp.default.streamyolo": ["torch", "sys", "os"], "modelscope.models.cv.stream_yolo.utils.boxes": ["torch", "torchvision"], "modelscope.models.cv.stream_yolo.utils.format": ["math"], "modelscope.models.cv.facial_landmark_confidence.flc.manual_landmark_net": ["math", "torch"], "modelscope.models.cv.facial_landmark_confidence.flc.facial_landmark_confidence": ["numpy", "PIL", "os", "torch", "cv2"], "modelscope.models.cv.image_binary_quant_classification.binary_quant_model": ["torch", "collections", "os"], "modelscope.models.cv.image_binary_quant_classification.bnext": ["torch", "numpy"], "modelscope.models.cv.face_detection.mtcnn.models.detector": ["torch", "numpy", "os", "PIL"], "modelscope.models.cv.face_detection.mtcnn.models.box_utils": ["numpy", "PIL"], "modelscope.models.cv.face_detection.mtcnn.models.first_stage": ["math", "torch", "numpy", "PIL"], "modelscope.models.cv.face_detection.mtcnn.models.get_nets": ["torch", "numpy", "collections"], "modelscope.models.cv.face_detection.peppa_pig_face.face_landmark": ["tensorflow", "numpy", "cv2"], "modelscope.models.cv.face_detection.peppa_pig_face.face_detector": ["tensorflow", "numpy", "cv2"], "modelscope.models.cv.face_detection.peppa_pig_face.facer": ["numpy", "cv2"], "modelscope.models.cv.face_detection.peppa_pig_face.LK.lk": ["numpy"], "modelscope.models.cv.face_detection.mogface.models.detectors": ["torch", "numpy", "os", "cv2"], "modelscope.models.cv.face_detection.mogface.models.resnet": ["torch"], "modelscope.models.cv.face_detection.mogface.models.utils": ["math", "torch", "numpy", "itertools"], "modelscope.models.cv.face_detection.mogface.models.mogface": ["torch"], "modelscope.models.cv.face_detection.mogface.models.mogprednet": ["math", "torch"], "modelscope.models.cv.face_detection.ulfd_slim.vision.box_utils": ["math", "torch"], "modelscope.models.cv.face_detection.ulfd_slim.vision.transforms": ["types", "torch", "numpy", "cv2"], "modelscope.models.cv.face_detection.ulfd_slim.vision.ssd.data_preprocessing": [], "modelscope.models.cv.face_detection.ulfd_slim.vision.ssd.fd_config": ["numpy"], "modelscope.models.cv.face_detection.ulfd_slim.vision.ssd.ssd": ["torch", "numpy", "collections", "typing"], "modelscope.models.cv.face_detection.ulfd_slim.vision.ssd.mb_tiny_fd": ["torch"], "modelscope.models.cv.face_detection.ulfd_slim.vision.ssd.predictor": ["torch"], "modelscope.models.cv.face_detection.ulfd_slim.vision.mb_tiny": ["torch"], "modelscope.models.cv.face_detection.ulfd_slim.detection": ["torch", "numpy", "os", "cv2"], "modelscope.models.cv.face_detection.retinaface.models.net": ["torch", "time", "torchvision"], "modelscope.models.cv.face_detection.retinaface.models.retinaface": ["torch", "collections", "torchvision"], "modelscope.models.cv.face_detection.retinaface.detection": ["torch", "numpy", "cv2"], "modelscope.models.cv.face_detection.retinaface.utils": ["math", "torch", "numpy", "itertools"], "modelscope.models.cv.face_detection.scrfd.scrfd_detect": ["numpy", "os", "torch", "copy", "typing"], "modelscope.models.cv.face_detection.scrfd.tinymog_detect": ["torch", "copy", "os", "typing"], "modelscope.models.cv.face_detection.scrfd.damofd_detect": ["torch", "copy", "os", "typing"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.backbones.master_net": ["mmdet", "torch"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.backbones.mobilenet": ["mmdet", "torch", "mmcv"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.backbones.resnet": ["mmdet", "torch", "mmcv"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.dense_heads.scrfd_head": ["mmdet", "torch", "numpy", "mmcv"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.single_stage": ["mmdet", "torch"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.scrfd": ["mmdet", "torch"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.tinymog": ["mmdet", "torch"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.base": ["mmdet", "abc", "numpy", "mmcv", "torch", "collections"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.auto_augment": ["mmdet", "numpy", "mmcv", "copy", "cv2"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.transforms": ["mmdet", "numpy", "mmcv"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.formating": ["mmdet", "torch", "numpy", "mmcv"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.loading": ["mmdet", "pycocotools", "numpy", "os"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.retinaface": ["mmdet", "numpy"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.core.bbox.transforms": ["torch", "numpy"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.core.post_processing.bbox_nms": ["torch"], "modelscope.models.cv.face_detection.scrfd.preprocessor": ["numpy", "typing", "PIL"], "modelscope.models.cv.open_vocabulary_detection_vild.vild": ["numpy", "tensorflow", "scipy", "clip", "os", "torch", "typing"], "modelscope.models.cv.panorama_depth_estimation.unifuse_model": ["torch", "numpy", "os", "torchvision"], "modelscope.models.cv.panorama_depth_estimation.networks.equi": ["torch", "numpy", "collections", "__future__"], "modelscope.models.cv.panorama_depth_estimation.networks.unifuse": ["torch", "numpy", "collections", "__future__"], "modelscope.models.cv.panorama_depth_estimation.networks.mobilenet": ["torch"], "modelscope.models.cv.panorama_depth_estimation.networks.resnet": ["torch"], "modelscope.models.cv.panorama_depth_estimation.networks.layers": ["torch", "numpy"], "modelscope.models.cv.panorama_depth_estimation.networks.util": ["scipy", "numpy", "cv2"], "modelscope.models.cv.object_detection.yolox_pai": ["easycv"], "modelscope.models.cv.object_detection.mmdet_ms.necks.fpn": ["mmdet", "torch", "mmcv"], "modelscope.models.cv.object_detection.mmdet_ms.backbones.vit": ["mmdet", "math", "timm", "torch", "functools"], "modelscope.models.cv.object_detection.mmdet_ms.dense_heads.anchor_head": ["mmdet"], "modelscope.models.cv.object_detection.mmdet_ms.dense_heads.rpn_head": ["mmdet", "torch", "copy", "mmcv"], "modelscope.models.cv.object_detection.mmdet_ms.roi_heads.mask_heads.fcn_mask_head": ["mmdet", "numpy", "mmcv", "torch", "warnings"], "modelscope.models.cv.object_detection.mmdet_ms.roi_heads.bbox_heads.convfc_bbox_head": ["mmdet", "torch"], "modelscope.models.cv.object_detection.mmdet_ms.utils.checkpoint": ["mmcv", "io", "tempfile", "importlib", "os", "collections", "torch", "warnings", "time", "torchvision", "pkgutil"], "modelscope.models.cv.object_detection.mmdet_ms.utils.convModule_norm": ["mmcv"], "modelscope.models.cv.object_detection.dino": ["easycv"], "modelscope.models.cv.object_detection.mmdet_model": ["torch", "numpy", "os"], "modelscope.models.cv.video_deinterlace.UNet_for_video_deinterlace": ["torch", "copy", "os", "typing"], "modelscope.models.cv.video_deinterlace.models.archs": ["torch", "numpy"], "modelscope.models.cv.video_deinterlace.models.deep_fourier_upsampling": ["torch", "numpy"], "modelscope.models.cv.video_deinterlace.models.enh": ["torch"], "modelscope.models.cv.video_deinterlace.models.fre": ["torch"], "modelscope.models.cv.video_deinterlace.models.utils": ["torch"], "modelscope.models.cv.video_deinterlace.deinterlace_arch": ["torch"], "modelscope.models.cv.skin_retouching.unet_deploy": ["torch", "warnings"], "modelscope.models.cv.skin_retouching.detection_model.detection_unet_in": ["torch"], "modelscope.models.cv.skin_retouching.detection_model.detection_module": ["torch"], "modelscope.models.cv.skin_retouching.inpainting_model.gconv": ["torch"], "modelscope.models.cv.skin_retouching.inpainting_model.inpainting_unet": ["torch"], "modelscope.models.cv.skin_retouching.weights_init": ["torch"], "modelscope.models.cv.skin_retouching.retinaface.box_utils": ["torch", "numpy", "typing"], "modelscope.models.cv.skin_retouching.retinaface.prior_box": ["math", "torch", "itertools"], "modelscope.models.cv.skin_retouching.retinaface.net": ["torch", "typing"], "modelscope.models.cv.skin_retouching.retinaface.network": ["torch", "typing", "torchvision"], "modelscope.models.cv.skin_retouching.retinaface.utils": ["numpy", "re", "pathlib", "torch", "typing", "cv2"], "modelscope.models.cv.skin_retouching.retinaface.predict_single": ["numpy", "albumentations", "torch", "typing", "torchvision"], "modelscope.models.cv.skin_retouching.utils": ["numpy", "cv2", "torch", "time", "einops", "typing"], "modelscope.models.cv.video_inpainting.inpainting": ["numpy", "os", "cv2", "torch", "time", "torchvision", "PIL"], "modelscope.models.cv.video_inpainting.inpainting_model": ["math", "torch", "numpy", "torchvision"], "modelscope.models.cv.nerf_recon_acc.dataloader.nerf_dataset": ["numpy", "math", "PIL", "json", "os", "torch", "torchvision"], "modelscope.models.cv.nerf_recon_acc.dataloader.read_write_model": ["numpy", "os", "struct", "argparse", "collections"], "modelscope.models.cv.nerf_recon_acc.nerf_recon_acc": ["numpy", "glob", "os", "torch", "tqdm", "time", "cv2"], "modelscope.models.cv.nerf_recon_acc.nerf_preprocess": ["numpy", "glob", "tensorflow", "subprocess", "os", "typing", "cv2"], "modelscope.models.cv.nerf_recon_acc.network.segmenter": ["tensorflow", "numpy"], "modelscope.models.cv.nerf_recon_acc.network.utils": ["numpy", "mcubes", "tinycudann", "torch", "collections", "gc"], "modelscope.models.cv.nerf_recon_acc.network.nerf": ["nerfacc", "tinycudann", "torch", "numpy"], "modelscope.models.cv.easycv_base": ["easycv"], "modelscope.models.cv.image_depth_estimation_bts.depth_estimation_bts_model": ["torch", "os"], "modelscope.models.cv.image_depth_estimation_bts.networks.bts_model": ["torch"], "modelscope.models.cv.image_depth_estimation_bts.networks.encoder": ["torch", "torchvision"], "modelscope.models.cv.image_depth_estimation_bts.networks.decoder": ["torch"], "modelscope.models.cv.image_depth_estimation_bts.networks.utils": ["math", "torch"], "modelscope.models.cv.video_frame_interpolation.VFINet_for_video_frame_interpolation": ["torch", "copy", "os", "typing"], "modelscope.models.cv.video_frame_interpolation.VFINet_arch": ["torch"], "modelscope.models.cv.video_frame_interpolation.interp_model.IFNet_swin": ["torch", "numpy", "timm"], "modelscope.models.cv.video_frame_interpolation.interp_model.transformer_layers": ["timm", "math", "torch", "sys", "functools"], "modelscope.models.cv.video_frame_interpolation.interp_model.refinenet_arch": ["torch", "numpy"], "modelscope.models.cv.video_frame_interpolation.interp_model.UNet": ["torch"], "modelscope.models.cv.video_frame_interpolation.interp_model.flow_reversal": ["torch"], "modelscope.models.cv.video_frame_interpolation.flow_model.corr": ["torch"], "modelscope.models.cv.video_frame_interpolation.flow_model.extractor": ["torch"], "modelscope.models.cv.video_frame_interpolation.flow_model.raft": ["torch", "numpy"], "modelscope.models.cv.video_frame_interpolation.flow_model.update": ["torch"], "modelscope.models.cv.video_frame_interpolation.utils.scene_change_detection": ["torch", "numpy"], "modelscope.models.cv.video_frame_interpolation.utils.utils": ["scipy", "torch", "numpy"], "modelscope.models.cv.ocr_recognition.model": ["torch", "os"], "modelscope.models.cv.ocr_recognition.modules.convnext": ["torch"], "modelscope.models.cv.ocr_recognition.modules.vitstr": ["__future__", "logging", "torch", "copy", "functools"], "modelscope.models.cv.ocr_recognition.modules.timm_tinyc": ["logging", "functools", "math", "torch", "collections", "copy", "itertools"], "modelscope.models.cv.ocr_recognition.modules.convnextvit": ["torch"], "modelscope.models.cv.ocr_recognition.modules.crnn": ["torch"], "modelscope.models.cv.ocr_recognition.preprocessor": ["numpy", "PIL", "os", "torch", "cv2"], "modelscope.models.cv.image_quality_assessment_mos.backbones.resnet": ["torch", "os"], "modelscope.models.cv.image_quality_assessment_mos.image_quality_assessment_mos": ["torch", "typing", "os"], "modelscope.models.cv.image_quality_assessment_mos.heads.simple_head": ["torch"], "modelscope.models.cv.image_quality_assessment_mos.censeo_ivqa_model": ["torch"], "modelscope.models.cv.crowd_counting.cc_model": ["torch", "typing", "os"], "modelscope.models.cv.crowd_counting.hrnet_aspp_relu": ["numpy", "os", "logging", "torch", "functools"], "modelscope.models.cv.language_guided_video_summarization.transformer.sub_layers": ["torch", "numpy"], "modelscope.models.cv.language_guided_video_summarization.transformer.models": ["torch", "numpy"], "modelscope.models.cv.language_guided_video_summarization.transformer.layers": ["torch"], "modelscope.models.cv.language_guided_video_summarization.transformer.modules": ["torch"], "modelscope.models.cv.language_guided_video_summarization.summarizer": ["numpy", "argparse", "bmt_clipit", "videofeatures_clipit", "os", "torch", "typing"], "modelscope.models.cv.ocr_detection.model": ["torch", "numpy", "typing", "os"], "modelscope.models.cv.ocr_detection.modules.dbnet": ["os", "math", "torch", "collections", "sys"], "modelscope.models.cv.ocr_detection.modules.seg_detector_loss": ["torch", "sys"], "modelscope.models.cv.ocr_detection.utils": ["pyclipper", "numpy", "shapely", "cv2"], "modelscope.models.cv.ocr_detection.preprocessor": ["numpy", "math", "PIL", "os", "torch", "typing", "cv2"], "modelscope.models.cv.cmdssl_video_embedding.resnet3d": ["torch"], "modelscope.models.cv.cmdssl_video_embedding.resnet2p1d": ["torch"], "modelscope.models.cv.cmdssl_video_embedding.c3d": ["torch"], "modelscope.models.cv.video_panoptic_segmentation.neck.fpn": ["torch", "mmcv"], "modelscope.models.cv.video_panoptic_segmentation.visualizer": ["numpy", "hashlib", "cv2"], "modelscope.models.cv.video_panoptic_segmentation.track.quasi_dense_embed_tracker": ["mmdet", "torch", "mmcv"], "modelscope.models.cv.video_panoptic_segmentation.backbone.swin_transformer": ["mmdet", "torch", "timm", "numpy"], "modelscope.models.cv.video_panoptic_segmentation.backbone.swin_checkpoint": ["importlib", "os", "torch", "collections", "torchvision", "pkgutil"], "modelscope.models.cv.video_panoptic_segmentation.head.kernel_head": ["torch", "mmcv"], "modelscope.models.cv.video_panoptic_segmentation.head.semantic_fpn_wrapper": ["mmdet", "torch", "mmcv"], "modelscope.models.cv.video_panoptic_segmentation.head.kernel_updator": ["torch", "mmcv"], "modelscope.models.cv.video_panoptic_segmentation.head.track_heads": ["torch", "numpy", "mmcv"], "modelscope.models.cv.video_panoptic_segmentation.head.mask": ["pycocotools", "numpy", "torch", "__future__", "cv2"], "modelscope.models.cv.video_panoptic_segmentation.head.kernel_iter_head": ["mmdet", "torch"], "modelscope.models.cv.video_panoptic_segmentation.head.kernel_update_head": ["mmdet", "torch", "numpy", "mmcv"], "modelscope.models.cv.video_panoptic_segmentation.video_k_net": ["mmdet", "torch", "numpy", "mmcv"], "modelscope.models.cv.pointcloud_sceneflow_estimation.sf_rcp": ["torch"], "modelscope.models.cv.pointcloud_sceneflow_estimation.pointnet2_utils": ["torch", "typing", "pointnet2_cuda"], "modelscope.models.cv.pointcloud_sceneflow_estimation.rcp_model": ["torch", "numpy", "os"], "modelscope.models.cv.pointcloud_sceneflow_estimation.common": ["math", "torch"], "modelscope.models.cv.video_depth_estimation.models.sfm_model_mf": ["torch", "random"], "modelscope.models.cv.video_depth_estimation.models.model_wrapper": ["numpy", "importlib", "random", "torch", "collections"], "modelscope.models.cv.video_depth_estimation.models.model_checkpoint": ["torch", "numpy", "re", "os"], "modelscope.models.cv.video_depth_estimation.models.sup_model_mf": [], "modelscope.models.cv.video_depth_estimation.models.model_utils": [], "modelscope.models.cv.video_depth_estimation.geometry.pose_utils": ["torch", "numpy"], "modelscope.models.cv.video_depth_estimation.geometry.camera": ["torch", "functools"], "modelscope.models.cv.video_depth_estimation.geometry.camera_utils": ["torch"], "modelscope.models.cv.video_depth_estimation.geometry.pose": ["torch"], "modelscope.models.cv.video_depth_estimation.networks.layers.resnet.pose_decoder": ["torch", "collections", "__future__"], "modelscope.models.cv.video_depth_estimation.networks.layers.resnet.layers": ["torch", "__future__"], "modelscope.models.cv.video_depth_estimation.networks.layers.resnet.depth_decoder": ["torch", "numpy", "collections", "__future__"], "modelscope.models.cv.video_depth_estimation.networks.layers.resnet.resnet_encoder": ["torch", "numpy", "__future__", "torchvision"], "modelscope.models.cv.video_depth_estimation.networks.optim.extractor": ["torch", "torchvision"], "modelscope.models.cv.video_depth_estimation.networks.optim.update": ["torch"], "modelscope.models.cv.video_depth_estimation.networks.depth_pose.depth_pose_net": ["torch", "functools"], "modelscope.models.cv.video_depth_estimation.dro_model": ["numpy", "glob", "os", "torch", "tqdm", "cv2"], "modelscope.models.cv.video_depth_estimation.configs.default_config": ["yacs", "os"], "modelscope.models.cv.video_depth_estimation.utils.misc": ["termcolor"], "modelscope.models.cv.video_depth_estimation.utils.image": ["numpy", "PIL", "os", "torch", "functools", "cv2"], "modelscope.models.cv.video_depth_estimation.utils.image_gt": ["cv2", "torch", "functools", "PIL"], "modelscope.models.cv.video_depth_estimation.utils.types": ["torch", "numpy", "yacs"], "modelscope.models.cv.video_depth_estimation.utils.depth": ["matplotlib", "torch", "numpy", "torchvision"], "modelscope.models.cv.video_depth_estimation.utils.load": ["importlib", "inspect", "os", "logging", "collections", "torch", "warnings"], "modelscope.models.cv.video_depth_estimation.utils.config": ["torch", "yacs", "datetime", "os"], "modelscope.models.cv.video_depth_estimation.utils.augmentations": ["numpy", "PIL", "random", "torchvision", "cv2"], "modelscope.models.cv.video_depth_estimation.utils.horovod": ["horovod"], "modelscope.models.cv.video_streaming_perception.longshortnet.models.dfp_pafpn_short": ["torch", "collections"], "modelscope.models.cv.video_streaming_perception.longshortnet.models.dfp_pafpn_long": ["torch", "collections"], "modelscope.models.cv.video_streaming_perception.longshortnet.models.longshort": ["torch"], "modelscope.models.cv.video_streaming_perception.longshortnet.models.longshort_backbone_neck": ["torch"], "modelscope.models.cv.video_streaming_perception.longshortnet.exp.longshortnet_base": [], "modelscope.models.cv.video_streaming_perception.longshortnet.longshortnet": ["numpy", "argparse", "json", "os", "logging", "torch", "tqdm", "time", "cv2"], "modelscope.models.cv.robust_image_classification.easyrobust_model": ["torch", "os"], "modelscope.models.cv.image_panoptic_segmentation.panseg_model": ["torch", "os"], "modelscope.models.cv.image_panoptic_segmentation.r50_panseg_model": ["easycv"], "modelscope.models.cv.image_portrait_enhancement.eqface.fqa": ["torch", "numpy", "os", "cv2"], "modelscope.models.cv.image_portrait_enhancement.eqface.model_resnet": ["torch"], "modelscope.models.cv.image_portrait_enhancement.image_portrait_enhancement": ["math", "torch", "typing", "os"], "modelscope.models.cv.image_portrait_enhancement.align_faces": ["numpy", "skimage", "cv2"], "modelscope.models.cv.image_portrait_enhancement.retinaface.models.net": ["torch", "time", "torchvision"], "modelscope.models.cv.image_portrait_enhancement.retinaface.models.retinaface": ["torch", "collections", "torchvision"], "modelscope.models.cv.image_portrait_enhancement.retinaface.detection": ["torch", "numpy", "os", "cv2"], "modelscope.models.cv.image_portrait_enhancement.retinaface.utils": ["math", "torch", "numpy", "itertools"], "modelscope.models.cv.image_portrait_enhancement.losses.losses": ["torch"], "modelscope.models.cv.image_portrait_enhancement.losses.helpers": ["torch", "collections"], "modelscope.models.cv.image_portrait_enhancement.losses.model_irse": ["torch"], "modelscope.models.cv.image_portrait_enhancement.gpen": ["math", "itertools", "torch", "operator", "random", "functools"], "modelscope.models.cv.image_inpainting.default": ["bisect", "torch"], "modelscope.models.cv.image_inpainting.refinement": ["numpy", "kornia", "torch", "tqdm", "cv2"], "modelscope.models.cv.image_inpainting.model": ["torch", "typing", "os"], "modelscope.models.cv.image_inpainting.modules.adversarial": ["torch", "typing"], "modelscope.models.cv.image_inpainting.modules.perceptual": ["torch", "torchvision"], "modelscope.models.cv.image_inpainting.modules.pix2pixhd": ["numpy", "logging", "torch", "collections", "functools"], "modelscope.models.cv.image_inpainting.modules.ade20k.resnet": ["math", "torch", "os"], "modelscope.models.cv.image_inpainting.modules.ade20k.base": ["torch", "os"], "modelscope.models.cv.image_inpainting.modules.ffc": ["torch", "numpy", "kornia"], "modelscope.models.cv.image_inpainting.modules.feature_matching": ["torch", "typing"], "modelscope.models.cv.image_inpainting.modules.inception": ["torch", "torchvision"], "modelscope.models.cv.image_inpainting.base": ["torch", "typing"], "modelscope.models.cv.video_single_object_tracking.models.ostrack.vit_ce": ["torch", "timm", "functools"], "modelscope.models.cv.video_single_object_tracking.models.ostrack.utils": ["torch"], "modelscope.models.cv.video_single_object_tracking.models.ostrack.ostrack": ["torch"], "modelscope.models.cv.video_single_object_tracking.models.ostrack.base_backbone": ["torch", "timm"], "modelscope.models.cv.video_single_object_tracking.models.layers.attn_blocks": ["math", "torch", "timm"], "modelscope.models.cv.video_single_object_tracking.models.layers.attn": ["torch"], "modelscope.models.cv.video_single_object_tracking.models.layers.patch_embed": ["torch", "timm"], "modelscope.models.cv.video_single_object_tracking.models.layers.head": ["torch"], "modelscope.models.cv.video_single_object_tracking.models.procontext.procontext": ["torch"], "modelscope.models.cv.video_single_object_tracking.models.procontext.vit_ce": ["torch", "timm", "functools"], "modelscope.models.cv.video_single_object_tracking.models.procontext.utils": ["torch"], "modelscope.models.cv.video_single_object_tracking.config.ostrack": ["easydict"], "modelscope.models.cv.video_single_object_tracking.tracker.procontext": ["torch", "copy"], "modelscope.models.cv.video_single_object_tracking.tracker.ostrack": ["torch"], "modelscope.models.cv.video_single_object_tracking.utils.utils": ["numpy", "math", "torch", "typing", "cv2"], "modelscope.models.cv.human_reconstruction.models.detectors": ["torch", "numpy"], "modelscope.models.cv.human_reconstruction.models.Res_backbone": ["torch", "numpy"], "modelscope.models.cv.human_reconstruction.models.geometry": ["torch"], "modelscope.models.cv.human_reconstruction.models.networks": ["torch", "numpy", "functools"], "modelscope.models.cv.human_reconstruction.models.Embedding": ["torch"], "modelscope.models.cv.human_reconstruction.models.Surface_head": ["torch"], "modelscope.models.cv.human_reconstruction.models.human_segmenter": ["tensorflow", "numpy", "cv2"], "modelscope.models.cv.human_reconstruction.models.PixToMesh": ["torch"], "modelscope.models.cv.human_reconstruction.utils": ["mcubes", "torch", "numpy", "os"], "modelscope.models.cv.human_reconstruction.Reconstruction": ["numpy", "skimage", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.models.cv.video_object_segmentation.inference_core": ["torch"], "modelscope.models.cv.video_object_segmentation.model": ["torch", "typing", "os"], "modelscope.models.cv.video_object_segmentation.cbam": ["torch"], "modelscope.models.cv.video_object_segmentation.network": ["math", "torch"], "modelscope.models.cv.video_object_segmentation.aggregate": ["torch"], "modelscope.models.cv.video_object_segmentation.eval_network": ["torch"], "modelscope.models.cv.video_object_segmentation.inference_memory_bank": ["math", "torch"], "modelscope.models.cv.video_object_segmentation.mod_resnet": ["math", "torch", "collections"], "modelscope.models.cv.video_object_segmentation.modules": ["torch", "torchvision"], "modelscope.models.cv.product_retrieval_embedding.item_embedding": ["torch", "numpy", "cv2"], "modelscope.models.cv.product_retrieval_embedding.item_model": ["torch", "numpy", "typing", "os"], "modelscope.models.cv.product_retrieval_embedding.item_detection": ["numpy", "cv2"], "modelscope.models.cv.video_human_matting.models.deep_guided_filter": ["torch"], "modelscope.models.cv.video_human_matting.models.lraspp": ["torch"], "modelscope.models.cv.video_human_matting.models.matting": ["torch", "typing"], "modelscope.models.cv.video_human_matting.models.decoder": ["torch", "typing"], "modelscope.models.cv.video_human_matting.models.effv2": ["torch"], "modelscope.models.cv.video_human_matting.model": ["numpy", "os", "torch", "typing", "torchvision"], "modelscope.models.cv.text_driven_segmentation.lseg_model": ["numpy", "PIL", "json", "os", "torch", "typing"], "modelscope.models.cv.text_driven_segmentation.simple_tokenizer": ["ftfy", "regex", "os", "gzip", "html", "functools"], "modelscope.models.cv.text_driven_segmentation.clip": ["hashlib", "tqdm", "urllib", "PIL", "pkg_resources", "os", "torch", "warnings", "typing", "torchvision"], "modelscope.models.cv.text_driven_segmentation.lseg_net": ["torch", "numpy"], "modelscope.models.cv.text_driven_segmentation.lseg_vit": ["types", "math", "timm", "torch"], "modelscope.models.cv.text_driven_segmentation.model": ["torch", "numpy", "collections", "typing"], "modelscope.models.cv.text_driven_segmentation.lseg_base": ["torch"], "modelscope.models.cv.text_driven_segmentation.lseg_blocks": ["torch"], "modelscope.models.cv.image_debanding.rrdb.rrdb_image_debanding": ["torch", "typing", "os"], "modelscope.models.cv.video_instance_segmentation.neck.msdeformattn_decoder": ["mmdet", "torch", "mmcv"], "modelscope.models.cv.video_instance_segmentation.track.mask_hungarian_assigner": ["mmdet", "torch", "numpy", "scipy"], "modelscope.models.cv.video_instance_segmentation.track.kernel_update_head": ["mmdet", "torch", "numpy", "mmcv"], "modelscope.models.cv.video_instance_segmentation.video_knet": ["mmdet", "torch"], "modelscope.models.cv.video_instance_segmentation.utils": ["mmdet", "torch", "numpy"], "modelscope.models.cv.video_instance_segmentation.head.kernel_head": ["mmdet", "torch", "mmcv"], "modelscope.models.cv.video_instance_segmentation.head.kernel_updator": ["torch", "mmcv"], "modelscope.models.cv.video_instance_segmentation.head.kernel_iter_head": ["mmdet", "torch"], "modelscope.models.cv.video_instance_segmentation.head.kernel_frame_iter_head": ["mmdet", "torch", "mmcv"], "modelscope.models.cv.video_instance_segmentation.head.kernel_update_head": ["mmdet", "torch", "numpy", "mmcv"], "modelscope.models.cv.human_wholebody_keypoint.human_wholebody_keypoint": ["easycv"], "modelscope.models.cv.image_probing_model.model": ["torch", "json", "typing", "os"], "modelscope.models.cv.image_probing_model.backbone": ["numpy", "torchvision", "math", "PIL", "torch", "operator", "collections", "sys", "functools"], "modelscope.models.cv.image_probing_model.utils": ["torch", "re"], "modelscope.models.cv.image_classification.backbones.nextvit": ["mmcv", "math", "warnings", "einops", "os", "mmcls", "torch", "collections", "functools", "itertools", "typing"], "modelscope.models.cv.image_classification.backbones.beit_v2": ["mmcv", "math", "warnings", "einops", "os", "mmcls", "torch", "collections", "functools", "itertools", "typing"], "modelscope.models.cv.image_classification.mmcls_model": ["os"], "modelscope.models.cv.image_classification.utils": ["numpy", "os", "mmcls", "math", "torch", "collections", "itertools"], "modelscope.models.cv.image_classification.resnet50_cc": ["math", "os", "torch", "collections", "torchvision"], "modelscope.models.cv.image_human_parsing.m2fp.m2fp_decoder": ["torch"], "modelscope.models.cv.image_human_parsing.m2fp.m2fp_encoder": ["torch", "numpy", "typing"], "modelscope.models.cv.image_human_parsing.parsing_utils": ["torch", "numpy", "copy", "PIL"], "modelscope.models.cv.image_human_parsing.backbone.deeplab_resnet": ["torch", "numpy"], "modelscope.models.cv.image_human_parsing.m2fp_net": ["torch", "typing", "os"], "modelscope.models.cv.image_quality_assessment_man.swin": ["itertools", "math", "torch", "warnings", "einops", "collections"], "modelscope.models.cv.image_quality_assessment_man.image_quality_assessment_man": ["torch", "typing", "os"], "modelscope.models.cv.image_quality_assessment_man.maniqa": ["torch", "timm", "einops"], "modelscope.models.cv.image_skychange.skychange": ["pdb", "numpy", "PIL", "json", "numbers", "os", "torch", "collections", "torchvision", "cv2"], "modelscope.models.cv.image_skychange.ptsemseg.hrnet_super_and_ocr": ["torch", "numpy", "__future__"], "modelscope.models.cv.image_skychange.ptsemseg.hrnet_backnone": ["torch", "numpy", "os", "logging"], "modelscope.models.cv.image_skychange.ptsemseg.unet": ["torch"], "modelscope.models.cv.image_skychange.ptsemseg.BlockModules": ["torch"], "modelscope.models.cv.image_skychange.preprocessor": ["pdb", "numpy", "json", "numbers", "torch", "typing", "torchvision", "cv2"], "modelscope.models.cv.image_skychange.skychange_model": ["pdb", "math", "time", "json", "os", "torch", "collections", "typing", "cv2"], "modelscope.models.cv.table_recognition.lineless_table_process": ["torch", "numpy", "shapely", "cv2"], "modelscope.models.cv.table_recognition.modules.lore_detector": ["numpy", "os", "math", "torch", "copy"], "modelscope.models.cv.table_recognition.modules.lore_processor": ["numpy", "os", "math", "torch", "copy"], "modelscope.models.cv.table_recognition.model_lore": ["numpy", "math", "os", "torch", "copy", "typing"], "modelscope.models.cv.image_quality_assessment_degradation.degradation_model": ["numpy", "json", "torch", "collections", "time", "torchvision", "cv2"], "modelscope.models.cv.image_quality_assessment_degradation.image_quality_assessment_degradation": ["torch", "typing", "os"], "modelscope.models.cv.image_driving_perception.image_driving_percetion_model": ["numpy", "os", "torch", "typing", "cv2"], "modelscope.models.cv.image_driving_perception.utils": ["torch", "numpy", "time", "torchvision"], "modelscope.models.cv.image_driving_perception.preprocessor": ["torch", "numpy", "typing", "cv2"], "modelscope.models.cv.animal_recognition.resnet": ["math", "torch"], "modelscope.models.cv.animal_recognition.splat": ["torch"], "modelscope.models.cv.product_segmentation.net": ["torch"], "modelscope.models.cv.product_segmentation.seg_infer": ["cv2", "torch", "numpy", "PIL"], "modelscope.models.cv.image_denoise.nafnet_for_image_denoise": ["torch", "typing", "os"], "modelscope.models.cv.image_denoise.nafnet.NAFNet_arch": ["torch", "numpy"], "modelscope.models.cv.image_denoise.nafnet.arch_util": ["torch"], "modelscope.models.cv.image_to_image_generation.data.transforms": ["math", "random", "torchvision", "PIL"], "modelscope.models.cv.image_to_image_generation.models.autoencoder": ["math", "torch"], "modelscope.models.cv.image_to_image_generation.models.clip": ["math", "torch"], "modelscope.models.cv.image_to_image_generation.model": ["math", "torch"], "modelscope.models.cv.image_to_image_generation.ops.losses": ["math", "torch"], "modelscope.models.cv.image_to_image_generation.ops.diffusion": ["math", "torch"], "modelscope.models.cv.tinynas_classfication.super_res_k1kxk1": ["torch", "uuid"], "modelscope.models.cv.tinynas_classfication.basic_blocks": ["torch", "numpy", "uuid"], "modelscope.models.cv.tinynas_classfication.super_res_kxkx": ["torch", "uuid"], "modelscope.models.cv.tinynas_classfication.super_blocks": ["torch", "uuid"], "modelscope.models.cv.tinynas_classfication.master_net": ["torch"], "modelscope.models.cv.tinynas_classfication.plain_net_utils": ["torch"], "modelscope.models.cv.tinynas_classfication.global_utils": [], "modelscope.models.cv.tinynas_classfication.super_res_idwexkx": ["torch", "uuid"], "modelscope.models.cv.tinynas_classfication.model_zoo": [], "modelscope.models.cv.video_super_resolution.basicvsr_net": ["torch"], "modelscope.models.cv.video_super_resolution.real_basicvsr_net": ["torch"], "modelscope.models.cv.video_super_resolution.real_basicvsr_for_video_super_resolution": ["torch", "typing", "os"], "modelscope.models.cv.video_super_resolution.msrresnet_lite_model": ["torch", "functools", "typing", "os"], "modelscope.models.cv.video_super_resolution.common": ["torch"], "modelscope.models.cv.controllable_image_generation.controlnet": ["numpy", "typing", "math", "einops", "PIL", "control_ldm", "tempfile", "os", "torch", "random", "sys", "cv2"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.vit": ["types", "math", "timm", "torch"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.transforms": ["math", "numpy", "cv2"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.base_model": ["torch"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.midas_net_custom": ["torch"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.blocks": ["torch"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.dpt_depth": ["torch"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.midas_net": ["torch"], "modelscope.models.cv.controllable_image_generation.annotator.midas.api": ["cv2", "torch", "os", "torchvision"], "modelscope.models.cv.controllable_image_generation.annotator.midas.utils": ["numpy", "re", "torch", "sys", "cv2"], "modelscope.models.cv.controllable_image_generation.annotator.annotator": ["numpy", "mmseg", "mmcv", "einops", "os", "torch", "cv2"], "modelscope.models.cv.controllable_image_generation.annotator.openpose.body": ["numpy", "math", "scipy", "torch", "matplotlib", "time", "torchvision", "cv2"], "modelscope.models.cv.controllable_image_generation.annotator.openpose.hand": ["numpy", "math", "scipy", "json", "torch", "matplotlib", "time", "skimage", "cv2"], "modelscope.models.cv.controllable_image_generation.annotator.openpose.model": ["torch", "collections"], "modelscope.models.cv.controllable_image_generation.annotator.openpose.util": ["numpy", "math", "matplotlib", "cv2"], "modelscope.models.cv.controllable_image_generation.annotator.mlsd.mbv2_mlsd_large": ["torch", "sys", "os"], "modelscope.models.cv.controllable_image_generation.annotator.mlsd.utils": ["torch", "numpy", "os", "cv2"], "modelscope.models.cv.image_reid_person.transreid_model": ["torch", "collections", "itertools", "functools"], "modelscope.models.cv.image_reid_person.pass_model": ["torch", "enum", "os"], "modelscope.models.cv.face_attribute_recognition.fair_face.face_attribute_recognition": ["numpy", "PIL", "os", "torch", "torchvision", "cv2"], "modelscope.models.cv.image_semantic_segmentation.pan_merge.base_panoptic_fusion_head": ["mmdet", "abc", "mmcv"], "modelscope.models.cv.image_semantic_segmentation.pan_merge.maskformer_semantic_head": ["mmdet", "torch"], "modelscope.models.cv.image_semantic_segmentation.segformer": ["easycv"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.decode_heads.mask2former_head_from_mmseg": ["mmdet", "torch", "copy", "mmcv"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.decode_heads.base_decode_head": ["mmdet", "abc", "torch", "mmcv"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.backbone.base.beit": ["mmdet", "timm", "mmcv", "math", "torch", "functools"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.backbone.beit_adapter": ["mmdet", "math", "timm", "logging", "torch"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.backbone.adapter_modules": ["mmdet", "timm", "logging", "torch", "functools"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.segmentors.base_segmentor": ["abc", "numpy", "mmcv", "warnings", "torch", "collections"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.segmentors.encoder_decoder_mask2former": ["mmdet", "torch"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.utils.data_process_func": ["mmdet", "mmcv"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.utils.builder": ["mmcv"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.utils.seg_func": ["torch", "warnings"], "modelscope.models.cv.image_semantic_segmentation.semantic_seg_model": ["torch", "numpy", "os"], "modelscope.models.cv.image_semantic_segmentation.ddpm_segmentation_model": ["torch", "typing", "os", "ddpm_guided_diffusion"], "modelscope.models.cv.image_semantic_segmentation.ddpm_seg.pixel_classifier": ["numpy", "PIL", "os", "torch", "collections"], "modelscope.models.cv.image_semantic_segmentation.ddpm_seg.data_util": [], "modelscope.models.cv.image_semantic_segmentation.ddpm_seg.utils": ["torch", "numpy", "random", "PIL"], "modelscope.models.cv.image_semantic_segmentation.ddpm_seg.feature_extractors": ["torch", "typing"], "modelscope.models.cv.image_colorization.unet.unet": ["torch", "numpy"], "modelscope.models.cv.image_colorization.unet.utils": ["torch", "enum", "functools"], "modelscope.models.cv.image_colorization.ddcolor.loss": ["torch"], "modelscope.models.cv.image_colorization.ddcolor.ddcolor": ["torch"], "modelscope.models.cv.image_colorization.ddcolor.ddcolor_for_image_colorization": ["numpy", "os", "torch", "copy", "typing"], "modelscope.models.cv.image_colorization.ddcolor.utils.transformer_utils": ["torch", "typing"], "modelscope.models.cv.image_colorization.ddcolor.utils.unet": ["collections", "torch", "enum"], "modelscope.models.cv.image_colorization.ddcolor.utils.convnext": ["torch", "timm"], "modelscope.models.cv.image_colorization.ddcolor.utils.position_encoding": ["math", "torch"], "modelscope.models.cv.image_colorization.ddcolor.utils.vgg": ["torch", "collections", "os", "torchvision"], "modelscope.models.builder": [], "modelscope.models.base.base_head": ["abc", "typing"], "modelscope.models.base.base_model": ["abc", "typing", "os"], "modelscope.models.base.base_torch_head": ["torch", "typing"], "modelscope.models.base.base_torch_model": ["packaging", "os", "torch", "copy", "functools", "typing"], "modelscope.models.audio.tts.sambert_hifi": ["numpy", "yaml", "shutil", "zipfile", "json", "datetime", "os", "matplotlib", "__future__", "wave"], "modelscope.models.audio.tts.voice": ["numpy", "yaml", "pickle", "threading", "kantts", "json", "os", "torch", "collections", "time"], "modelscope.models.audio.aec.layers.affine_transform": ["torch", "numpy"], "modelscope.models.audio.aec.layers.activations": ["torch"], "modelscope.models.audio.aec.layers.layer_base": ["abc", "torch", "numpy", "re"], "modelscope.models.audio.aec.layers.deep_fsmn": ["torch", "numpy"], "modelscope.models.audio.aec.layers.uni_deep_fsmn": ["torch", "numpy"], "modelscope.models.audio.aec.network.loss": ["torch"], "modelscope.models.audio.aec.network.se_net": ["torch"], "modelscope.models.audio.aec.network.modulation_loss": ["math", "torch", "torchaudio"], "modelscope.models.audio.separation.mossformer_block": ["torch"], "modelscope.models.audio.separation.mossformer_conv_module": ["torch"], "modelscope.models.audio.separation.layer_norm": ["torch", "__future__"], "modelscope.models.audio.separation.mossformer": ["torch", "copy", "os", "typing"], "modelscope.models.audio.itn.generic_inverse_text_processing": ["typing", "os"], "modelscope.models.audio.punc.generic_punctuation": ["typing", "os"], "modelscope.models.audio.ans.conv_stft": ["scipy", "torch", "numpy"], "modelscope.models.audio.ans.layers.affine_transform": ["torch"], "modelscope.models.audio.ans.layers.activations": ["torch"], "modelscope.models.audio.ans.layers.layer_base": ["torch", "abc", "six", "numpy"], "modelscope.models.audio.ans.layers.uni_deep_fsmn": ["torch", "numpy"], "modelscope.models.audio.ans.denoise_net": ["torch"], "modelscope.models.audio.ans.unet": ["torch"], "modelscope.models.audio.ans.frcrn": ["torch", "typing", "os"], "modelscope.models.audio.ans.complex_nn": ["torch"], "modelscope.models.audio.ans.se_module_complex": ["torch"], "modelscope.models.audio.sv.ecapa_tdnn": ["torchaudio", "math", "os", "torch", "typing"], "modelscope.models.audio.sv.generic_speaker_verification": ["typing", "os"], "modelscope.models.audio.sv.DTDNN_layers": ["torch"], "modelscope.models.audio.sv.DTDNN": ["torchaudio", "os", "torch", "collections", "typing"], "modelscope.models.audio.asr.generic_automatic_speech_recognition": ["typing", "os"], "modelscope.models.audio.asr.wenet_automatic_speech_recognition": ["wenetruntime", "json", "typing", "os"], "modelscope.models.audio.kws.nearfield.fsmn": ["torch", "numpy", "typing"], "modelscope.models.audio.kws.nearfield.model": ["tempfile", "os", "torch", "sys", "typing"], "modelscope.models.audio.kws.nearfield.cmvn": ["torch", "numpy", "re"], "modelscope.models.audio.kws.farfield.fsmn": ["torch", "numpy"], "modelscope.models.audio.kws.farfield.model": ["tempfile", "typing", "os"], "modelscope.models.audio.kws.farfield.fsmn_sele_v2": ["torch"], "modelscope.models.audio.kws.farfield.model_def": ["math", "enum", "struct"], "modelscope.models.audio.kws.generic_key_word_spotting": ["typing", "os"], "modelscope.models.multi_modal.mplug.modeling_mplug": ["math", "transformers", "os", "torch", "typing"], "modelscope.models.multi_modal.mplug.mvit": ["timm", "numpy", "fairscale", "torch", "collections", "functools"], "modelscope.models.multi_modal.mplug.clip.clip": ["torch", "collections", "typing"], "modelscope.models.multi_modal.mplug.predictor": ["torch", "__future__"], "modelscope.models.multi_modal.mplug.configuration_mplug": ["yaml", "transformers", "os", "typing"], "modelscope.models.multi_modal.mplug_for_all_tasks": ["typing", "os"], "modelscope.models.multi_modal.rleg.model": ["torch", "json", "os"], "modelscope.models.multi_modal.rleg.rleg": ["torch", "typing", "torchvision"], "modelscope.models.multi_modal.clip.model": ["numpy", "json", "os", "torch", "collections", "typing"], "modelscope.models.multi_modal.clip.configuration_bert": ["__future__", "logging"], "modelscope.models.multi_modal.clip.modeling_bert": ["math", "__future__", "io", "json", "os", "logging", "torch", "sys"], "modelscope.models.multi_modal.clip.bert_tokenizer": ["re", "os", "six", "collections", "__future__", "unicodedata"], "modelscope.models.multi_modal.gemm.tokenizer": ["ftfy", "regex", "os", "gzip", "torch", "html", "functools"], "modelscope.models.multi_modal.gemm.gemm_base": ["numpy", "json", "os", "torch", "collections", "typing"], "modelscope.models.multi_modal.gemm.gemm_model": ["numpy", "PIL", "json", "os", "torch", "typing", "torchvision"], "modelscope.models.multi_modal.video_synthesis.autoencoder": ["torch", "numpy"], "modelscope.models.multi_modal.video_synthesis.text_to_video_synthesis_model": ["einops", "os", "torch", "open_clip", "typing"], "modelscope.models.multi_modal.video_synthesis.diffusion": ["torch"], "modelscope.models.multi_modal.video_synthesis.unet_sd": ["math", "torch", "einops"], "modelscope.models.multi_modal.team.team_model": ["numpy", "tokenizers", "PIL", "torch", "typing", "torchvision", "cv2"], "modelscope.models.multi_modal.team.utils": ["numpy", "transformers", "torch", "collections", "typing"], "modelscope.models.multi_modal.multi_stage_diffusion.upsampler": ["math", "torch"], "modelscope.models.multi_modal.multi_stage_diffusion.clip": ["math", "torch"], "modelscope.models.multi_modal.multi_stage_diffusion.tokenizer": ["ftfy", "regex", "transformers", "gzip", "torch", "html", "functools"], "modelscope.models.multi_modal.multi_stage_diffusion.model": ["numpy", "math", "PIL", "json", "os", "torch", "typing"], "modelscope.models.multi_modal.multi_stage_diffusion.prior": ["math", "torch"], "modelscope.models.multi_modal.multi_stage_diffusion.xglm": ["math", "torch"], "modelscope.models.multi_modal.multi_stage_diffusion.decoder": ["math", "torch"], "modelscope.models.multi_modal.multi_stage_diffusion.gaussian_diffusion": ["math", "torch"], "modelscope.models.multi_modal.soonet.clip": ["numpy", "collections", "torch", "warnings", "typing"], "modelscope.models.multi_modal.soonet.swin_transformer": ["torch", "numpy"], "modelscope.models.multi_modal.soonet.tokenizer": ["ftfy", "regex", "gzip", "torch", "html", "functools"], "modelscope.models.multi_modal.soonet.model": ["torch", "os"], "modelscope.models.multi_modal.soonet.blocks": ["math", "torch"], "modelscope.models.multi_modal.soonet.utils": ["numpy", "tqdm", "copy", "decord"], "modelscope.models.multi_modal.vldoc.modeling_layout_roberta": ["packaging", "transformers", "os", "math", "torch"], "modelscope.models.multi_modal.vldoc.transformer_local": ["torch", "copy"], "modelscope.models.multi_modal.vldoc.processing": ["numpy", "PIL", "timm", "torch", "collections", "typing", "torchvision", "cv2"], "modelscope.models.multi_modal.vldoc.model": ["re", "sys", "math", "json", "os", "logging", "torch", "copy", "torchvision"], "modelscope.models.multi_modal.vldoc.conv_fpn_trans": ["timm", "apex", "collections", "torch", "random"], "modelscope.models.multi_modal.vldoc.convnext": ["torch", "timm", "os"], "modelscope.models.multi_modal.vldoc.tokenization": ["transformers", "os"], "modelscope.models.multi_modal.ofa.vit": ["torch", "collections", "fairseq"], "modelscope.models.multi_modal.ofa.tokenization_ofa": ["collections", "transformers", "os", "typing"], "modelscope.models.multi_modal.ofa.generate.sequence_generator": ["math", "torch", "sys", "typing"], "modelscope.models.multi_modal.ofa.generate.token_generation_constraints": ["torch", "collections", "typing"], "modelscope.models.multi_modal.ofa.generate.search": ["math", "torch", "typing"], "modelscope.models.multi_modal.ofa.generate.multihead_attention": ["math", "torch", "typing", "fairseq"], "modelscope.models.multi_modal.ofa.generate.utils": ["amp_C", "torch_xla", "torch", "collections", "itertools"], "modelscope.models.multi_modal.ofa.generate.incremental_decoding_utils": ["torch", "uuid", "typing"], "modelscope.models.multi_modal.ofa.generate.ngram_repeat_block": ["math", "torch", "warnings", "typing", "fairseq"], "modelscope.models.multi_modal.ofa.configuration_ofa": ["warnings", "transformers"], "modelscope.models.multi_modal.ofa.modeling_ofa": ["packaging", "math", "dataclasses", "apex", "transformers", "torch", "random", "typing"], "modelscope.models.multi_modal.ofa.resnet": ["torch"], "modelscope.models.multi_modal.ofa.tokenization_ofa_fast": ["json", "typing", "transformers", "tokenizers"], "modelscope.models.multi_modal.ofa.modeling_mmspeech": ["packaging", "numpy", "math", "dataclasses", "apex", "transformers", "torch", "typing", "fairseq"], "modelscope.models.multi_modal.ofa.utils.constant": [], "modelscope.models.multi_modal.ofa.utils.utils": ["torch", "typing"], "modelscope.models.multi_modal.ofa.configuration_mmspeech": ["warnings", "transformers"], "modelscope.models.multi_modal.mgeo.text_classification": ["torch"], "modelscope.models.multi_modal.mgeo.text_ranking": ["torch"], "modelscope.models.multi_modal.mgeo.backbone": ["math", "warnings", "dataclasses", "transformers", "os", "torch", "random", "typing"], "modelscope.models.multi_modal.mgeo.token_classification": ["torch"], "modelscope.models.multi_modal.ofa_for_text_to_image_synthesis_model": ["numpy", "taming", "PIL", "pkg_resources", "json", "os", "torch", "typing", "torchvision"], "modelscope.models.multi_modal.dpm_solver_pytorch": ["math", "torch"], "modelscope.models.multi_modal.diffusion.tokenizer": ["six", "collections", "__future__", "unicodedata"], "modelscope.models.multi_modal.diffusion.model": ["numpy", "json", "os", "torch", "typing"], "modelscope.models.multi_modal.diffusion.unet_upsampler_256": ["math", "torch", "functools"], "modelscope.models.multi_modal.diffusion.diffusion": ["math", "torch"], "modelscope.models.multi_modal.diffusion.structbert": ["numpy", "json", "copy", "math", "torch", "__future__", "six"], "modelscope.models.multi_modal.diffusion.unet_generator": ["math", "torch"], "modelscope.models.multi_modal.diffusion.unet_upsampler_1024": ["math", "torch"], "modelscope.models.multi_modal.guided_diffusion.respace": ["torch", "numpy"], "modelscope.models.multi_modal.guided_diffusion.unet": ["abc", "numpy", "transformers", "math", "torch"], "modelscope.models.multi_modal.guided_diffusion.gaussian_diffusion": ["math", "torch", "numpy", "enum"], "modelscope.models.multi_modal.guided_diffusion.script": [], "modelscope.models.multi_modal.efficient_diffusion_tuning.efficient_stable_diffusion": ["transformers", "os", "diffusers", "torch", "typing", "functools"], "modelscope.models.multi_modal.ofa_for_all_tasks": ["re", "string", "math", "json", "os", "torch", "typing", "functools"], "modelscope.models.multi_modal.mmr.models.module_cross": ["json", "logging", "torch", "collections", "__future__"], "modelscope.models.multi_modal.mmr.models.dynamic_inverted_softmax": ["numpy"], "modelscope.models.multi_modal.mmr.models.tokenization_clip": ["ftfy", "regex", "os", "gzip", "html", "functools"], "modelscope.models.multi_modal.mmr.models.until_module": ["math", "torch", "numpy", "logging"], "modelscope.models.multi_modal.mmr.models.module_clip": ["hashlib", "tqdm", "urllib", "os", "collections", "torch", "warnings", "typing"], "modelscope.models.multi_modal.mmr.models.clip_for_mm_video_embedding": ["numpy", "uuid", "decord", "urllib", "PIL", "tempfile", "json", "os", "torch", "random", "typing"], "modelscope.models.multi_modal.mmr.models.modeling": ["types", "platform", "os", "torch", "collections"], "modelscope.models.multi_modal.mmr.dataloaders.rawvideo_util": ["numpy", "PIL", "torch", "torchvision", "cv2"], "modelscope.models.science.unifold.data.residue_constants": ["numpy", "os", "unicore", "collections", "typing", "functools"], "modelscope.models.science.unifold.data.data_ops": ["numpy", "itertools", "unicore", "torch", "operator", "typing", "functools"], "modelscope.models.science.unifold.data.process_multimer": ["numpy", "collections", "typing"], "modelscope.models.science.unifold.data.protein": ["numpy", "io", "Bio", "dataclasses", "typing"], "modelscope.models.science.unifold.data.msa_pairing": ["numpy", "scipy", "pandas", "collections", "typing"], "modelscope.models.science.unifold.data.utils": ["numpy", "pickle", "gzip", "scipy", "json", "copy", "functools", "typing"], "modelscope.models.science.unifold.data.process": ["torch", "numpy", "typing"], "modelscope.models.science.unifold.msa.pipeline": ["numpy", "absl", "typing", "os"], "modelscope.models.science.unifold.msa.parsers": ["dataclasses", "string", "re", "collections", "typing", "itertools"], "modelscope.models.science.unifold.msa.tools.hmmsearch": ["absl", "typing", "os", "subprocess"], "modelscope.models.science.unifold.msa.tools.kalign": ["absl", "typing", "os", "subprocess"], "modelscope.models.science.unifold.msa.tools.hhblits": ["absl", "glob", "os", "typing", "subprocess"], "modelscope.models.science.unifold.msa.tools.jackhmmer": ["absl", "concurrent", "urllib", "glob", "os", "typing", "subprocess"], "modelscope.models.science.unifold.msa.tools.utils": ["tempfile", "absl", "contextlib", "shutil", "time", "typing"], "modelscope.models.science.unifold.msa.tools.hmmbuild": ["absl", "re", "os", "subprocess"], "modelscope.models.science.unifold.msa.tools.hhsearch": ["absl", "glob", "os", "typing", "subprocess"], "modelscope.models.science.unifold.msa.mmcif": ["dataclasses", "absl", "io", "Bio", "collections", "typing", "functools"], "modelscope.models.science.unifold.msa.utils": ["json", "absl", "typing", "os"], "modelscope.models.science.unifold.msa.templates": ["numpy", "absl", "re", "glob", "abc", "dataclasses", "datetime", "os", "typing", "functools"], "modelscope.models.science.unifold.msa.msa_identifiers": ["dataclasses", "re", "typing"], "modelscope.models.science.unifold.model": ["argparse", "torch", "typing", "os"], "modelscope.models.science.unifold.modules.confidence": ["torch", "typing"], "modelscope.models.science.unifold.modules.frame": ["torch", "numpy", "__future__", "typing"], "modelscope.models.science.unifold.modules.attentions": ["torch", "typing", "functools", "unicore"], "modelscope.models.science.unifold.modules.structure_module": ["math", "torch", "typing", "unicore"], "modelscope.models.science.unifold.modules.embedders": ["torch", "typing", "unicore"], "modelscope.models.science.unifold.modules.alphafold": ["torch", "unicore"], "modelscope.models.science.unifold.modules.common": ["torch", "typing", "functools", "unicore"], "modelscope.models.science.unifold.modules.auxillary_heads": ["torch", "typing", "unicore"], "modelscope.models.science.unifold.modules.template": ["math", "unicore", "torch", "typing", "functools"], "modelscope.models.science.unifold.modules.featurization": ["torch", "typing", "unicore"], "modelscope.models.science.unifold.modules.triangle_multiplication": ["torch", "typing", "functools", "unicore"], "modelscope.models.science.unifold.modules.evoformer": ["torch", "typing", "functools", "unicore"], "modelscope.models.science.unifold.config": ["copy", "typing", "ml_collections"], "modelscope.models.science.unifold.dataset": ["numpy", "typing", "json", "os", "logging", "torch", "unicore", "copy", "ml_collections"], "modelscope.metrics.video_summarization_metric": ["numpy", "typing"], "modelscope.metrics.movie_scene_segmentation_metric": ["numpy", "typing"], "modelscope.metrics.image_denoise_metric": ["torch", "numpy", "typing", "cv2"], "modelscope.metrics.map_metric": ["numpy", "typing"], "modelscope.metrics.image_portrait_enhancement_metric": ["numpy", "typing", "cv2"], "modelscope.metrics.text_generation_metric": ["nltk", "typing", "rouge"], "modelscope.metrics.referring_video_object_segmentation_metric": ["pycocotools", "numpy", "torch", "tqdm", "typing"], "modelscope.metrics.action_detection_evaluator": ["numpy", "logging", "detectron2", "scipy", "os", "pandas", "collections", "copy"], "modelscope.metrics.builder": ["typing"], "modelscope.metrics.token_classification_metric": ["numpy", "typing", "importlib"], "modelscope.metrics.sequence_classification_metric": ["numpy", "sklearn", "typing"], "modelscope.metrics.image_instance_segmentation_metric": ["pycocotools", "numpy", "tempfile", "os", "collections", "typing"], "modelscope.metrics.video_frame_interpolation_metric": ["numpy", "math", "lpips", "torch", "typing"], "modelscope.metrics.loss_metric": ["numpy", "sklearn", "typing"], "modelscope.metrics.image_inpainting_metric": ["scipy", "torch", "numpy", "typing"], "modelscope.metrics.image_quality_assessment_mos_metric": ["numpy", "sys", "scipy", "tempfile", "os", "torch", "tqdm", "typing", "cv2"], "modelscope.metrics.video_stabilization_metric": ["numpy", "sys", "tempfile", "os", "tqdm", "typing", "cv2"], "modelscope.metrics.ned_metric": ["numpy", "typing"], "modelscope.metrics.ppl_metric": ["math", "torch", "numpy", "typing"], "modelscope.metrics.audio_noise_metric": ["typing"], "modelscope.metrics.ciderD.ciderD": ["__future__"], "modelscope.metrics.ciderD.ciderD_scorer": ["pdb", "numpy", "math", "__future__", "os", "six", "collections", "copy"], "modelscope.metrics.image_quality_assessment_degradation_metric": ["numpy", "typing", "tqdm", "scipy", "tempfile", "os", "torch", "collections", "sys", "cv2"], "modelscope.metrics.bleu_metric": ["sacrebleu", "typing", "itertools"], "modelscope.metrics.image_color_enhance_metric": ["numpy", "typing", "cv2"], "modelscope.metrics.inbatch_recall_metric": ["torch", "numpy", "typing"], "modelscope.metrics.text_ranking_metric": ["numpy", "typing"], "modelscope.metrics.image_colorization_metric": ["numpy", "scipy", "torch", "typing", "torchvision", "cv2"], "modelscope.metrics.accuracy_metric": ["numpy", "typing"], "modelscope.metrics.ocr_recognition_metric": ["torch", "edit_distance", "numpy", "typing"], "modelscope.metrics.prediction_saving_wrapper": ["numpy", "sklearn", "typing"], "modelscope.metrics.base": ["abc", "typing"], "modelscope.metrics.video_super_resolution_metric.niqe": ["scipy", "math", "numpy", "cv2"], "modelscope.metrics.video_super_resolution_metric.metric_util": ["numpy"], "modelscope.metrics.video_super_resolution_metric.video_super_resolution_metric": ["numpy", "typing"], "modelscope.metrics.video_super_resolution_metric.matlab_functions": ["math", "torch", "numpy"], "modelscope.pipelines.nlp.sentence_embedding_pipeline": ["torch", "numpy", "typing"], "modelscope.pipelines.nlp.codegeex_code_generation_pipeline": ["typing"], "modelscope.pipelines.nlp.word_segmentation_pipeline": ["torch", "typing"], "modelscope.pipelines.nlp.mglm_text_summarization_pipeline": ["typing", "os"], "modelscope.pipelines.nlp.translation_evaluation_pipeline": ["numpy", "enum", "os", "torch", "typing"], "modelscope.pipelines.nlp.siamese_uie_pipeline": ["pathlib", "math", "scipy", "time", "json", "os", "logging", "torch", "tqdm", "copy", "typing"], "modelscope.pipelines.nlp.text_error_correction_pipeline": ["torch", "typing"], "modelscope.pipelines.nlp.text_classification_pipeline": ["torch", "numpy", "typing"], "modelscope.pipelines.nlp.dialog_modeling_pipeline": ["typing"], "modelscope.pipelines.nlp.translation_quality_estimation_pipeline": ["io", "transformers", "os", "torch", "typing"], "modelscope.pipelines.nlp.summarization_pipeline": ["torch", "typing"], "modelscope.pipelines.nlp.document_grounded_dialog_generate_pipeline": ["typing"], "modelscope.pipelines.nlp.automatic_post_editing_pipeline": ["numpy", "html", "tensorflow", "jieba", "sentencepiece", "os", "sacremoses", "typing"], "modelscope.pipelines.nlp.named_entity_recognition_pipeline": ["typing"], "modelscope.pipelines.nlp.document_segmentation_pipeline": ["numpy", "re", "transformers", "datasets", "torch", "typing"], "modelscope.pipelines.nlp.interactive_translation_pipeline": ["subword_nmt", "numpy", "tensorflow", "jieba", "os", "sacremoses", "typing"], "modelscope.pipelines.nlp.extractive_summarization_pipeline": ["numpy", "re", "datasets", "torch", "typing"], "modelscope.pipelines.nlp.feature_extraction_pipeline": ["torch", "typing", "os"], "modelscope.pipelines.nlp.distributed_plug_pipeline": ["torch", "typing"], "modelscope.pipelines.nlp.glm130b_text_generation_pipeline": ["typing"], "modelscope.pipelines.nlp.table_question_answering_pipeline": ["json", "transformers", "os", "torch", "typing"], "modelscope.pipelines.nlp.user_satisfaction_estimation_pipeline": ["torch", "numpy", "typing"], "modelscope.pipelines.nlp.fid_dialogue_pipeline": ["torch", "re", "typing"], "modelscope.pipelines.nlp.token_classification_pipeline": ["torch", "numpy", "typing"], "modelscope.pipelines.nlp.canmt_translation_pipeline": ["torch", "sacremoses", "typing", "os"], "modelscope.pipelines.nlp.zero_shot_classification_pipeline": ["scipy", "torch", "typing"], "modelscope.pipelines.nlp.distributed_gpt_moe_pipeline": ["torch", "typing"], "modelscope.pipelines.nlp.word_alignment_pipeline": ["numpy", "typing"], "modelscope.pipelines.nlp.document_grounded_dialog_rerank_pipeline": ["numpy", "re", "pprint", "time", "transformers", "os", "ujson", "collections", "torch", "random", "sys", "typing"], "modelscope.pipelines.nlp.dialog_state_tracking_pipeline": ["typing"], "modelscope.pipelines.nlp.information_extraction_pipeline": ["torch", "typing"], "modelscope.pipelines.nlp.translation_pipeline": ["subword_nmt", "numpy", "tensorflow", "jieba", "os", "sacremoses", "typing"], "modelscope.pipelines.nlp.language_identification_pipline": ["numpy", "re", "tensorflow", "os", "typing"], "modelscope.pipelines.nlp.distributed_gpt3_pipeline": ["torch", "typing"], "modelscope.pipelines.nlp.text_generation_pipeline": ["torch", "typing", "os"], "modelscope.pipelines.nlp.fasttext_text_classification_pipeline": ["numpy", "fasttext", "sentencepiece", "os", "typing"], "modelscope.pipelines.nlp.document_grounded_dialog_retrieval_pipeline": ["numpy", "faiss", "json", "os", "typing"], "modelscope.pipelines.nlp.dialog_intent_prediction_pipeline": ["typing"], "modelscope.pipelines.nlp.conversational_text_to_sql_pipeline": ["text2sql_lgesql", "torch", "typing"], "modelscope.pipelines.nlp.faq_question_answering_pipeline": ["typing"], "modelscope.pipelines.nlp.text_ranking_pipeline": ["numpy", "typing"], "modelscope.pipelines.nlp.fill_mask_pipeline": ["numpy", "typing"], "modelscope.pipelines.nlp.codegeex_code_translation_pipeline": ["typing"], "modelscope.pipelines.cv.crowd_counting_pipeline": ["numpy", "math", "PIL", "torch", "typing", "torchvision"], "modelscope.pipelines.cv.skin_retouching_pipeline": ["numpy", "PIL", "tensorflow", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.image_instance_segmentation_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.video_multi_object_tracking_pipeline": ["torch", "typing", "os"], "modelscope.pipelines.cv.video_panoptic_segmentation_pipeline": ["numpy", "mmcv", "os", "torch", "tqdm", "typing", "cv2"], "modelscope.pipelines.cv.action_detection_pipeline": ["math", "typing", "os"], "modelscope.pipelines.cv.image_debanding_pipeline": ["torch", "typing", "torchvision"], "modelscope.pipelines.cv.ddpm_semantic_segmentation_pipeline": ["torch", "typing", "torchvision"], "modelscope.pipelines.cv.image_bts_depth_estimation_pipeline": ["numpy", "albumentations", "torch", "typing", "cv2"], "modelscope.pipelines.cv.image_human_parsing_pipeline": ["torch", "numpy", "typing", "torchvision"], "modelscope.pipelines.cv.face_reconstruction_pipeline": ["numpy", "face_alignment", "io", "shutil", "PIL", "tensorflow", "scipy", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.indoor_layout_estimation_pipeline": ["numpy", "typing", "cv2"], "modelscope.pipelines.cv.video_inpainting_pipeline": ["typing"], "modelscope.pipelines.cv.vision_middleware_pipeline": ["numpy", "mmcv", "math", "os", "torch", "typing", "torchvision"], "modelscope.pipelines.cv.tinynas_classification_pipeline": ["math", "os", "torch", "typing", "torchvision"], "modelscope.pipelines.cv.facial_expression_recognition_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.maskdino_instance_segmentation_pipeline": ["torch", "typing", "torchvision"], "modelscope.pipelines.cv.nerf_recon_acc_pipeline": ["typing"], "modelscope.pipelines.cv.image_denoise_pipeline": ["torch", "typing", "torchvision"], "modelscope.pipelines.cv.image_quality_assessment_mos_pipeline": ["numpy", "math", "tempfile", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.animal_recognition_pipeline": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.image_detection_pipeline": ["numpy", "typing"], "modelscope.pipelines.cv.pedestrian_attribute_recognition_pipeline": ["numpy", "PIL", "json", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.video_instance_segmentation_pipeline": ["numpy", "mmcv", "os", "torch", "tqdm", "typing", "cv2"], "modelscope.pipelines.cv.image_portrait_enhancement_pipeline": ["numpy", "math", "PIL", "scipy", "torch", "typing", "cv2"], "modelscope.pipelines.cv.image_defrcn_fewshot_pipeline": ["torch", "numpy", "typing", "os"], "modelscope.pipelines.cv.image_quality_assessment_man_pipeline": ["numpy", "math", "tempfile", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.video_deinterlace_pipeline": ["numpy", "math", "tempfile", "subprocess", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.card_detection_pipeline": ["typing"], "modelscope.pipelines.cv.face_liveness_ir_pipeline": ["numpy", "onnxruntime", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.image_salient_detection_pipeline": ["typing"], "modelscope.pipelines.cv.video_single_object_tracking_pipeline": ["typing", "os", "cv2"], "modelscope.pipelines.cv.motion_generation_pipeline": ["numpy", "tempfile", "os", "torch", "typing"], "modelscope.pipelines.cv.face_recognition_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.face_image_generation_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.image_restoration_pipeline": ["typing"], "modelscope.pipelines.cv.table_recognition_pipeline": ["numpy", "math", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.image_body_reshaping_pipeline": ["typing"], "modelscope.pipelines.cv.image_open_vocabulary_detection_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.mask_face_recognition_pipeline": ["numpy", "PIL", "os", "torch", "collections", "typing", "cv2"], "modelscope.pipelines.cv.general_recognition_pipeline": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.video_object_segmentation_pipeline": ["numpy", "PIL", "os", "torch", "typing", "torchvision"], "modelscope.pipelines.cv.image_classification_pipeline": ["torch", "numpy", "typing"], "modelscope.pipelines.cv.hicossl_video_embedding_pipeline": ["math", "torch", "typing", "os"], "modelscope.pipelines.cv.vop_retrieval_se_pipeline": ["numpy", "gzip", "os", "torch", "typing"], "modelscope.pipelines.cv.ocr_utils.resnet_utils": ["tensorflow", "collections", "tf_slim"], "modelscope.pipelines.cv.ocr_utils.model_resnet18_half": ["torch", "os"], "modelscope.pipelines.cv.ocr_utils.model_dla34": ["math", "torch", "numpy", "os"], "modelscope.pipelines.cv.ocr_utils.ops": ["uuid", "absl", "numpy", "math", "shutil", "tensorflow", "os", "sys", "cv2"], "modelscope.pipelines.cv.ocr_utils.resnet18_v1": ["tensorflow", "tf_slim"], "modelscope.pipelines.cv.ocr_utils.model_convnext_transformer": ["torch"], "modelscope.pipelines.cv.ocr_utils.model_resnet_mutex_v4_linewithchar": ["tensorflow", "tf_slim"], "modelscope.pipelines.cv.ocr_utils.utils": ["pyclipper", "numpy", "shapely", "cv2"], "modelscope.pipelines.cv.ocr_utils.table_process": ["numpy", "math", "torch", "random", "copy", "cv2"], "modelscope.pipelines.cv.ocr_utils.ocr_modules.convnext": ["torch"], "modelscope.pipelines.cv.ocr_utils.ocr_modules.vitstr": ["__future__", "logging", "torch", "copy", "functools"], "modelscope.pipelines.cv.ocr_utils.ocr_modules.timm_tinyc": ["logging", "functools", "math", "torch", "collections", "copy", "itertools"], "modelscope.pipelines.cv.ocr_utils.model_vlpt": ["math", "torch", "sys", "os"], "modelscope.pipelines.cv.face_attribute_recognition_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.license_plate_detection_pipeline": ["numpy", "math", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.face_detection_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.product_retrieval_embedding_pipeline": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.image_depth_estimation_pipeline": ["numpy", "PIL", "torch", "typing", "cv2"], "modelscope.pipelines.cv.mtcnn_face_detection_pipeline": ["torch", "typing", "os"], "modelscope.pipelines.cv.mobile_image_super_resolution_pipeline": ["numpy", "torchvision", "torch", "typing", "skimage"], "modelscope.pipelines.cv.face_liveness_xc_pipeline": ["numpy", "onnxruntime", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.easycv_pipelines.detection_pipeline": ["typing"], "modelscope.pipelines.cv.easycv_pipelines.face_2d_keypoints_pipeline": ["numpy", "typing", "math", "copy", "cv2"], "modelscope.pipelines.cv.easycv_pipelines.segmentation_pipeline": ["numpy", "typing"], "modelscope.pipelines.cv.easycv_pipelines.human_wholebody_keypoint_pipeline": ["typing", "os"], "modelscope.pipelines.cv.easycv_pipelines.base": ["numpy", "easycv", "glob", "PIL", "os", "typing"], "modelscope.pipelines.cv.image_panoptic_segmentation_pipeline": ["numpy", "PIL", "torch", "typing", "cv2"], "modelscope.pipelines.cv.image_face_fusion_pipeline": ["numpy", "typing"], "modelscope.pipelines.cv.cmdssl_video_embedding_pipeline": ["numpy", "decord", "PIL", "os", "torch", "typing", "torchvision"], "modelscope.pipelines.cv.image_mvs_depth_estimation_pipeline": ["tempfile", "shutil", "typing", "os"], "modelscope.pipelines.cv.image_matting_pipeline": ["numpy", "tensorflow", "os", "typing", "cv2"], "modelscope.pipelines.cv.video_super_resolution_pipeline": ["numpy", "math", "tempfile", "subprocess", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.ocr_detection_pipeline": ["numpy", "math", "tensorflow", "os", "torch", "typing", "tf_slim", "cv2"], "modelscope.pipelines.cv.content_check_pipeline": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.text_driven_segmentation_pipleline": ["typing"], "modelscope.pipelines.cv.image_deblur_pipeline": ["torch", "typing", "torchvision"], "modelscope.pipelines.cv.realtime_video_object_detection_pipeline": ["numpy", "PIL", "json", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.image_cartoon_pipeline": ["numpy", "tensorflow", "os", "typing", "cv2"], "modelscope.pipelines.cv.pointcloud_sceneflow_estimation_pipeline": ["torch", "numpy", "typing", "plyfile"], "modelscope.pipelines.cv.video_depth_estimation_pipeline": ["typing"], "modelscope.pipelines.cv.panorama_depth_estimation_pipeline": ["numpy", "PIL", "torch", "typing", "cv2"], "modelscope.pipelines.cv.tinynas_detection_pipeline": ["typing"], "modelscope.pipelines.cv.face_recognition_onnx_ir_pipeline": ["numpy", "onnxruntime", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.hand_2d_keypoints_pipeline": ["os"], "modelscope.pipelines.cv.image_driving_perception_pipeline": ["numpy", "typing", "os", "cv2"], "modelscope.pipelines.cv.image_colorization_pipeline": ["numpy", "PIL", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.live_category_pipeline": ["numpy", "decord", "PIL", "os", "torch", "typing", "torchvision"], "modelscope.pipelines.cv.lineless_table_recognition_pipeline": ["numpy", "math", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.vision_efficient_tuning_pipeline": ["torch", "numpy", "typing", "torchvision"], "modelscope.pipelines.cv.video_frame_interpolation_pipeline": ["numpy", "math", "cv2", "glob", "tempfile", "os", "torch", "typing", "torchvision", "subprocess"], "modelscope.pipelines.cv.mog_face_detection_pipeline": ["numpy", "typing", "os"], "modelscope.pipelines.cv.image_semantic_segmentation_pipeline": ["numpy", "PIL", "torch", "typing", "cv2"], "modelscope.pipelines.cv.body_2d_keypoints_pipeline": ["numpy", "PIL", "json", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.vop_retrieval_pipeline": ["numpy", "pickle", "gzip", "tqdm", "math", "os", "collections", "torch", "random", "typing"], "modelscope.pipelines.cv.video_summarization_pipeline": ["numpy", "os", "torch", "tqdm", "typing", "cv2"], "modelscope.pipelines.cv.face_processing_base_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.language_guided_video_summarization_pipeline": ["numpy", "shutil", "PIL", "tempfile", "os", "torch", "clip", "random", "typing", "cv2"], "modelscope.pipelines.cv.tbs_detection_utils.utils": ["numpy", "colorsys", "PIL", "os", "pandas", "torch", "matplotlib", "__future__", "torchvision"], "modelscope.pipelines.cv.video_stabilization_pipeline": ["numpy", "math", "cv2", "glob", "tempfile", "os", "torch", "typing", "subprocess"], "modelscope.pipelines.cv.image_color_enhance_pipeline": ["torch", "typing", "torchvision"], "modelscope.pipelines.cv.virtual_try_on_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.video_human_matting_pipeline": ["moviepy", "numpy", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.referring_video_object_segmentation_pipeline": ["moviepy", "numpy", "einops", "PIL", "tempfile", "torch", "tqdm", "typing", "torchvision"], "modelscope.pipelines.cv.movie_scene_segmentation_pipeline": ["torch", "typing"], "modelscope.pipelines.cv.image_matching_pipeline": ["numpy", "PIL", "torch", "typing", "cv2"], "modelscope.pipelines.cv.face_emotion_pipeline": ["numpy", "typing"], "modelscope.pipelines.cv.face_quality_assessment_pipeline": ["numpy", "onnxruntime", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.controllable_image_generation_pipeline": ["numpy", "math", "cv2", "glob", "tempfile", "os", "torch", "typing", "subprocess"], "modelscope.pipelines.cv.ulfd_face_detection_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.image_paintbyexample_pipeline": ["numpy", "einops", "PIL", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.face_recognition_onnx_fm_pipeline": ["numpy", "onnxruntime", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.video_colorization_pipeline": ["numpy", "PIL", "tempfile", "subprocess", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.face_human_hand_detection_pipeline": ["numpy", "typing"], "modelscope.pipelines.cv.product_segmentation_pipeline": ["numpy", "typing"], "modelscope.pipelines.cv.shop_segmentation_pipleline": ["typing"], "modelscope.pipelines.cv.facial_landmark_confidence_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.image_to_image_generate_pipeline": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.action_recognition_pipeline": ["math", "torch", "typing", "os"], "modelscope.pipelines.cv.retina_face_detection_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.image_inpainting_sdv2_pipeline": ["numpy", "typing", "math", "tempfile", "os", "diffusers", "torch", "sys", "cv2"], "modelscope.pipelines.cv.image_inpainting_pipeline": ["numpy", "PIL", "torch", "typing", "cv2"], "modelscope.pipelines.cv.face_recognition_ood_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.bad_image_detecting_pipeline": ["torch", "numpy", "typing"], "modelscope.pipelines.cv.video_category_pipeline": ["numpy", "decord", "PIL", "json", "os", "torch", "typing", "torchvision"], "modelscope.pipelines.cv.ocr_recognition_pipeline": [], "modelscope.pipelines.cv.image_quality_assessment_degradation_pipeline": ["numpy", "math", "tempfile", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.image_skychange_pipeline": ["pdb", "numpy", "cv2", "PIL", "time", "typing"], "modelscope.pipelines.cv.ddcolor_image_colorization_pipeline": ["numpy", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.cv.object_detection_3d_pipeline": ["numpy", "PIL", "tempfile", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.body_3d_keypoints_pipeline": ["numpy", "tempfile", "datetime", "os", "mpl_toolkits", "torch", "matplotlib", "typing", "cv2"], "modelscope.pipelines.cv.image_structured_model_probing_pipeline": ["numpy", "mmcv", "math", "os", "torch", "typing", "torchvision"], "modelscope.pipelines.cv.arc_face_recognition_pipeline": ["numpy", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.image_to_image_translation_pipeline": ["numpy", "typing", "io", "PIL", "os", "torch", "sys", "torchvision", "cv2"], "modelscope.pipelines.cv.hand_static_pipeline": ["numpy", "typing"], "modelscope.pipelines.cv.image_super_resolution_pipeline": ["numpy", "PIL", "torch", "typing", "cv2"], "modelscope.pipelines.cv.vidt_pipeline": ["torch", "typing", "torchvision"], "modelscope.pipelines.cv.image_style_transfer_pipeline": ["numpy", "typing", "os", "cv2"], "modelscope.pipelines.cv.tbs_detection_pipeline": ["numpy", "colorsys", "PIL", "os", "torch", "typing", "cv2"], "modelscope.pipelines.cv.human_reconstruction_pipeline": ["numpy", "shutil", "trimesh", "os", "torch", "typing"], "modelscope.pipelines.cv.image_reid_person_pipeline": ["math", "PIL", "os", "torch", "typing", "torchvision"], "modelscope.pipelines.builder": ["typing", "os"], "modelscope.pipelines.audio.asr_wenet_inference_pipeline": ["typing"], "modelscope.pipelines.audio.voice_activity_detection_pipeline": ["yaml", "funasr", "json", "os", "typing"], "modelscope.pipelines.audio.separation_pipeline": ["numpy", "io", "soundfile", "torch", "typing"], "modelscope.pipelines.audio.kws_farfield_pipeline": ["numpy", "io", "soundfile", "typing", "wave"], "modelscope.pipelines.audio.speaker_diarization_pipeline": ["yaml", "numpy", "shutil", "json", "os", "typing"], "modelscope.pipelines.audio.lm_infer_pipeline": ["typing", "os"], "modelscope.pipelines.audio.ans_dfsmn_pipeline": ["numpy", "io", "librosa", "soundfile", "os", "torch", "collections", "sys", "typing"], "modelscope.pipelines.audio.inverse_text_processing_pipeline": ["shutil", "yaml", "typing", "os"], "modelscope.pipelines.audio.speaker_verification_light_pipeline": ["io", "torch", "soundfile", "typing"], "modelscope.pipelines.audio.kws_kwsbp_pipeline": ["json", "typing", "os"], "modelscope.pipelines.audio.timestamp_pipeline": ["yaml", "funasr", "json", "os", "typing"], "modelscope.pipelines.audio.text_to_speech_pipeline": ["numpy", "typing"], "modelscope.pipelines.audio.speaker_verification_pipeline": ["shutil", "yaml", "typing", "os"], "modelscope.pipelines.audio.linear_aec_pipeline": ["numpy", "yaml", "scipy", "importlib", "os", "torch", "typing"], "modelscope.pipelines.audio.punctuation_processing_pipeline": ["shutil", "yaml", "typing", "os"], "modelscope.pipelines.audio.asr_inference_pipeline": ["yaml", "typing", "os", "json"], "modelscope.pipelines.audio.ans_pipeline": ["numpy", "io", "soundfile", "librosa", "torch", "typing"], "modelscope.pipelines.multi_modal.asr_pipeline": ["torch", "typing"], "modelscope.pipelines.multi_modal.image_captioning_pipeline": ["torch", "typing"], "modelscope.pipelines.multi_modal.multi_modal_embedding_pipeline": ["typing"], "modelscope.pipelines.multi_modal.mgeo_ranking_pipeline": ["torch", "numpy", "typing"], "modelscope.pipelines.multi_modal.soonet_video_temporal_grounding_pipeline": ["numpy", "os", "torch", "typing", "torchvision"], "modelscope.pipelines.multi_modal.efficient_diffusion_tuning_pipeline": ["numpy", "PIL", "torch", "typing", "torchvision", "cv2"], "modelscope.pipelines.multi_modal.visual_grounding_pipeline": ["torch", "typing"], "modelscope.pipelines.multi_modal.text_to_image_synthesis_pipeline": ["torch", "typing"], "modelscope.pipelines.multi_modal.diffusers_wrapped.diffusers_pipeline": ["typing", "os"], "modelscope.pipelines.multi_modal.diffusers_wrapped.stable_diffusion.chinese_stable_diffusion_pipeline": ["numpy", "PIL", "transformers", "diffusers", "torch", "typing", "cv2"], "modelscope.pipelines.multi_modal.diffusers_wrapped.stable_diffusion.stable_diffusion_pipeline": ["numpy", "PIL", "diffusers", "torch", "typing", "cv2"], "modelscope.pipelines.multi_modal.video_captioning_pipeline": ["torch", "typing"], "modelscope.pipelines.multi_modal.sudoku_pipeline": ["torch", "typing"], "modelscope.pipelines.multi_modal.document_vl_embedding_pipeline": ["torch", "typing"], "modelscope.pipelines.multi_modal.generative_multi_modal_embedding_pipeline": ["typing"], "modelscope.pipelines.multi_modal.gridvlp_pipeline": ["numpy", "traceback", "PIL", "json", "transformers", "os", "torch", "time", "typing"], "modelscope.pipelines.multi_modal.disco_guided_diffusion_pipeline.utils": ["numpy", "math", "torch", "warnings", "fractions"], "modelscope.pipelines.multi_modal.disco_guided_diffusion_pipeline.disco_guided_diffusion": ["numpy", "math", "gc", "PIL", "importlib", "json", "os", "torch", "clip", "torchvision", "cv2"], "modelscope.pipelines.multi_modal.visual_question_answering_pipeline": ["torch", "typing"], "modelscope.pipelines.multi_modal.video_multi_modal_embedding_pipeline": ["typing"], "modelscope.pipelines.multi_modal.video_question_answering_pipeline": ["torch", "typing"], "modelscope.pipelines.multi_modal.text_to_video_synthesis_pipeline": ["einops", "tempfile", "torch", "typing", "cv2"], "modelscope.pipelines.multi_modal.image_text_retrieval_pipeline": ["torch", "typing"], "modelscope.pipelines.multi_modal.team_multi_modal_similarity_pipeline": ["typing"], "modelscope.pipelines.multi_modal.ocr_recognition_pipeline": ["torch", "typing"], "modelscope.pipelines.multi_modal.visual_entailment_pipeline": ["torch", "typing"], "modelscope.pipelines.multi_modal.text2sql_pipeline": ["torch", "typing"], "modelscope.pipelines.util": ["typing", "os"], "modelscope.pipelines.base": ["packaging", "numpy", "multiprocessing", "threading", "abc", "os", "torch", "random", "typing", "functools"], "modelscope.pipelines.science.protein_structure_pipeline": ["numpy", "json", "os", "unicore", "torch", "time", "typing"], "modelscope.preprocessors.image": ["numpy", "io", "PIL", "typing", "cv2"], "modelscope.preprocessors.nlp.dialog_classification_use_preprocessor": ["torch", "typing", "transformers"], "modelscope.preprocessors.nlp.siamese_uie_preprocessor": ["typing", "transformers"], "modelscope.preprocessors.nlp.bert_seq_cls_tokenizer": ["typing", "transformers"], "modelscope.preprocessors.nlp.transformers_tokenizer": ["json", "collections", "transformers", "os"], "modelscope.preprocessors.nlp.zero_shot_classification_preprocessor": ["typing"], "modelscope.preprocessors.nlp.document_grounded_dialog_retrieval_preprocessor": ["torch", "transformers", "os", "typing"], "modelscope.preprocessors.nlp.text_generation_preprocessor": ["torch", "numpy", "typing", "os"], "modelscope.preprocessors.nlp.space_T_cn.table_question_answering_preprocessor": ["torch", "transformers", "os", "typing"], "modelscope.preprocessors.nlp.space_T_cn.fields.struct": [], "modelscope.preprocessors.nlp.space_T_cn.fields.schema_link": ["re"], "modelscope.preprocessors.nlp.space_T_cn.fields.database": ["sqlite3", "json", "tqdm"], "modelscope.preprocessors.nlp.canmt_translation": ["sacremoses", "subword_nmt", "jieba", "os", "torch", "typing"], "modelscope.preprocessors.nlp.text_clean": ["re", "sys", "codecs"], "modelscope.preprocessors.nlp.token_classification_viet_preprocessor": ["torch", "typing"], "modelscope.preprocessors.nlp.document_segmentation_preprocessor": ["typing"], "modelscope.preprocessors.nlp.text_error_correction": ["torch", "transformers", "os", "typing"], "modelscope.preprocessors.nlp.text_ranking_preprocessor": ["typing", "transformers"], "modelscope.preprocessors.nlp.mglm_summarization_preprocessor": ["re", "os", "typing"], "modelscope.preprocessors.nlp.sentence_embedding_preprocessor": ["typing"], "modelscope.preprocessors.nlp.mgeo_ranking_preprocessor": ["torch", "transformers", "typing"], "modelscope.preprocessors.nlp.fill_mask_preprocessor": ["numpy", "re", "abc", "os", "torch", "typing"], "modelscope.preprocessors.nlp.document_grounded_dialog_generate_preprocessor": ["torch", "transformers", "os", "typing"], "modelscope.preprocessors.nlp.feature_extraction_preprocessor": ["numpy", "typing"], "modelscope.preprocessors.nlp.document_grounded_dialog_rerank_preprocessor": ["transformers", "os", "torch", "copy", "typing"], "modelscope.preprocessors.nlp.space_T_en.conversational_text_to_sql_preprocessor": ["text2sql_lgesql", "json", "os", "torch", "typing"], "modelscope.preprocessors.nlp.space_T_en.fields.parse": [], "modelscope.preprocessors.nlp.space_T_en.fields.preprocess_dataset": ["text2sql_lgesql"], "modelscope.preprocessors.nlp.space_T_en.fields.process_dataset": ["pickle", "text2sql_lgesql", "sys", "os"], "modelscope.preprocessors.nlp.space_T_en.fields.common_utils": ["numpy", "text2sql_lgesql", "sqlite3", "nltk", "os", "itertools"], "modelscope.preprocessors.nlp.token_classification_preprocessor": ["torch", "numpy", "typing"], "modelscope.preprocessors.nlp.utils": ["numpy", "json", "transformers", "os", "collections", "typing"], "modelscope.preprocessors.nlp.token_classification_thai_preprocessor": ["typing"], "modelscope.preprocessors.nlp.relation_extraction_preprocessor": ["typing", "transformers"], "modelscope.preprocessors.nlp.faq_question_answering_preprocessor": ["torch", "typing"], "modelscope.preprocessors.nlp.text_classification_preprocessor": ["numpy", "typing"], "modelscope.preprocessors.nlp.space.args": ["argparse", "json"], "modelscope.preprocessors.nlp.space.dialog_intent_prediction_preprocessor": ["json", "typing", "os"], "modelscope.preprocessors.nlp.space.dialog_state_tracking_preprocessor": ["typing"], "modelscope.preprocessors.nlp.space.batch": [], "modelscope.preprocessors.nlp.space.tokenizer": ["__future__", "unicodedata", "json", "regex", "os", "logging", "collections", "sys", "functools"], "modelscope.preprocessors.nlp.space.tensorlistdataset": ["torch"], "modelscope.preprocessors.nlp.space.dst_processors": ["numpy", "json", "re", "logging", "six", "tqdm"], "modelscope.preprocessors.nlp.space.lazy_dataset": ["json"], "modelscope.preprocessors.nlp.space.data_loader": ["math", "numpy", "os"], "modelscope.preprocessors.nlp.space.fields.gen_field": ["numpy", "asyncio", "json", "os", "collections", "random", "itertools"], "modelscope.preprocessors.nlp.space.fields.intent_field": ["numpy", "multiprocessing", "re", "tqdm", "glob", "json", "os", "collections", "random", "time", "itertools"], "modelscope.preprocessors.nlp.space.sampler": ["numpy"], "modelscope.preprocessors.nlp.space.dialog_modeling_preprocessor": ["typing", "os"], "modelscope.preprocessors.nlp.space.preprocess": ["glob", "os"], "modelscope.preprocessors.nlp.word_alignment_preprocessor": ["numpy", "os", "torch", "typing", "itertools"], "modelscope.preprocessors.nlp.translation_evaluation_preprocessor": ["typing", "transformers"], "modelscope.preprocessors.cv.bad_image_detecting_preprocessor": ["numpy", "math", "PIL", "torch", "typing", "torchvision"], "modelscope.preprocessors.cv.mmcls_preprocessor": ["numpy", "typing", "os"], "modelscope.preprocessors.cv.controllable_image_generation": ["numpy", "math", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.preprocessors.cv.image_classification_preprocessor": ["numpy", "PIL", "os", "torch", "typing", "torchvision", "cv2"], "modelscope.preprocessors.cv.image_quality_assessment_man": ["numpy", "math", "PIL", "torch", "typing", "torchvision"], "modelscope.preprocessors.cv.image_quality_assessment_mos": ["numpy", "math", "typing", "torchvision", "cv2"], "modelscope.preprocessors.cv.timer": ["time"], "modelscope.preprocessors.cv.video_stabilization": ["torch", "numpy", "cv2"], "modelscope.preprocessors.cv.image_restoration_preprocessor": ["numpy", "math", "PIL", "torch", "typing", "torchvision"], "modelscope.preprocessors.cv.video_super_resolution": ["collections", "os", "cv2"], "modelscope.preprocessors.cv.util": ["shutil", "collections", "sys", "os"], "modelscope.preprocessors.cv.cv2_transforms": ["numpy", "numbers", "cv2", "math", "torch", "random", "collections"], "modelscope.preprocessors.cv.action_detection_mapper": ["scipy", "numpy", "decord", "detectron2", "torch", "random", "copy"], "modelscope.preprocessors.kws": ["yaml", "typing", "os"], "modelscope.preprocessors.builder": [], "modelscope.preprocessors.audio": ["numpy", "io", "scipy", "os", "torch", "typing"], "modelscope.preprocessors.movie_scene_segmentation.transforms": ["numpy", "PIL", "numbers", "os", "torch", "random", "typing", "torchvision"], "modelscope.preprocessors.multi_modal": ["numpy", "decord", "io", "PIL", "timm", "json", "os", "torch", "typing", "torchvision"], "modelscope.preprocessors.common": ["numpy", "torch", "collections", "time", "typing"], "modelscope.preprocessors.ofa.text_to_image_synthesis": ["torch", "typing"], "modelscope.preprocessors.ofa.text_classification": ["torch", "typing"], "modelscope.preprocessors.ofa.visual_question_answering": ["torch", "typing", "torchvision", "PIL"], "modelscope.preprocessors.ofa.visual_entailment": ["torch", "typing", "torchvision", "PIL"], "modelscope.preprocessors.ofa.text2sql": ["re", "os", "torch", "random", "typing"], "modelscope.preprocessors.ofa.ocr_recognition": ["unicodedata2", "zhconv", "torch", "typing", "torchvision"], "modelscope.preprocessors.ofa.summarization": ["torch", "typing"], "modelscope.preprocessors.ofa.sudoku": ["torch", "numpy", "typing"], "modelscope.preprocessors.ofa.image_classification": ["PIL", "timm", "torch", "functools", "typing", "torchvision"], "modelscope.preprocessors.ofa.image_captioning": ["torch", "typing", "torchvision"], "modelscope.preprocessors.ofa.utils.text2phone": [], "modelscope.preprocessors.ofa.utils.collate": ["torch", "numpy", "typing"], "modelscope.preprocessors.ofa.utils.constant": [], "modelscope.preprocessors.ofa.utils.transforms": ["numpy", "torch", "random", "torchvision", "PIL"], "modelscope.preprocessors.ofa.utils.random_help": ["torch", "torch_xla"], "modelscope.preprocessors.ofa.utils.audio_helper": ["torch", "numpy", "typing"], "modelscope.preprocessors.ofa.utils.vision_helper": ["numpy", "cv2"], "modelscope.preprocessors.ofa.utils.bridge_content_encoder": ["sqlite3", "difflib", "rapidfuzz", "typing", "functools"], "modelscope.preprocessors.ofa.utils.get_tables": ["sys", "sqlite3", "traceback"], "modelscope.preprocessors.ofa.base": ["torchaudio", "numpy", "string", "re", "io", "PIL", "json", "os", "torch"], "modelscope.preprocessors.ofa.visual_grounding": ["numpy", "PIL", "torch", "typing", "torchvision"], "modelscope.preprocessors.ofa.asr": ["pathlib", "librosa", "soundfile", "os", "torch", "random", "typing", "fairseq"], "modelscope.preprocessors.base": ["abc", "typing", "os"], "modelscope.preprocessors.science.uni_fold": ["tarfile", "hashlib", "pathlib", "os", "logging", "unittest", "torch", "random", "time", "numpy", "re", "pickle", "gzip", "ipdb", "requests", "json", "tqdm", "typing"], "modelscope.preprocessors.video": ["numpy", "uuid", "decord", "math", "urllib", "tempfile", "os", "torch", "random", "torchvision"], "modelscope.preprocessors.asr": ["typing", "os"], "modelscope.preprocessors.tts": ["typing", "os", "kantts"], "modelscope.trainers.nlp.text_ranking_trainer": ["numpy", "dataclasses", "torch", "tqdm", "time", "typing"], "modelscope.trainers.nlp.document_grounded_dialog_rerank_trainer": ["numpy", "transformers", "os", "torch", "random", "time", "typing"], "modelscope.trainers.nlp.plug_trainer": ["megatron_util", "os", "deepspeed", "torch", "typing"], "modelscope.trainers.nlp.faq_question_answering_trainer": ["numpy", "distutils", "contextlib", "dataclasses", "torch", "collections", "typing", "functools"], "modelscope.trainers.nlp.gpt3_trainer": ["torch", "copy", "os", "typing"], "modelscope.trainers.nlp.table_question_answering_trainer": ["numpy", "json", "os", "torch", "tqdm", "time", "typing"], "modelscope.trainers.nlp.sentence_embedding_trainer": ["numpy", "dataclasses", "transformers", "torch", "tqdm", "time", "typing"], "modelscope.trainers.nlp.gpt_moe_trainer": ["megatron_util", "os", "torch", "collections", "typing"], "modelscope.trainers.nlp.sequence_classification_trainer": ["numpy", "time", "typing"], "modelscope.trainers.nlp.siamese_uie_trainer": ["numpy", "math", "json", "random", "os", "torch", "collections", "time", "typing"], "modelscope.trainers.nlp.text_generation_trainer": ["torch", "collections"], "modelscope.trainers.nlp.document_grounded_dialog_retrieval_trainer": ["numpy", "faiss", "json", "transformers", "os", "torch", "tqdm"], "modelscope.trainers.nlp.csanmt_translation_trainer": ["tensorflow", "time", "os", "typing"], "modelscope.trainers.nlp.space.dialog_intent_trainer": ["numpy", "typing", "os"], "modelscope.trainers.nlp.space.metrics.metrics_tracker": ["math", "collections"], "modelscope.trainers.nlp.space.dialog_modeling_trainer": ["numpy", "time", "os", "typing"], "modelscope.trainers.nlp.space.eval": ["numpy", "sklearn", "math", "nltk", "json", "collections"], "modelscope.trainers.nlp.space.trainer.gen_trainer": ["numpy", "tqdm", "json", "transformers", "os", "torch", "collections", "time"], "modelscope.trainers.nlp.space.trainer.intent_trainer": ["numpy", "tqdm", "json", "transformers", "os", "torch", "collections", "time"], "modelscope.trainers.nlp.document_grounded_dialog_generate_trainer": ["string", "re", "json", "transformers", "os", "torch", "sacrebleu", "tqdm", "rouge", "collections"], "modelscope.trainers.cv.action_detection_trainer": ["fvcore", "detectron2", "os", "torch", "typing"], "modelscope.trainers.cv.referring_video_object_segmentation_trainer": ["torch", "os"], "modelscope.trainers.cv.image_instance_segmentation_trainer": [], "modelscope.trainers.cv.image_defrcn_fewshot_detection_trainer": ["detectron2", "os", "torch", "collections", "typing"], "modelscope.trainers.cv.image_detection_damoyolo_trainer": ["math", "easydict", "datetime", "os", "torch", "time", "typing"], "modelscope.trainers.cv.vision_efficient_tuning_trainer": ["torch", "typing"], "modelscope.trainers.cv.ocr_recognition_trainer": ["torch", "collections", "time"], "modelscope.trainers.cv.image_classifition_trainer": ["numpy", "copy", "os", "torch", "time", "typing"], "modelscope.trainers.cv.movie_scene_segmentation_trainer": [], "modelscope.trainers.cv.image_portrait_enhancement_trainer": ["torch", "collections"], "modelscope.trainers.cv.nerf_recon_acc_trainer": ["numpy", "typing", "tqdm", "glob", "datetime", "os", "torch", "random", "time", "cv2"], "modelscope.trainers.cv.image_inpainting_trainer": ["torch", "collections", "time"], "modelscope.trainers.cv.cartoon_translation_trainer": ["packaging", "numpy", "tensorflow", "os", "tqdm", "typing"], "modelscope.trainers.cv.ocr_detection_db_trainer": ["copy", "numpy", "math", "easydict", "datetime", "os", "torch", "tqdm", "time", "typing"], "modelscope.trainers.cv.card_detection_scrfd_trainer": [], "modelscope.trainers.cv.face_detection_scrfd_trainer": ["time", "copy", "os", "typing"], "modelscope.trainers.trainer": ["distutils", "json", "inspect", "os", "torch", "collections", "copy", "functools", "typing"], "modelscope.trainers.builder": [], "modelscope.trainers.default_config": ["typing"], "modelscope.trainers.optimizer.builder": ["torch", "inspect", "typing"], "modelscope.trainers.optimizer.child_tuning_adamw_optimizer": ["types", "numpy", "math", "torch", "typing"], "modelscope.trainers.easycv.trainer": ["easycv", "torch", "copy", "functools", "typing"], "modelscope.trainers.easycv.utils.register_util": ["inspect", "logging"], "modelscope.trainers.easycv.utils.metric": ["torch", "numpy", "typing", "itertools"], "modelscope.trainers.easycv.utils.hooks": [], "modelscope.trainers.audio.kws_farfield_trainer": ["numpy", "pickle", "math", "glob", "datetime", "os", "torch", "typing"], "modelscope.trainers.audio.tts_trainer": ["shutil", "zipfile", "tempfile", "json", "os", "typing"], "modelscope.trainers.audio.separation_trainer": ["torchaudio", "numpy", "csv", "os", "speechbrain", "torch", "tqdm", "typing"], "modelscope.trainers.audio.kws_nearfield_trainer": ["yaml", "re", "datetime", "os", "tensorboardX", "torch", "copy", "typing"], "modelscope.trainers.audio.ans_trainer": [], "modelscope.trainers.audio.asr_trainer": ["shutil", "funasr", "tempfile", "json", "os", "typing"], "modelscope.trainers.audio.kws_utils.batch_utils": ["numpy", "math", "datetime", "os", "torch", "collections", "sys", "typing"], "modelscope.trainers.audio.kws_utils.model_utils": ["numpy", "yaml", "re", "shutil", "glob", "os", "torch"], "modelscope.trainers.audio.kws_utils.runtime_utils": ["stat", "re", "codecs", "shutil", "json", "os", "collections", "sys"], "modelscope.trainers.audio.kws_utils.file_utils": ["re"], "modelscope.trainers.audio.kws_utils.det_utils": ["numpy", "glob", "kaldiio", "json", "os", "torch", "matplotlib", "threading"], "modelscope.trainers.training_args": ["re", "argparse", "dataclasses", "typing", "functools"], "modelscope.trainers.hooks.checkpoint_hook": ["packaging", "numpy", "re", "os", "torch", "random", "time"], "modelscope.trainers.hooks.logger.tensorboard_hook": ["torch", "numpy", "os"], "modelscope.trainers.hooks.logger.text_logger_hook": ["json", "datetime", "os", "torch", "collections"], "modelscope.trainers.hooks.logger.base": ["abc", "torch", "numpy", "numbers"], "modelscope.trainers.hooks.iter_timer_hook": ["time"], "modelscope.trainers.hooks.deepspeed_hook": ["megatron_util", "shutil", "os", "deepspeed", "torch"], "modelscope.trainers.hooks.builder": [], "modelscope.trainers.hooks.optimizer.apex_optimizer_hook": ["packaging", "torch", "logging"], "modelscope.trainers.hooks.optimizer.torch_optimizer_hook": ["logging"], "modelscope.trainers.hooks.optimizer.base": ["torch", "logging"], "modelscope.trainers.hooks.evaluation_hook": ["collections"], "modelscope.trainers.hooks.megatron_hook": ["torch", "megatron_util", "copy", "os"], "modelscope.trainers.hooks.ddp_hook": [], "modelscope.trainers.hooks.priority": ["enum", "typing"], "modelscope.trainers.hooks.lr_scheduler_hook": [], "modelscope.trainers.hooks.clip_clamp_logit_scale_hook": ["torch"], "modelscope.trainers.hooks.hook": ["functools"], "modelscope.trainers.hooks.compression.sparsity_hook": ["os"], "modelscope.trainers.hooks.compression.utils": ["torch"], "modelscope.trainers.hooks.early_stop_hook": ["numpy"], "modelscope.trainers.multi_modal.mplug.mplug_trainer": ["torch", "collections", "typing"], "modelscope.trainers.multi_modal.clip.clip_trainer": ["math", "torch", "typing", "os"], "modelscope.trainers.multi_modal.clip.clip_trainer_utils": ["math", "inspect", "os", "torch", "functools"], "modelscope.trainers.multi_modal.team.team_trainer_utils": ["torch", "torchvision", "PIL"], "modelscope.trainers.multi_modal.team.team_trainer": ["numpy", "sklearn", "os", "torch", "collections", "typing"], "modelscope.trainers.multi_modal.ofa.ofa_trainer_utils": ["numpy", "transformers", "os", "math", "torch", "shutil"], "modelscope.trainers.multi_modal.ofa.ofa_trainer": ["math", "shutil", "tempfile", "json", "os", "torch", "typing", "functools"], "modelscope.trainers.multi_modal.mgeo_ranking_trainer": ["torch", "dataclasses", "typing"], "modelscope.trainers.multi_modal.efficient_diffusion_tuning.efficient_diffusion_tuning_trainer": ["torch", "typing"], "modelscope.trainers.nlp_trainer": ["torch", "numpy", "typing", "os"], "modelscope.trainers.parallel.builder": ["torch"], "modelscope.trainers.parallel.utils": [], "modelscope.trainers.utils.inference": ["pickle", "tqdm", "shutil", "os", "logging", "torch", "collections"], "modelscope.trainers.utils.log_buffer": ["numpy", "collections"], "modelscope.trainers.lrscheduler.builder": ["packaging", "torch", "inspect"], "modelscope.trainers.lrscheduler.warmup.warmup": [], "modelscope.trainers.lrscheduler.warmup.base": ["torch"], "modelscope.trainers.base": ["abc", "time", "os", "typing"], "modelscope.msdatasets.context.dataset_context_config": ["typing"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.transforms.transforms": ["numpy", "torch", "random", "torchvision", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.transforms.build": [], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.datasets.mosaic_wrapper": ["numpy", "math", "torch", "random", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.datasets.coco": ["torch", "numpy", "torchvision", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.build": ["math", "torch", "bisect", "copy"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.collate_batch": [], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.samplers.grouped_batch_sampler": ["torch", "itertools"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.samplers.distributed": ["math", "torch"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.samplers.iteration_based_batch_sampler": ["torch"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.evaluation.coco.coco_eval": ["torch", "tempfile", "collections", "os"], "modelscope.msdatasets.dataset_cls.custom_datasets.hand_2d_keypoints.hand_2d_keypoints_dataset": ["easycv"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_recognition_dataset": ["numpy", "PIL", "lmdb", "json", "os", "torch", "six", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.video_stabilization.video_stabilization_dataset": [], "modelscope.msdatasets.dataset_cls.custom_datasets.mgeo_ranking_dataset": ["torch", "json", "random", "typing"], "modelscope.msdatasets.dataset_cls.custom_datasets.builder": [], "modelscope.msdatasets.dataset_cls.custom_datasets.veco_dataset": ["datasets", "numpy", "typing"], "modelscope.msdatasets.dataset_cls.custom_datasets.bad_image_detecting.bad_image_detecting_dataset": [], "modelscope.msdatasets.dataset_cls.custom_datasets.torch_custom_dataset": ["torch", "typing"], "modelscope.msdatasets.dataset_cls.custom_datasets.referring_video_object_segmentation.transformers": ["torch", "random", "torchvision", "PIL"], "modelscope.msdatasets.dataset_cls.custom_datasets.referring_video_object_segmentation.referring_video_object_segmentation_dataset": ["pycocotools", "numpy", "glob", "json", "h5py", "os", "pandas", "torch", "tqdm", "torchvision"], "modelscope.msdatasets.dataset_cls.custom_datasets.audio.kws_farfield_dataset": ["numpy", "math", "os", "torch", "threading", "queue"], "modelscope.msdatasets.dataset_cls.custom_datasets.audio.asr_dataset": ["os"], "modelscope.msdatasets.dataset_cls.custom_datasets.audio.kws_nearfield_dataset": ["torch", "random"], "modelscope.msdatasets.dataset_cls.custom_datasets.audio.kws_nearfield_processor": ["torchaudio", "numpy", "kaldiio", "json", "torch", "random"], "modelscope.msdatasets.dataset_cls.custom_datasets.movie_scene_segmentation.movie_scene_segmentation_dataset": ["json", "os", "torch", "random", "copy", "torchvision"], "modelscope.msdatasets.dataset_cls.custom_datasets.movie_scene_segmentation.sampler": ["numpy", "random"], "modelscope.msdatasets.dataset_cls.custom_datasets.object_detection.detection_dataset": ["easycv"], "modelscope.msdatasets.dataset_cls.custom_datasets.video_summarization_dataset": ["numpy", "json", "h5py", "os", "torch"], "modelscope.msdatasets.dataset_cls.custom_datasets.easycv_base": ["os"], "modelscope.msdatasets.dataset_cls.custom_datasets.face_2d_keypoins.face_2d_keypoints_dataset": ["easycv"], "modelscope.msdatasets.dataset_cls.custom_datasets.video_frame_interpolation.video_frame_interpolation_dataset": ["torch", "numpy", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.video_frame_interpolation.data_utils": ["torch", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.random_crop_data": ["numpy", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.make_icdar_data": ["torch", "numpy", "collections", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.data_process": [], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.make_seg_detection_data": ["pyclipper", "numpy", "shapely", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.normalize_image": ["torch", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.augment_data": ["math", "numpy", "imgaug", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.make_border_map": ["pyclipper", "numpy", "shapely", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.measures.quad_measurer": ["numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.measures.iou_evaluator": ["numpy", "collections", "shapely"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.image_dataset": ["numpy", "math", "glob", "bisect", "os", "logging", "torch", "functools", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.augmenter": ["imgaug"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.data_loader": ["numpy", "math", "bisect", "torch", "imgaug"], "modelscope.msdatasets.dataset_cls.custom_datasets.gopro_image_deblurring_dataset": ["numpy", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.language_guided_video_summarization_dataset": ["numpy", "json", "h5py", "os", "torch"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_portrait_enhancement.data_utils": ["torch", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_portrait_enhancement.image_portrait_enhancement_dataset": ["numpy", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_inpainting.aug": ["imgaug", "albumentations"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_inpainting.image_inpainting_dataset": ["numpy", "albumentations", "glob", "enum", "os", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.human_wholebody_keypoint.human_wholebody_keypoint_dataset": ["easycv"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_classification.classification_dataset": ["easycv"], "modelscope.msdatasets.dataset_cls.custom_datasets.text_ranking_dataset": ["torch", "random", "typing"], "modelscope.msdatasets.dataset_cls.custom_datasets.reds_image_deblurring_dataset": ["numpy", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_quality_assessment_degradation.image_quality_assessment_degradation_dataset": ["torchvision"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_instance_segmentation_coco_dataset": ["pycocotools", "numpy", "os"], "modelscope.msdatasets.dataset_cls.custom_datasets.sidd_image_denoising.transforms": ["random"], "modelscope.msdatasets.dataset_cls.custom_datasets.sidd_image_denoising.sidd_image_denoising_dataset": ["numpy", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.sidd_image_denoising.data_utils": ["torch", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.video_super_resolution.video_super_resolution_dataset": ["torch", "numpy", "collections", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_quality_assmessment_mos.image_quality_assessment_mos_dataset": [], "modelscope.msdatasets.dataset_cls.custom_datasets.image_semantic_segmentation.segmentation_dataset": ["easycv"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_colorization.image_colorization_dataset": ["torch", "numpy", "cv2"], "modelscope.msdatasets.dataset_cls.dataset": ["PIL", "os", "pandas", "datasets", "copy"], "modelscope.msdatasets.meta.data_meta_manager": ["shutil", "json", "os", "datasets", "collections"], "modelscope.msdatasets.meta.data_meta_config": [], "modelscope.msdatasets.download.download_config": ["datasets", "typing"], "modelscope.msdatasets.download.dataset_builder": ["pyarrow", "os", "pandas", "datasets", "typing"], "modelscope.msdatasets.download.download_manager": ["datasets"], "modelscope.msdatasets.audio.asr_dataset": [], "modelscope.msdatasets.ms_dataset": ["numpy", "os", "datasets", "warnings", "typing"], "modelscope.msdatasets.task_datasets.torch_base_dataset": [], "modelscope.msdatasets.task_datasets.sidd_image_denoising": [], "modelscope.msdatasets.task_datasets.video_summarization_dataset": [], "modelscope.msdatasets.task_datasets.gopro_image_deblurring_dataset": [], "modelscope.msdatasets.task_datasets.reds_image_deblurring_dataset": [], "modelscope.msdatasets.utils.upload_utils": ["os", "multiprocessing", "tqdm"], "modelscope.msdatasets.utils.delete_utils": [], "modelscope.msdatasets.utils.oss_utils": ["multiprocessing", "os", "oss2", "datasets", "__future__"], "modelscope.msdatasets.utils.dataset_utils": ["collections", "typing", "os"], "modelscope.msdatasets.data_loader.data_loader_manager": ["abc", "datasets", "enum", "os"], "modelscope.msdatasets.data_loader.data_loader": ["abc", "datasets", "typing", "os"], "modelscope.msdatasets.data_files.data_files_manager": ["datasets", "typing", "os"], "modelscope.msdatasets.auth.auth_config": ["http", "typing"], "modelscope.exporters.tf_model_exporter": ["tensorflow", "typing", "os"], "modelscope.exporters.nlp.model_for_token_classification_exporter": ["torch", "collections", "typing"], "modelscope.exporters.nlp.csanmt_for_translation_exporter": ["tensorflow", "typing", "os"], "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter": ["torch", "collections", "typing"], "modelscope.exporters.nlp.sbert_for_zero_shot_classification_exporter": ["collections", "typing"], "modelscope.exporters.cv.face_detection_scrfd_exporter": ["numpy", "onnx", "os", "torch", "typing", "functools"], "modelscope.exporters.cv.object_detection_damoyolo_exporter": ["numpy", "onnx", "os", "torch", "typing", "functools"], "modelscope.exporters.cv.cartoon_translation_exporter": ["tensorflow", "packaging", "typing", "os"], "modelscope.exporters.builder": [], "modelscope.exporters.torch_model_exporter": ["contextlib", "os", "torch", "typing", "itertools"], "modelscope.exporters.base": ["abc", "typing", "os"]}, "version": "1.5.2", "md5": "a4533205a073c907e811da89956b0c9c", "files_mtime": {"TEMPLATE_PATH/models/nlp/palm_v2/text_generation.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/palm_v2/configuration.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/palm_v2/dureader_eval.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/gpt2/backbone.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/bart/text_error_correction.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/structbert/text_classification.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/structbert/fill_mask.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/structbert/faq_question_answering.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/structbert/backbone.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/structbert/token_classification.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/structbert/adv_utils.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/structbert/configuration.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/fid_T5/text_generation.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/space_T_cn/backbone.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space_T_cn/table_question_answering.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space_T_cn/configuration.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/veco/text_classification.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/veco/fill_mask.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/veco/backbone.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/veco/token_classification.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/veco/configuration.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/mglm/blocklm_utils.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/generation_utils.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/configure_data.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/test/test_block.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/test/test_rel_shift.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/process_grid.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/mglm_for_text_summarization.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/train_utils.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/run_test.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/data_utils/lazy_loader.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/data_utils/tokenization_gpt2.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/data_utils/datasets.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/data_utils/sp_tokenizer.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/data_utils/samplers.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/data_utils/extraction.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/data_utils/wordpiece.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/data_utils/file_utils.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/data_utils/corpora.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/data_utils/tokenization.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/utils.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/arguments.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/tasks/seq2seq/evaluate.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/tasks/seq2seq/dataset.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/tasks/seq2seq/finetune.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/tasks/superglue/evaluate.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/tasks/superglue/dataset.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/tasks/superglue/finetune.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/tasks/superglue/pvp.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/tasks/language_model/detokenizer.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/tasks/language_model/dataset.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/tasks/language_model/finetune.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/tasks/data_utils.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/tasks/eval_utils.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/mglm/model/modeling_glm.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/model/downstream.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/model/transformer.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/model/distributed.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/model/prompt.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/mglm/model/modeling_bert.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/glm_130b/quantization/functional.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/glm_130b/quantization/layers.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/glm_130b/text_generation.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/glm_130b/initialize.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/glm_130b/generation/strategies.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt3/text_generation.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt3/tokenizer.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt3/backbone.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt3/distributed_gpt3.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt3/configuration.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/plug/distributed_plug.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/plug/AnnealingLR.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/plug/backbone.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/plug/generator.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/plug/configuration.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/fid_plug/text_generation.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/fid_plug/backbone.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/fid_plug/configuration.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/lstm/backbone.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/lstm/token_classification.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/ponet/fill_mask.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/ponet/backbone.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/ponet/document_segmentation.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/ponet/tokenization.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/ponet/configuration.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/gpt_neo/backbone.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/plug_mental/text_classification.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/plug_mental/backbone.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/plug_mental/adv_utils.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/plug_mental/configuration.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/dgds/document_grounded_dialog_generate.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/dgds/document_grounded_dialog_retrieval.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/dgds/backbone.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/dgds/document_grounded_dialog_rerank.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/llama/text_generation.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/llama/backbone.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/llama/convert_llama_weights_to_hf.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/llama/tokenization.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/llama/configuration.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/llama/tokenization_fast.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/deberta_v2/fill_mask.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/deberta_v2/backbone.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/deberta_v2/tokenization.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/deberta_v2/configuration.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/deberta_v2/tokenization_fast.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/xlm_roberta/backbone.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/xlm_roberta/configuration.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/peer/text_classification.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/peer/backbone.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/peer/sas_utils.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/peer/configuration.py": 1682131573.17944, "TEMPLATE_PATH/models/nlp/codegeex/tokenizer.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/codegeex/codegeex.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/codegeex/codegeex_for_code_translation.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/codegeex/inference.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/codegeex/codegeex_for_code_generation.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/canmt/sequence_generator.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/canmt/canmt_translation.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/canmt/canmt_model.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/megatron_bert/fill_mask.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/megatron_bert/backbone.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/megatron_bert/configuration.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/space_T_en/text_to_sql.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/heads/token_classification_head.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/heads/infromation_extraction_head.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/heads/fill_mask_head.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/heads/text_generation_head.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/heads/text_ranking_head.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/heads/text_classification_head.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/heads/crf_head.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/heads/torch_pretrain_head.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/task_models/text_classification.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/task_models/fill_mask.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/task_models/text_generation.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/task_models/text_ranking.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/task_models/token_classification.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/task_models/task_model.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/task_models/information_extraction.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/task_models/feature_extraction.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/use/user_satisfaction_estimation.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/use/transformer.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/csanmt/translation.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/bert/text_classification.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/bert/fill_mask.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/bert/sentence_embedding.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/bert/word_alignment.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/bert/text_ranking.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/bert/backbone.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/bert/token_classification.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/bert/document_segmentation.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/bert/siamese_uie.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/bert/configuration.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/hf_transformers/backbone.py": 1682131573.1754398, "TEMPLATE_PATH/models/nlp/space/dialog_modeling.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/dialog_intent_prediction.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/dialog_state_tracking.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/modules/transformer_block.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/modules/embedder.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/modules/functions.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/modules/multihead_attention.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/modules/feedforward.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/model/model_base.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/model/intent_unified_transformer.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/model/generator.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/model/tokenization_space.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/model/gen_unified_transformer.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/model/unified_transformer.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/space/configuration.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/T5/backbone.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/T5/text2text_generation.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/T5/configuration.py": 1682131573.1674392, "TEMPLATE_PATH/models/nlp/gpt_moe/checkpointing.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt_moe/text_generation.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt_moe/moe/experts.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt_moe/moe/sharded_moe.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt_moe/moe/utils.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt_moe/moe/layer.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt_moe/moe/mappings.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt_moe/tokenizer.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt_moe/backbone.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt_moe/distributed_gpt_moe.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/gpt_moe/configuration.py": 1682131573.1714394, "TEMPLATE_PATH/models/nlp/unite/modeling_unite.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/unite/configuration_unite.py": 1682131573.1834404, "TEMPLATE_PATH/models/nlp/bloom/backbone.py": 1682131573.1674392, "TEMPLATE_PATH/models/cv/face_reconstruction/models/facelandmark/nets/large_eyeball_net.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_reconstruction/models/facelandmark/nets/large_base_lmks_net.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_reconstruction/models/facelandmark/large_base_lmks_infer.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_reconstruction/models/losses.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_reconstruction/models/facerecon_model.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_reconstruction/models/networks.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_reconstruction/models/opt.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_reconstruction/models/pix2pix/networks.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_reconstruction/models/pix2pix/pix2pix_model.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/face_reconstruction/models/pix2pix/pix2pix_options.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/face_reconstruction/models/de_retouching_module.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_reconstruction/models/nv_diffrast.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_reconstruction/models/renderer.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/face_reconstruction/models/bfm.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_reconstruction/models/unet.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/face_reconstruction/utils.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/facial_expression_recognition/fer/facial_expression_recognition.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/facial_expression_recognition/fer/transforms.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/facial_expression_recognition/fer/vgg.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/tinynas_detection/detector.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/tinynas_detector.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/tinynas_damoyolo.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/utils.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/apis/detector_evaluater.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/apis/detector_inference.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/detectors/detector.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/necks/giraffe_fpn.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/necks/giraffe_fpn_btn.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/necks/giraffe_config.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/backbones/tinynas_csp.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/backbones/darknet.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/backbones/tinynas_res.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/heads/gfocal_v2_tiny.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/heads/zero_head.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/repvgg_block.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/weight_init.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/ops.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/ota_assigner.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/utils.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/base_ops.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/neck_ops.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/losses/distill_loss.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/losses/gfocal_loss.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/augmentations/box_level_augs/color_augs.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/augmentations/box_level_augs/geometric_augs.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/augmentations/box_level_augs/gaussian_maps.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/augmentations/box_level_augs/box_level_augs.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/augmentations/scale_aware_aug.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/utils/model_utils.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/utils/boxes.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/utils/scheduler.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/structures/image_list.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/structures/bounding_box.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/structures/boxlist_ops.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/image_depth_estimation/newcrfs_model.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_depth_estimation/networks/uper_crf_head.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_depth_estimation/networks/swin_transformer.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_depth_estimation/networks/newcrf_layers.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_depth_estimation/networks/newcrf_depth.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_depth_estimation/networks/newcrf_utils.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_to_image_translation/data/transforms.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_translation/models/autoencoder.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_translation/models/clip.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_translation/model_translation.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/apps.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/losses.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/metrics.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/diffusion.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/svd.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/utils.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/random_color.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/degradation.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/random_mask.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/super_resolution/rrdbnet_arch.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/super_resolution/ecbsr_model.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/super_resolution/ecb.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/super_resolution/arch_util.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/model.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/backbone.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/vision_efficient_tuning.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/timm_weight_init.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/petl.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/timm_vision_transformer.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/head.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/timm_helpers.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/hand_static/hand_model.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/hand_static/networks.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/models/roi_heads.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/models/calibration_layer.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/models/gdl.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/models/defrcn.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/models/resnet.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/models/fast_rcnn.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/utils/voc_register.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/utils/register_data.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/utils/model_surgery_op.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/utils/configuration_mapper.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/utils/coco_register.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/utils/requirements_check.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/evaluation/coco_evaluation.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/evaluation/pascal_voc_evaluation.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/evaluation/evaluator.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/defrcn_for_fewshot.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/panovit.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/panovit.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/misc/fourier.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/misc/post_proc.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/misc/panostretch.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/backbone/resnet_DA.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/backbone/vit_horizon_pry_image.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/modality/layout.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/utils.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/hand_2d_keypoints/hand_2d_keypoints.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/video_summarization/base_model.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_summarization/summarizer.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_summarization/pgl_sum.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_summarization/kts/cpd_nonlin.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_summarization/kts/cpd_auto.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/face_generation/stylegan2.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_generation/op/upfirdn2d.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_generation/op/fused_act.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_generation/op/conv2d_gradfix.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/body_2d_keypoints/hrnet_v2.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/body_2d_keypoints/w48.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/body_2d_keypoints/hrnet_basic_modules.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/cartoon/facelib/face_landmark.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/cartoon/facelib/face_detector.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/cartoon/facelib/config.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/cartoon/facelib/facer.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/cartoon/facelib/LK/lk.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/cartoon/loss.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/cartoon/network.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/cartoon/utils.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/cartoon/mtcnn_pytorch/src/matlab_cp2tform.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/cartoon/mtcnn_pytorch/src/align_trans.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/cartoon/model_tf.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/image_paintbyexample/model.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/shop_segmentation/shop_seg_base.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/shop_segmentation/head_fpn.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/shop_segmentation/models.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/shop_segmentation/neck_fpn.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/shop_segmentation/shop_seg_model.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/shop_segmentation/common.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/shop_segmentation/utils.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/action_detection/action_detection_onnx.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/action_detection/modules/action_detection_pytorch.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/action_detection/modules/resnet.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/motion_generation/model.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/motion_generation/modules/respace.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/motion_generation/modules/cfg_sampler.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/motion_generation/modules/mdm.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/motion_generation/modules/rotation2xyz.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/motion_generation/modules/gaussian_diffusion.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/motion_generation/modules/smpl.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/image_deblur/nafnet_for_image_deblur.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/colmap2mvsnet.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/casmvs_model.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/depth_filter.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/module.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/general_eval_dataset.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/utils.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/cas_mvsnet.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/RAFT/corr.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/RAFT/extractor.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/RAFT/raft.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/RAFT/update.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/DUT_raft.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/Smoother.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/MotionPro.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/rf_det_module.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/config.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/rf_det_so.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/DUTRAFTStabilizer.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/utils/WarpUtils.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_stabilization/utils/image_utils.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_stabilization/utils/math_utils.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_stabilization/utils/MedianFilter.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/utils/ProjectionUtils.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_stabilization/utils/IterativeSmooth.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_stabilization/utils/RAFTUtils.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/abnormal_object_detection/mmdet_ms/roi_head/roi_extractors/single_level_roi_extractor.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/abnormal_object_detection/mmdet_ms/roi_head/mask_scoring_roi_head.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/abnormal_object_detection/mmdet_model.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/face_human_hand_detection/nanodet_plus_head.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_human_hand_detection/det_infer.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_human_hand_detection/shufflenetv2.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_human_hand_detection/one_stage_detector.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_human_hand_detection/utils.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_human_hand_detection/ghost_pan.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_recognition/align_face.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_recognition/torchkit/rts_backbone.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_recognition/torchkit/backbone/arcface_backbone.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_recognition/torchkit/backbone/facemask_backbone.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_recognition/torchkit/backbone/model_irse.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_recognition/torchkit/backbone/common.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_recognition/torchkit/backbone/model_resnet.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/image_color_enhance/image_color_enhance.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_color_enhance/csrnet.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_color_enhance/adaint/adaint.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_color_enhance/deeplpf/deeplpfnet.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_color_enhance/deeplpf/deeplpf_image_color_enhance.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/vision_middleware/model.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vision_middleware/backbone.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vision_middleware/vim.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vision_middleware/head.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/bad_image_detecting/bad_image_detecting.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/salient_detection/models/u2net.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/salient_detection/models/backbone/Res2Net_v1b.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/salient_detection/models/utils.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/salient_detection/models/senet.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/salient_detection/models/modules.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/salient_detection/salient_model.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/body_3d_keypoints/cannonical_pose/body_3d_pose.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/body_3d_keypoints/cannonical_pose/canonical_pose_modules.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/hdformer_detector.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/hdformer.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/backbone.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/skeleton.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/directed_graph.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/block.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/vop_retrieval/tokenization_clip.py": 1682131573.1554382, "TEMPLATE_PATH/models/cv/vop_retrieval/model_se.py": 1682131573.1554382, "TEMPLATE_PATH/models/cv/vop_retrieval/basic_utils.py": 1682131573.1554382, "TEMPLATE_PATH/models/cv/vop_retrieval/model.py": 1682131573.1554382, "TEMPLATE_PATH/models/cv/vop_retrieval/backbone.py": 1682131573.1554382, "TEMPLATE_PATH/models/cv/vidt/model.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vidt/backbone.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vidt/fpn_fusion.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vidt/head.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/vidt/deformable_transformer.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/pedestrian_attribute_recognition/model.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/image_restoration/demoire_models/nets.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_restoration/image_restoration_model.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/result_vis.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/necks/cp_fpn.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/backbones/vovnet.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/dense_heads/depth_net.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/dense_heads/petrv2_dednhead.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/detectors/petr3d.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/petr_transformer.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/positional_encoding.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/pipelines/transform_3d.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/pipelines/loading.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/nuscenes_dataset.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/assigners/hungarian_assigner_3d.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/match_costs/match_cost.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/coders/nms_free_coder.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/util.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/depe_detect.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/image_matching/config/default.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/backbone/resnet_fpn.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/loftr.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/utils/fine_matching.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/utils/coarse_matching.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/utils/position_encoding.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/loftr_module/fine_preprocess.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/loftr_module/transformer.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/loftr_module/quadtree_attention.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/loftr_module/linear_attention.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_matching/quadtree_attention_model.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_matching/utils/misc.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/face_2d_keypoints/face_2d_keypoints_align.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/virual_tryon/sdafnet.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/action_recognition/tada_convnext.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/action_recognition/models.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/action_recognition/s3dg.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/action_recognition/temporal_patch_shift_transformer.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/image_face_fusion/image_face_fusion.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/facegan/model.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/facegan/op/upfirdn2d.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/facegan/op/fused_act.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/facegan/op/conv2d_gradfix.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/facegan/gan_wrap.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/facelib/matlab_cp2tform.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/facelib/align_trans.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/network/facerecon_model.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/network/aei_flow_net.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/network/model_irse.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/network/aad_layer.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/network/ops.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/network/dense_motion.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_face_fusion/network/bfm.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/model.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/misc.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/postprocessing.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/mttr.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/segmentation.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/multimodal_transformer.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/criterion.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/swin_transformer.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/position_encoding_2d.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/matcher.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/backbone.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/image_instance_segmentation/backbones/swin_transformer.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_instance_segmentation/datasets/transforms.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino_swin.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino/dino_decoder.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino/maskdino_decoder.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino/ms_deform_attn.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino/utils.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino/maskdino_encoder.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino/position_encoding.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino_model.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_instance_segmentation/model.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_instance_segmentation/cascade_mask_rcnn_swin.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_instance_segmentation/postprocess_utils.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/models/model.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/models/decode.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/models/common.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/models/yolo.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/tracker/basetrack.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/tracker/multitracker.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/tracker/matching.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/utils/image.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/utils/visualization.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/utils/utils.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/utils/kalman_filter.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/face_emotion/face_alignment/face_align.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_emotion/face_alignment/face.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_emotion/emotion_model.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_emotion/efficient/model.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_emotion/efficient/utils.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_emotion/emotion_infer.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/movie_scene_segmentation/model.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/movie_scene_segmentation/get_model.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/movie_scene_segmentation/utils/save_op.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/movie_scene_segmentation/utils/trn.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/movie_scene_segmentation/utils/shot_encoder.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/movie_scene_segmentation/utils/head.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/image_body_reshaping/person_info.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_body_reshaping/image_body_reshaping.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_body_reshaping/pose_estimator/body.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_body_reshaping/pose_estimator/model.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_body_reshaping/pose_estimator/util.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_body_reshaping/slim_utils.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_body_reshaping/model.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/stream_yolo/data/data_augment.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/stream_yolo/models/dfp_pafpn.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/stream_yolo/models/darknet.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/stream_yolo/models/network_blocks.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/stream_yolo/models/streamyolo.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/stream_yolo/models/tal_head.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/stream_yolo/realtime_video_detector.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/stream_yolo/exp/base_exp.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/stream_yolo/exp/build.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/stream_yolo/exp/yolox_base.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/stream_yolo/exp/default/streamyolo.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/stream_yolo/utils/boxes.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/stream_yolo/utils/format.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/facial_landmark_confidence/flc/manual_landmark_net.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/facial_landmark_confidence/flc/facial_landmark_confidence.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_binary_quant_classification/binary_quant_model.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_binary_quant_classification/bnext.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/face_detection/mtcnn/models/detector.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/mtcnn/models/box_utils.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/mtcnn/models/first_stage.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/mtcnn/models/get_nets.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/peppa_pig_face/face_landmark.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/peppa_pig_face/face_detector.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/peppa_pig_face/facer.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/peppa_pig_face/LK/lk.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/mogface/models/detectors.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/mogface/models/resnet.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/mogface/models/utils.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/mogface/models/mogface.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/mogface/models/mogprednet.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/box_utils.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/transforms.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/ssd/data_preprocessing.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/ssd/fd_config.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/ssd/ssd.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/ssd/mb_tiny_fd.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/ssd/predictor.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/mb_tiny.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/detection.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_detection/retinaface/models/net.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/retinaface/models/retinaface.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/retinaface/detection.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/retinaface/utils.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/scrfd_detect.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_detection/scrfd/tinymog_detect.py": 1682131573.0954337, "TEMPLATE_PATH/models/cv/face_detection/scrfd/damofd_detect.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/backbones/master_net.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/backbones/mobilenet.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/backbones/resnet.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/dense_heads/scrfd_head.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/single_stage.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/scrfd.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/tinymog.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/base.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/auto_augment.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/transforms.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/formating.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/loading.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/retinaface.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/core/bbox/transforms.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/core/post_processing/bbox_nms.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/face_detection/scrfd/preprocessor.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/open_vocabulary_detection_vild/vild.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/unifuse_model.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/networks/equi.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/networks/unifuse.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/networks/mobilenet.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/networks/resnet.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/networks/layers.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/networks/util.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/object_detection/yolox_pai.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/necks/fpn.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/backbones/vit.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/dense_heads/anchor_head.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/dense_heads/rpn_head.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/roi_heads/mask_heads/fcn_mask_head.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/roi_heads/bbox_heads/convfc_bbox_head.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/utils/checkpoint.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/utils/convModule_norm.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection/dino.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/object_detection/mmdet_model.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/video_deinterlace/UNet_for_video_deinterlace.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_deinterlace/models/archs.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_deinterlace/models/deep_fourier_upsampling.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_deinterlace/models/enh.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_deinterlace/models/fre.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_deinterlace/models/utils.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_deinterlace/deinterlace_arch.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/skin_retouching/unet_deploy.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/skin_retouching/detection_model/detection_unet_in.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/skin_retouching/detection_model/detection_module.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/skin_retouching/inpainting_model/gconv.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/skin_retouching/inpainting_model/inpainting_unet.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/skin_retouching/weights_init.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/skin_retouching/retinaface/box_utils.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/skin_retouching/retinaface/prior_box.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/skin_retouching/retinaface/net.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/skin_retouching/retinaface/network.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/skin_retouching/retinaface/utils.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/skin_retouching/retinaface/predict_single.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/skin_retouching/utils.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/video_inpainting/inpainting.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_inpainting/inpainting_model.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/nerf_recon_acc/dataloader/nerf_dataset.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/nerf_recon_acc/dataloader/read_write_model.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/nerf_recon_acc/nerf_recon_acc.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/nerf_recon_acc/nerf_preprocess.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/nerf_recon_acc/network/segmenter.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/nerf_recon_acc/network/utils.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/nerf_recon_acc/network/nerf.py": 1682131573.1234357, "TEMPLATE_PATH/models/cv/easycv_base.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/image_depth_estimation_bts/depth_estimation_bts_model.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_depth_estimation_bts/networks/bts_model.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_depth_estimation_bts/networks/encoder.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_depth_estimation_bts/networks/decoder.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_depth_estimation_bts/networks/utils.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/video_frame_interpolation/VFINet_for_video_frame_interpolation.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_frame_interpolation/VFINet_arch.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_frame_interpolation/interp_model/IFNet_swin.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_frame_interpolation/interp_model/transformer_layers.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_frame_interpolation/interp_model/refinenet_arch.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_frame_interpolation/interp_model/UNet.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_frame_interpolation/interp_model/flow_reversal.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_frame_interpolation/flow_model/corr.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_frame_interpolation/flow_model/extractor.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_frame_interpolation/flow_model/raft.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_frame_interpolation/flow_model/update.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_frame_interpolation/utils/scene_change_detection.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_frame_interpolation/utils/utils.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/ocr_recognition/model.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/convnext.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/vitstr.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/timm_tinyc.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/convnextvit.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/crnn.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/ocr_recognition/preprocessor.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/image_quality_assessment_mos/backbones/resnet.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_quality_assessment_mos/image_quality_assessment_mos.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_quality_assessment_mos/heads/simple_head.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_quality_assessment_mos/censeo_ivqa_model.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/crowd_counting/cc_model.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/crowd_counting/hrnet_aspp_relu.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/language_guided_video_summarization/transformer/sub_layers.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/language_guided_video_summarization/transformer/models.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/language_guided_video_summarization/transformer/layers.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/language_guided_video_summarization/transformer/modules.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/language_guided_video_summarization/summarizer.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/ocr_detection/model.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/ocr_detection/modules/dbnet.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/ocr_detection/modules/seg_detector_loss.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/ocr_detection/utils.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/ocr_detection/preprocessor.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/cmdssl_video_embedding/resnet3d.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/cmdssl_video_embedding/resnet2p1d.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/cmdssl_video_embedding/c3d.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/neck/fpn.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/visualizer.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/track/quasi_dense_embed_tracker.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/backbone/swin_transformer.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/backbone/swin_checkpoint.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_head.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/semantic_fpn_wrapper.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_updator.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/track_heads.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/mask.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_iter_head.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_update_head.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/video_k_net.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/pointcloud_sceneflow_estimation/sf_rcp.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/pointcloud_sceneflow_estimation/pointnet2_utils.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/pointcloud_sceneflow_estimation/rcp_model.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/pointcloud_sceneflow_estimation/common.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/video_depth_estimation/models/sfm_model_mf.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/models/model_wrapper.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/models/model_checkpoint.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/models/sup_model_mf.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/models/model_utils.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/geometry/pose_utils.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/geometry/camera.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/geometry/camera_utils.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/geometry/pose.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/layers/resnet/pose_decoder.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/layers/resnet/layers.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/layers/resnet/depth_decoder.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/layers/resnet/resnet_encoder.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/optim/extractor.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/optim/update.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/depth_pose/depth_pose_net.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/dro_model.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/configs/default_config.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/misc.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/image.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/image_gt.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/types.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/depth.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/load.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/config.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/augmentations.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/horovod.py": 1682131573.139437, "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/models/dfp_pafpn_short.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/models/dfp_pafpn_long.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/models/longshort.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/models/longshort_backbone_neck.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/exp/longshortnet_base.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/longshortnet.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/robust_image_classification/easyrobust_model.py": 1682131573.1314363, "TEMPLATE_PATH/models/cv/image_panoptic_segmentation/panseg_model.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_panoptic_segmentation/r50_panseg_model.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/eqface/fqa.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/eqface/model_resnet.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/image_portrait_enhancement.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/align_faces.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/retinaface/models/net.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/retinaface/models/retinaface.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/retinaface/detection.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/retinaface/utils.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/losses/losses.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/losses/helpers.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/losses/model_irse.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/gpen.py": 1682131573.111435, "TEMPLATE_PATH/models/cv/image_inpainting/default.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_inpainting/refinement.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_inpainting/model.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_inpainting/modules/adversarial.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_inpainting/modules/perceptual.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_inpainting/modules/pix2pixhd.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_inpainting/modules/ade20k/resnet.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_inpainting/modules/ade20k/base.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_inpainting/modules/ffc.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_inpainting/modules/feature_matching.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_inpainting/modules/inception.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_inpainting/base.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/ostrack/vit_ce.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/ostrack/utils.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/ostrack/ostrack.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/ostrack/base_backbone.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/layers/attn_blocks.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/layers/attn.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/layers/patch_embed.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/layers/head.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/procontext/procontext.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/procontext/vit_ce.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/procontext/utils.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/config/ostrack.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/tracker/procontext.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/tracker/ostrack.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_single_object_tracking/utils/utils.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/human_reconstruction/models/detectors.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/human_reconstruction/models/Res_backbone.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/human_reconstruction/models/geometry.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/human_reconstruction/models/networks.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/human_reconstruction/models/Embedding.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/human_reconstruction/models/Surface_head.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/human_reconstruction/models/human_segmenter.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/human_reconstruction/models/PixToMesh.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/human_reconstruction/utils.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/human_reconstruction/Reconstruction.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/video_object_segmentation/inference_core.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_object_segmentation/model.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_object_segmentation/cbam.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_object_segmentation/network.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_object_segmentation/aggregate.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_object_segmentation/eval_network.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_object_segmentation/inference_memory_bank.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_object_segmentation/mod_resnet.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/video_object_segmentation/modules.py": 1682131573.1474376, "TEMPLATE_PATH/models/cv/product_retrieval_embedding/item_embedding.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/product_retrieval_embedding/item_model.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/product_retrieval_embedding/item_detection.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/video_human_matting/models/deep_guided_filter.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_human_matting/models/lraspp.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_human_matting/models/matting.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_human_matting/models/decoder.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_human_matting/models/effv2.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_human_matting/model.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/text_driven_segmentation/lseg_model.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/text_driven_segmentation/simple_tokenizer.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/text_driven_segmentation/clip.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/text_driven_segmentation/lseg_net.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/text_driven_segmentation/lseg_vit.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/text_driven_segmentation/model.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/text_driven_segmentation/lseg_base.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/text_driven_segmentation/lseg_blocks.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/image_debanding/rrdb/rrdb_image_debanding.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/video_instance_segmentation/neck/msdeformattn_decoder.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_instance_segmentation/track/mask_hungarian_assigner.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_instance_segmentation/track/kernel_update_head.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_instance_segmentation/video_knet.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_instance_segmentation/utils.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_head.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_updator.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_iter_head.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_frame_iter_head.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_update_head.py": 1682131573.1434374, "TEMPLATE_PATH/models/cv/human_wholebody_keypoint/human_wholebody_keypoint.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_probing_model/model.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_probing_model/backbone.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_probing_model/utils.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_classification/backbones/nextvit.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_classification/backbones/beit_v2.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_classification/mmcls_model.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_classification/utils.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_classification/resnet50_cc.py": 1682131573.099434, "TEMPLATE_PATH/models/cv/image_human_parsing/m2fp/m2fp_decoder.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_human_parsing/m2fp/m2fp_encoder.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_human_parsing/parsing_utils.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_human_parsing/backbone/deeplab_resnet.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_human_parsing/m2fp_net.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_quality_assessment_man/swin.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_quality_assessment_man/image_quality_assessment_man.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_quality_assessment_man/maniqa.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_skychange/skychange.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_skychange/ptsemseg/hrnet_super_and_ocr.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_skychange/ptsemseg/hrnet_backnone.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_skychange/ptsemseg/unet.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_skychange/ptsemseg/BlockModules.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_skychange/preprocessor.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_skychange/skychange_model.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/table_recognition/lineless_table_process.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/table_recognition/modules/lore_detector.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/table_recognition/modules/lore_processor.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/table_recognition/model_lore.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/image_quality_assessment_degradation/degradation_model.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_quality_assessment_degradation/image_quality_assessment_degradation.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_driving_perception/image_driving_percetion_model.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_driving_perception/utils.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/image_driving_perception/preprocessor.py": 1682131573.1074345, "TEMPLATE_PATH/models/cv/animal_recognition/resnet.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/animal_recognition/splat.py": 1682131573.0834327, "TEMPLATE_PATH/models/cv/product_segmentation/net.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/product_segmentation/seg_infer.py": 1682131573.1274362, "TEMPLATE_PATH/models/cv/image_denoise/nafnet_for_image_denoise.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_denoise/nafnet/NAFNet_arch.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_denoise/nafnet/arch_util.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_to_image_generation/data/transforms.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_generation/models/autoencoder.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_generation/models/clip.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_generation/model.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_generation/ops/losses.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/image_to_image_generation/ops/diffusion.py": 1682131573.1194355, "TEMPLATE_PATH/models/cv/tinynas_classfication/super_res_k1kxk1.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_classfication/basic_blocks.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_classfication/super_res_kxkx.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_classfication/super_blocks.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_classfication/master_net.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_classfication/plain_net_utils.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_classfication/global_utils.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_classfication/super_res_idwexkx.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/tinynas_classfication/model_zoo.py": 1682131573.1354368, "TEMPLATE_PATH/models/cv/video_super_resolution/basicvsr_net.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_super_resolution/real_basicvsr_net.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_super_resolution/real_basicvsr_for_video_super_resolution.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_super_resolution/msrresnet_lite_model.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/video_super_resolution/common.py": 1682131573.151438, "TEMPLATE_PATH/models/cv/controllable_image_generation/controlnet.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/vit.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/transforms.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/base_model.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/midas_net_custom.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/blocks.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/dpt_depth.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/midas_net.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/api.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/utils.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/annotator.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/openpose/body.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/openpose/hand.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/openpose/model.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/openpose/util.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/mlsd/mbv2_mlsd_large.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/mlsd/utils.py": 1682131573.087433, "TEMPLATE_PATH/models/cv/image_reid_person/transreid_model.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_reid_person/pass_model.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/face_attribute_recognition/fair_face/face_attribute_recognition.py": 1682131573.0914333, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/pan_merge/base_panoptic_fusion_head.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/pan_merge/maskformer_semantic_head.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/segformer.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/decode_heads/mask2former_head_from_mmseg.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/decode_heads/base_decode_head.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/backbone/base/beit.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/backbone/beit_adapter.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/backbone/adapter_modules.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/segmentors/base_segmentor.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/segmentors/encoder_decoder_mask2former.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/utils/data_process_func.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/utils/builder.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/utils/seg_func.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/semantic_seg_model.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/ddpm_segmentation_model.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/ddpm_seg/pixel_classifier.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/ddpm_seg/data_util.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/ddpm_seg/utils.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/ddpm_seg/feature_extractors.py": 1682131573.1154351, "TEMPLATE_PATH/models/cv/image_colorization/unet/unet.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_colorization/unet/utils.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/loss.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/ddcolor.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/ddcolor_for_image_colorization.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/utils/transformer_utils.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/utils/unet.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/utils/convnext.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/utils/position_encoding.py": 1682131573.1034343, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/utils/vgg.py": 1682131573.1034343, "TEMPLATE_PATH/models/builder.py": 1682131573.0834327, "TEMPLATE_PATH/models/base/base_head.py": 1682131573.0834327, "TEMPLATE_PATH/models/base/base_model.py": 1682131573.0834327, "TEMPLATE_PATH/models/base/base_torch_head.py": 1682131573.0834327, "TEMPLATE_PATH/models/base/base_torch_model.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/tts/sambert_hifi.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/tts/voice.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/aec/layers/affine_transform.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/aec/layers/activations.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/aec/layers/layer_base.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/aec/layers/deep_fsmn.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/aec/layers/uni_deep_fsmn.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/aec/network/loss.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/aec/network/se_net.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/aec/network/modulation_loss.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/separation/mossformer_block.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/separation/mossformer_conv_module.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/separation/layer_norm.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/separation/mossformer.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/itn/generic_inverse_text_processing.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/punc/generic_punctuation.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/ans/conv_stft.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/ans/layers/affine_transform.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/ans/layers/activations.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/ans/layers/layer_base.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/ans/layers/uni_deep_fsmn.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/ans/denoise_net.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/ans/unet.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/ans/frcrn.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/ans/complex_nn.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/ans/se_module_complex.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/sv/ecapa_tdnn.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/sv/generic_speaker_verification.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/sv/DTDNN_layers.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/sv/DTDNN.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/asr/generic_automatic_speech_recognition.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/asr/wenet_automatic_speech_recognition.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/kws/nearfield/fsmn.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/kws/nearfield/model.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/kws/nearfield/cmvn.py": 1682131573.0834327, "TEMPLATE_PATH/models/audio/kws/farfield/fsmn.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/kws/farfield/model.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/kws/farfield/fsmn_sele_v2.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/kws/farfield/model_def.py": 1682131573.0794325, "TEMPLATE_PATH/models/audio/kws/generic_key_word_spotting.py": 1682131573.0794325, "TEMPLATE_PATH/models/multi_modal/mplug/modeling_mplug.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mplug/mvit.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mplug/clip/clip.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mplug/predictor.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mplug/configuration_mplug.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mplug_for_all_tasks.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/rleg/model.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/rleg/rleg.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/clip/model.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/clip/configuration_bert.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/clip/modeling_bert.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/clip/bert_tokenizer.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/gemm/tokenizer.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/gemm/gemm_base.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/gemm/gemm_model.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/video_synthesis/autoencoder.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/video_synthesis/text_to_video_synthesis_model.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/video_synthesis/diffusion.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/video_synthesis/unet_sd.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/team/team_model.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/team/utils.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/upsampler.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/clip.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/tokenizer.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/model.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/prior.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/xglm.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/decoder.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/gaussian_diffusion.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/soonet/clip.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/soonet/swin_transformer.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/soonet/tokenizer.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/soonet/model.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/soonet/blocks.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/soonet/utils.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/vldoc/modeling_layout_roberta.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/vldoc/transformer_local.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/vldoc/processing.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/vldoc/model.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/vldoc/conv_fpn_trans.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/vldoc/convnext.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/vldoc/tokenization.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/ofa/vit.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/ofa/tokenization_ofa.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/ofa/generate/sequence_generator.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/ofa/generate/token_generation_constraints.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/ofa/generate/search.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/ofa/generate/multihead_attention.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/ofa/generate/utils.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/ofa/generate/incremental_decoding_utils.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/ofa/generate/ngram_repeat_block.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/ofa/configuration_ofa.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/ofa/modeling_ofa.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/ofa/resnet.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/ofa/tokenization_ofa_fast.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/ofa/modeling_mmspeech.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/ofa/utils/constant.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/ofa/utils/utils.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/ofa/configuration_mmspeech.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mgeo/text_classification.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mgeo/text_ranking.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mgeo/backbone.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mgeo/token_classification.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/ofa_for_text_to_image_synthesis_model.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/dpm_solver_pytorch.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/diffusion/tokenizer.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/diffusion/model.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/diffusion/unet_upsampler_256.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/diffusion/diffusion.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/diffusion/structbert.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/diffusion/unet_generator.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/diffusion/unet_upsampler_1024.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/guided_diffusion/respace.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/guided_diffusion/unet.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/guided_diffusion/gaussian_diffusion.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/guided_diffusion/script.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/efficient_diffusion_tuning/efficient_stable_diffusion.py": 1682131573.1554382, "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py": 1682131573.1634388, "TEMPLATE_PATH/models/multi_modal/mmr/models/module_cross.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mmr/models/dynamic_inverted_softmax.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mmr/models/tokenization_clip.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mmr/models/until_module.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mmr/models/module_clip.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mmr/models/clip_for_mm_video_embedding.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mmr/models/modeling.py": 1682131573.1594386, "TEMPLATE_PATH/models/multi_modal/mmr/dataloaders/rawvideo_util.py": 1682131573.1594386, "TEMPLATE_PATH/models/science/unifold/data/residue_constants.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/data/data_ops.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/data/process_multimer.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/data/protein.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/data/msa_pairing.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/data/utils.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/data/process.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/pipeline.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/parsers.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/tools/hmmsearch.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/tools/kalign.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/tools/hhblits.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/tools/jackhmmer.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/tools/utils.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/tools/hmmbuild.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/tools/hhsearch.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/mmcif.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/utils.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/templates.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/msa/msa_identifiers.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/model.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/modules/confidence.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/modules/frame.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/modules/attentions.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/modules/structure_module.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/modules/embedders.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/modules/alphafold.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/modules/common.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/modules/auxillary_heads.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/modules/template.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/modules/featurization.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/modules/triangle_multiplication.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/modules/evoformer.py": 1682131573.1874406, "TEMPLATE_PATH/models/science/unifold/config.py": 1682131573.1834404, "TEMPLATE_PATH/models/science/unifold/dataset.py": 1682131573.1874406, "TEMPLATE_PATH/metrics/video_summarization_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/movie_scene_segmentation_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/image_denoise_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/map_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/image_portrait_enhancement_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/text_generation_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/referring_video_object_segmentation_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/action_detection_evaluator.py": 1682131573.075432, "TEMPLATE_PATH/metrics/builder.py": 1682131573.075432, "TEMPLATE_PATH/metrics/token_classification_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/sequence_classification_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/image_instance_segmentation_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/video_frame_interpolation_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/loss_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/image_inpainting_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/image_quality_assessment_mos_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/video_stabilization_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/ned_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/ppl_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/audio_noise_metric.py": 1682131573.075432, "TEMPLATE_PATH/metrics/ciderD/ciderD.py": 1682131573.075432, "TEMPLATE_PATH/metrics/ciderD/ciderD_scorer.py": 1682131573.075432, "TEMPLATE_PATH/metrics/image_quality_assessment_degradation_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/bleu_metric.py": 1682131573.075432, "TEMPLATE_PATH/metrics/image_color_enhance_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/inbatch_recall_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/text_ranking_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/image_colorization_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/accuracy_metric.py": 1682131573.075432, "TEMPLATE_PATH/metrics/ocr_recognition_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/prediction_saving_wrapper.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/base.py": 1682131573.075432, "TEMPLATE_PATH/metrics/video_super_resolution_metric/niqe.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/video_super_resolution_metric/metric_util.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/video_super_resolution_metric/video_super_resolution_metric.py": 1682131573.0794325, "TEMPLATE_PATH/metrics/video_super_resolution_metric/matlab_functions.py": 1682131573.0794325, "TEMPLATE_PATH/pipelines/nlp/sentence_embedding_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/codegeex_code_generation_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/word_segmentation_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/mglm_text_summarization_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/translation_evaluation_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/siamese_uie_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/text_error_correction_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/dialog_modeling_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/translation_quality_estimation_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/summarization_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/document_grounded_dialog_generate_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/automatic_post_editing_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/named_entity_recognition_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/document_segmentation_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/interactive_translation_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/extractive_summarization_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/feature_extraction_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/distributed_plug_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/glm130b_text_generation_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/table_question_answering_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/user_satisfaction_estimation_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/fid_dialogue_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/token_classification_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/canmt_translation_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/zero_shot_classification_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/distributed_gpt_moe_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/word_alignment_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/document_grounded_dialog_rerank_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/dialog_state_tracking_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/information_extraction_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/translation_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/language_identification_pipline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/distributed_gpt3_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/fasttext_text_classification_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/document_grounded_dialog_retrieval_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/dialog_intent_prediction_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/conversational_text_to_sql_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/faq_question_answering_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/text_ranking_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/fill_mask_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/nlp/codegeex_code_translation_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/cv/crowd_counting_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/skin_retouching_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/image_instance_segmentation_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/video_multi_object_tracking_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/video_panoptic_segmentation_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/action_detection_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_debanding_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/ddpm_semantic_segmentation_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_bts_depth_estimation_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_human_parsing_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/face_reconstruction_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/indoor_layout_estimation_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/video_inpainting_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/vision_middleware_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/tinynas_classification_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/facial_expression_recognition_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/maskdino_instance_segmentation_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/nerf_recon_acc_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/image_denoise_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/image_quality_assessment_mos_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/animal_recognition_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_detection_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/pedestrian_attribute_recognition_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/video_instance_segmentation_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/image_portrait_enhancement_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/image_defrcn_fewshot_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/image_quality_assessment_man_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/video_deinterlace_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/card_detection_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/face_liveness_ir_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_salient_detection_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/video_single_object_tracking_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/motion_generation_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/face_recognition_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/face_image_generation_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_restoration_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/table_recognition_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/image_body_reshaping_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_open_vocabulary_detection_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/mask_face_recognition_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/general_recognition_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/video_object_segmentation_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/hicossl_video_embedding_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/vop_retrieval_se_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/ocr_utils/resnet_utils.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/ocr_utils/model_resnet18_half.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/ocr_utils/model_dla34.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/ocr_utils/ops.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/ocr_utils/resnet18_v1.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/ocr_utils/model_convnext_transformer.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/ocr_utils/model_resnet_mutex_v4_linewithchar.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/ocr_utils/utils.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/ocr_utils/table_process.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/ocr_utils/ocr_modules/convnext.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/ocr_utils/ocr_modules/vitstr.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/ocr_utils/ocr_modules/timm_tinyc.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/ocr_utils/model_vlpt.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/face_attribute_recognition_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/license_plate_detection_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/face_detection_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/product_retrieval_embedding_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/image_depth_estimation_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/mtcnn_face_detection_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/mobile_image_super_resolution_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/face_liveness_xc_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/easycv_pipelines/detection_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/easycv_pipelines/face_2d_keypoints_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/easycv_pipelines/segmentation_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/easycv_pipelines/human_wholebody_keypoint_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/easycv_pipelines/base.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_panoptic_segmentation_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/image_face_fusion_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/cmdssl_video_embedding_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_mvs_depth_estimation_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/image_matting_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/video_super_resolution_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/ocr_detection_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/content_check_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/text_driven_segmentation_pipleline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/image_deblur_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/realtime_video_object_detection_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/image_cartoon_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/pointcloud_sceneflow_estimation_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/video_depth_estimation_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/panorama_depth_estimation_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/tinynas_detection_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/face_recognition_onnx_ir_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/hand_2d_keypoints_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_driving_perception_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/image_colorization_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/live_category_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/lineless_table_recognition_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/vision_efficient_tuning_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/video_frame_interpolation_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/mog_face_detection_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/image_semantic_segmentation_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/body_2d_keypoints_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/vop_retrieval_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/video_summarization_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/face_processing_base_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/language_guided_video_summarization_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/tbs_detection_utils/utils.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/video_stabilization_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/image_color_enhance_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/virtual_try_on_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/video_human_matting_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/referring_video_object_segmentation_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/movie_scene_segmentation_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/image_matching_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/face_emotion_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/face_quality_assessment_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/controllable_image_generation_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/ulfd_face_detection_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/image_paintbyexample_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/face_recognition_onnx_fm_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/video_colorization_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/face_human_hand_detection_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/product_segmentation_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/shop_segmentation_pipleline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/facial_landmark_confidence_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_to_image_generate_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/action_recognition_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/retina_face_detection_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/image_inpainting_sdv2_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/image_inpainting_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/face_recognition_ood_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/bad_image_detecting_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/video_category_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/ocr_recognition_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/image_quality_assessment_degradation_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/image_skychange_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/ddcolor_image_colorization_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/object_detection_3d_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/body_3d_keypoints_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_structured_model_probing_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/arc_face_recognition_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_to_image_translation_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/hand_static_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_super_resolution_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/vidt_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/image_style_transfer_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/cv/tbs_detection_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/cv/human_reconstruction_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/cv/image_reid_person_pipeline.py": 1682131573.203442, "TEMPLATE_PATH/pipelines/builder.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/asr_wenet_inference_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/voice_activity_detection_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/separation_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/kws_farfield_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/speaker_diarization_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/lm_infer_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/ans_dfsmn_pipeline.py": 1682131573.1954415, "TEMPLATE_PATH/pipelines/audio/inverse_text_processing_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/speaker_verification_light_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/kws_kwsbp_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/timestamp_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/text_to_speech_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/speaker_verification_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/linear_aec_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/punctuation_processing_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/asr_inference_pipeline.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/audio/ans_pipeline.py": 1682131573.1954415, "TEMPLATE_PATH/pipelines/multi_modal/asr_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/image_captioning_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/multi_modal_embedding_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/mgeo_ranking_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/soonet_video_temporal_grounding_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/efficient_diffusion_tuning_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/visual_grounding_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/text_to_image_synthesis_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/diffusers_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/stable_diffusion/chinese_stable_diffusion_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/stable_diffusion/stable_diffusion_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/video_captioning_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/sudoku_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/document_vl_embedding_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/generative_multi_modal_embedding_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/gridvlp_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/disco_guided_diffusion_pipeline/utils.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/disco_guided_diffusion_pipeline/disco_guided_diffusion.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/visual_question_answering_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/multi_modal/video_multi_modal_embedding_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/video_question_answering_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/text_to_video_synthesis_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/image_text_retrieval_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/team_multi_modal_similarity_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/ocr_recognition_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/visual_entailment_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/multi_modal/text2sql_pipeline.py": 1682131573.2074423, "TEMPLATE_PATH/pipelines/util.py": 1682131573.2114427, "TEMPLATE_PATH/pipelines/base.py": 1682131573.1994417, "TEMPLATE_PATH/pipelines/science/protein_structure_pipeline.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/image.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/dialog_classification_use_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/siamese_uie_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/bert_seq_cls_tokenizer.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/transformers_tokenizer.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/zero_shot_classification_preprocessor.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/document_grounded_dialog_retrieval_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/text_generation_preprocessor.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/space_T_cn/table_question_answering_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space_T_cn/fields/struct.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space_T_cn/fields/schema_link.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space_T_cn/fields/database.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/canmt_translation.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/text_clean.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/token_classification_viet_preprocessor.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/document_segmentation_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/text_error_correction.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/text_ranking_preprocessor.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/mglm_summarization_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/sentence_embedding_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/mgeo_ranking_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/fill_mask_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/document_grounded_dialog_generate_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/feature_extraction_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/document_grounded_dialog_rerank_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space_T_en/conversational_text_to_sql_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space_T_en/fields/parse.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space_T_en/fields/preprocess_dataset.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/space_T_en/fields/process_dataset.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/space_T_en/fields/common_utils.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/token_classification_preprocessor.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/utils.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/token_classification_thai_preprocessor.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/relation_extraction_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/faq_question_answering_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/text_classification_preprocessor.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/space/args.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/dialog_intent_prediction_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/dialog_state_tracking_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/batch.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/tokenizer.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/tensorlistdataset.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/dst_processors.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/lazy_dataset.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/data_loader.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/fields/gen_field.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/fields/intent_field.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/sampler.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/dialog_modeling_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/space/preprocess.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/nlp/word_alignment_preprocessor.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/nlp/translation_evaluation_preprocessor.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/cv/bad_image_detecting_preprocessor.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/cv/mmcls_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/cv/controllable_image_generation.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/cv/image_quality_assessment_man.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/cv/image_quality_assessment_mos.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/cv/timer.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/cv/video_stabilization.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/cv/image_restoration_preprocessor.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/cv/video_super_resolution.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/cv/util.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/cv/cv2_transforms.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/cv/action_detection_mapper.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/kws.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/builder.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/audio.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/movie_scene_segmentation/transforms.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/multi_modal.py": 1682131573.215443, "TEMPLATE_PATH/preprocessors/common.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/ofa/text_to_image_synthesis.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/text_classification.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/visual_question_answering.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/visual_entailment.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/text2sql.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/ocr_recognition.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/summarization.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/sudoku.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/image_classification.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/image_captioning.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/utils/text2phone.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/utils/collate.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/utils/constant.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/utils/transforms.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/utils/random_help.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/utils/audio_helper.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/utils/vision_helper.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/utils/bridge_content_encoder.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/utils/get_tables.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/base.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/visual_grounding.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/ofa/asr.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/base.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/science/uni_fold.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/video.py": 1682131573.2194433, "TEMPLATE_PATH/preprocessors/asr.py": 1682131573.2114427, "TEMPLATE_PATH/preprocessors/tts.py": 1682131573.2194433, "TEMPLATE_PATH/trainers/nlp/text_ranking_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/document_grounded_dialog_rerank_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/plug_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/faq_question_answering_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/gpt3_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/table_question_answering_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/sentence_embedding_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/gpt_moe_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/sequence_classification_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/siamese_uie_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/text_generation_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/document_grounded_dialog_retrieval_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/csanmt_translation_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/space/dialog_intent_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/space/metrics/metrics_tracker.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/space/dialog_modeling_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/space/eval.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/space/trainer/gen_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/space/trainer/intent_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/nlp/document_grounded_dialog_generate_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/cv/action_detection_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/referring_video_object_segmentation_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/image_instance_segmentation_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/image_defrcn_fewshot_detection_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/image_detection_damoyolo_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/vision_efficient_tuning_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/ocr_recognition_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/image_classifition_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/movie_scene_segmentation_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/image_portrait_enhancement_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/nerf_recon_acc_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/image_inpainting_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/cartoon_translation_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/ocr_detection_db_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/card_detection_scrfd_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/cv/face_detection_scrfd_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/builder.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/default_config.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/optimizer/builder.py": 1682131573.227444, "TEMPLATE_PATH/trainers/optimizer/child_tuning_adamw_optimizer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/easycv/trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/easycv/utils/register_util.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/easycv/utils/metric.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/easycv/utils/hooks.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/audio/kws_farfield_trainer.py": 1682131573.2194433, "TEMPLATE_PATH/trainers/audio/tts_trainer.py": 1682131573.2194433, "TEMPLATE_PATH/trainers/audio/separation_trainer.py": 1682131573.2194433, "TEMPLATE_PATH/trainers/audio/kws_nearfield_trainer.py": 1682131573.2194433, "TEMPLATE_PATH/trainers/audio/ans_trainer.py": 1682131573.2194433, "TEMPLATE_PATH/trainers/audio/asr_trainer.py": 1682131573.2194433, "TEMPLATE_PATH/trainers/audio/kws_utils/batch_utils.py": 1682131573.2194433, "TEMPLATE_PATH/trainers/audio/kws_utils/model_utils.py": 1682131573.2194433, "TEMPLATE_PATH/trainers/audio/kws_utils/runtime_utils.py": 1682131573.2194433, "TEMPLATE_PATH/trainers/audio/kws_utils/file_utils.py": 1682131573.2194433, "TEMPLATE_PATH/trainers/audio/kws_utils/det_utils.py": 1682131573.2194433, "TEMPLATE_PATH/trainers/training_args.py": 1682131573.227444, "TEMPLATE_PATH/trainers/hooks/checkpoint_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/logger/tensorboard_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/logger/text_logger_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/logger/base.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/iter_timer_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/deepspeed_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/builder.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/optimizer/apex_optimizer_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/optimizer/torch_optimizer_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/optimizer/base.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/evaluation_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/megatron_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/ddp_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/priority.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/lr_scheduler_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/clip_clamp_logit_scale_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/compression/sparsity_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/compression/utils.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/hooks/early_stop_hook.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/multi_modal/mplug/mplug_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/multi_modal/clip/clip_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/multi_modal/clip/clip_trainer_utils.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/multi_modal/team/team_trainer_utils.py": 1682131573.227444, "TEMPLATE_PATH/trainers/multi_modal/team/team_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/multi_modal/ofa/ofa_trainer_utils.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/multi_modal/ofa/ofa_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/multi_modal/mgeo_ranking_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/multi_modal/efficient_diffusion_tuning/efficient_diffusion_tuning_trainer.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/nlp_trainer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/parallel/builder.py": 1682131573.227444, "TEMPLATE_PATH/trainers/parallel/utils.py": 1682131573.227444, "TEMPLATE_PATH/trainers/utils/inference.py": 1682131573.227444, "TEMPLATE_PATH/trainers/utils/log_buffer.py": 1682131573.227444, "TEMPLATE_PATH/trainers/lrscheduler/builder.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/lrscheduler/warmup/warmup.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/lrscheduler/warmup/base.py": 1682131573.2234435, "TEMPLATE_PATH/trainers/base.py": 1682131573.2194433, "TEMPLATE_PATH/msdatasets/context/dataset_context_config.py": 1682131573.1874406, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/transforms/transforms.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/transforms/build.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/datasets/mosaic_wrapper.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/datasets/coco.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/build.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/collate_batch.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/samplers/grouped_batch_sampler.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/samplers/distributed.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/samplers/iteration_based_batch_sampler.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/evaluation/coco/coco_eval.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/hand_2d_keypoints/hand_2d_keypoints_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_recognition_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_stabilization/video_stabilization_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/mgeo_ranking_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/builder.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/veco_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/bad_image_detecting/bad_image_detecting_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/torch_custom_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/referring_video_object_segmentation/transformers.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/referring_video_object_segmentation/referring_video_object_segmentation_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/audio/kws_farfield_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/audio/asr_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/audio/kws_nearfield_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/audio/kws_nearfield_processor.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/movie_scene_segmentation/movie_scene_segmentation_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/movie_scene_segmentation/sampler.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/object_detection/detection_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_summarization_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/easycv_base.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/face_2d_keypoins/face_2d_keypoints_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_frame_interpolation/video_frame_interpolation_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_frame_interpolation/data_utils.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/random_crop_data.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/make_icdar_data.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/data_process.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/make_seg_detection_data.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/normalize_image.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/augment_data.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/make_border_map.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/measures/quad_measurer.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/measures/iou_evaluator.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/image_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/augmenter.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/data_loader.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/gopro_image_deblurring_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/language_guided_video_summarization_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_portrait_enhancement/data_utils.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_portrait_enhancement/image_portrait_enhancement_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_inpainting/aug.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_inpainting/image_inpainting_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/human_wholebody_keypoint/human_wholebody_keypoint_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_classification/classification_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/text_ranking_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/reds_image_deblurring_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_quality_assessment_degradation/image_quality_assessment_degradation_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_instance_segmentation_coco_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/sidd_image_denoising/transforms.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/sidd_image_denoising/sidd_image_denoising_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/sidd_image_denoising/data_utils.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_super_resolution/video_super_resolution_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_quality_assmessment_mos/image_quality_assessment_mos_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_semantic_segmentation/segmentation_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_colorization/image_colorization_dataset.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/dataset_cls/dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/meta/data_meta_manager.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/meta/data_meta_config.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/download/download_config.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/download/dataset_builder.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/download/download_manager.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/audio/asr_dataset.py": 1682131573.1874406, "TEMPLATE_PATH/msdatasets/ms_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/task_datasets/torch_base_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/task_datasets/sidd_image_denoising.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/task_datasets/video_summarization_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/task_datasets/gopro_image_deblurring_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/task_datasets/reds_image_deblurring_dataset.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/utils/upload_utils.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/utils/delete_utils.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/utils/oss_utils.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/utils/dataset_utils.py": 1682131573.1954415, "TEMPLATE_PATH/msdatasets/data_loader/data_loader_manager.py": 1682131573.191441, "TEMPLATE_PATH/msdatasets/data_loader/data_loader.py": 1682131573.1874406, "TEMPLATE_PATH/msdatasets/data_files/data_files_manager.py": 1682131573.1874406, "TEMPLATE_PATH/msdatasets/auth/auth_config.py": 1682131573.1874406, "TEMPLATE_PATH/exporters/tf_model_exporter.py": 1682131573.075432, "TEMPLATE_PATH/exporters/nlp/model_for_token_classification_exporter.py": 1682131573.075432, "TEMPLATE_PATH/exporters/nlp/csanmt_for_translation_exporter.py": 1682131573.075432, "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py": 1682131573.075432, "TEMPLATE_PATH/exporters/nlp/sbert_for_zero_shot_classification_exporter.py": 1682131573.075432, "TEMPLATE_PATH/exporters/cv/face_detection_scrfd_exporter.py": 1682131573.075432, "TEMPLATE_PATH/exporters/cv/object_detection_damoyolo_exporter.py": 1682131573.075432, "TEMPLATE_PATH/exporters/cv/cartoon_translation_exporter.py": 1682131573.075432, "TEMPLATE_PATH/exporters/builder.py": 1682131573.075432, "TEMPLATE_PATH/exporters/torch_model_exporter.py": 1682131573.075432, "TEMPLATE_PATH/exporters/base.py": 1682131573.075432}, "modelscope_path": "TEMPLATE_PATH"}